2011-01-01 20:57  cstim

	* [r20021] src/import-export/generic-import.glade,
	  src/import-export/import-backend.c,
	  src/import-export/import-backend.h,
	  src/import-export/import-main-matcher.c,
	  src/import-export/import-settings.c,
	  src/import-export/import-settings.h,
	  src/import-export/schemas/apps_gnucash_import_generic_matcher.schemas.in:
	  Bug #373415: Replace existing transaction fields by imported
	  transaction marked as reconcile Patch by Manfred Usselmann: This
	  patch adds an additional update action to the import matcher as
	  described above. It can be activated with the online banking
	  preferences dialog. (Patch changed because of one function name
	  adaption after r19936)

2010-12-31 18:25  plongstaff

	* [r20020] src/backend/sql/gnc-backend-sql.c: Revert part of
	  r20018 - Freeing the guid returned from g_object_get() sometimes
	  tried to free unmalloced memory.

2010-12-31 16:55  plongstaff

	* [r20019] src/backend/dbi/gnc-backend-dbi.c: More memory leaks

2010-12-31 16:53  plongstaff

	* [r20018] src/backend/sql/gnc-backend-sql.c,
	  src/backend/sql/gnc-slots-sql.c: Plug more memory leaks

2010-12-31 12:29  cstim

	* [r20016] src/import-export/aqbanking/gnc-file-aqb-import.c: Bug
	  #635355: Implement the correct "DTAUS import and send" feature
	  again. Patch by Manfred Usselmann: Improved version: Only
	  transactions which have been successfully imported into GC are
	  transmitted to the bank.

2010-12-31 12:25  cstim

	* [r20015] src/import-export/qif-import/druid-qif-import.c,
	  src/import-export/qif-import/qif-to-gnc.scm,
	  src/import-export/qif-import/qif.glade,
	  src/import-export/qif-import/schemas/apps_gnucash_import_qif.schemas.in:
	  Bug #95635: QIF import: Mark matched transactions as cleared
	  Patch by Tristan Faujour: Please describe the problem: My bank
	  allows me to download bank statement files in the QIF format.
	  They contain paid transactions, but there is no status ("C")
	  line, so all transactions are left in the "not cleared" status.
	  I wish it would be possible to define the default status in user
	  preferences. Steps to reproduce: - Import a QIF file with no "C"
	  line. Actual results: - Transactions are not cleared. Expected
	  results: - The "near split" of the imported transactions should
	  be set to a default status 'defined in user preferences). Does
	  this happen every time? - Yes Other information: - I developed a
	  patch. See attachment. It allows defining another status that
	  will be applied to the transactions that are imported as "not
	  cleared". - It is my first contribution, it should be taken with
	  all due prudence.
	* [r20014] doc/tip_of_the_day.list.in: Bug #636988: Tip about "New
	  default date" by Tarlika Elisabeth Schmitz and Derek Atkins
	  Contributed at gnucash-user@gnucash.org 2010-09-16

2010-12-31 12:07  cstim

	* [r20012] src/gnome-search/dialog-search.c,
	  src/gnome/dialog-sx-editor.c,
	  src/report/standard-reports/balsheet-eg.scm: Bug #628444: String
	  improvements after string freeze is lifted

2010-12-31 12:06  cstim

	* [r20011] src/gnome-utils/gnc-tree-model-account.c,
	  src/gnome-utils/gnc-tree-view-account.c: Bug #565348: Patch to
	  include subaccounts in the all columns in the account page Patch
	  by James Duerr: Patch to include subaccounts in all columns, not
	  just present column, and also to sort including sub-account
	  totals, rather than without.

2010-12-31 01:42  plongstaff

	* [r20010] src/engine/gncCustomer.c, src/engine/gncEmployee.c,
	  src/engine/gncEntry.c, src/engine/gncJob.c,
	  src/engine/gncVendor.c: When book is being closed, destroy
	  objects to free their memory. Doesn't matter too much when
	  closing gnucash, but when closing one book to open another, all
	  memory from the old book should be freed.

2010-12-31 01:38  plongstaff

	* [r20009] src/app-utils/gnc-ui-util.c: Plug memory leak

2010-12-30 15:57  plongstaff

	* [r20008] src/gnome-utils/gnc-plugin-menu-additions.c: More
	  memory leaks

2010-12-30 15:56  plongstaff

	* [r20007] src/gnome/gnc-plugin-page-register.c: More memory leaks

2010-12-30 15:55  plongstaff

	* [r20006] src/business/business-gnome/dialog-invoice.c: More
	  memory leaks

2010-12-30 15:54  plongstaff

	* [r20005] src/report/report-system/gnc-report.c: Plug more memory
	  leaks
	* [r20004] src/backend/dbi/gnc-backend-dbi.c,
	  src/backend/sql/gnc-account-sql.c: Plug more memory leaks

2010-12-30 15:53  plongstaff

	* [r20003] src/bin/gnucash-bin.c: Plug more memory leaks

2010-12-30 15:51  plongstaff

	* [r20002] src/core-utils/core-utils.i,
	  src/core-utils/gnc-gconf-utils.c: Plug more memory leaks

2010-12-30 14:00  cmarchi

	* [r20001] po/nl.po: Updated Dutch translation, copied from the TP.

2010-12-30 11:41  cstim

	* [r20000] src/app-utils/guile-util.c, src/app-utils/guile-util.h:
	  Follow-up to r19999: Refactor guile version-safe
	  scm_to_locale_string into gnc function. (Yay, I made r20000 :-)

2010-12-30 11:33  cstim

	* [r19999] src/app-utils/guile-util.c,
	  src/gnome-utils/gnc-menu-extensions.c, src/guile-mappings.h: Fix
	  r19985, r19986 for guile-1.6.8. The return value of guile-1.6's
	  SCM_STRING_CHARS must not be freed, as opposed to the return
	  value of guile-1.8's scm_to_locale_string. So we must wrap the
	  free() into a macro that is defined appropriately (or maybe we
	  should refactor this into a function returning a g_malloc'd
	  g_char anyway.)

2010-12-30 11:02  cstim

	* [r19998] src/business/business-ledger/gncEntryLedgerControl.c,
	  src/business/business-ledger/gncEntryLedgerLoad.c: Fully
	  implement auto-completion in the invoice entries on the
	  description field, separately for bills or invoices. The
	  quickfill is obtained from the global cache of the GncEntry's
	  descriptions, one for invoices, one for the rest. The
	  auto-completion is a simple query to get the newest entry with
	  the same description, but limited to invoices or bills,
	  respectively.

2010-12-30 11:00  cstim

	* [r19997] src/report/business-reports/Makefile.am,
	  src/report/business-reports/business-reports.scm,
	  src/report/business-reports/customer-summary.scm: Re-apply
	  r19993: Add a new report: Customer Summary. This report shows a
	  table of all customers and the sales, profit, and markup in that
	  table. (The crash at startup wasn't caused by this patch.)

2010-12-29 21:41  cstim

	* [r19994] src/report/business-reports/Makefile.am,
	  src/report/business-reports/business-reports.scm,
	  src/report/business-reports/customer-summary.scm: Revert r19993,
	  "Add a new report..." - not yet working due to errors in the
	  loading process.

2010-12-29 21:40  cstim

	* [r19993] src/report/business-reports/Makefile.am,
	  src/report/business-reports/business-reports.scm,
	  src/report/business-reports/customer-summary.scm: Add a new
	  report: Customer Summary. This report shows a table of all
	  customers and the sales, profit, and markup in that table.

2010-12-29 21:31  cstim

	* [r19992] src/report/standard-reports/Makefile.am,
	  src/report/standard-reports/sx-summary.scm: Add a new report:
	  Future Scheduled Transaction Summary.

2010-12-29 20:54  cstim

	* [r19991] src/doc/python-bindings-doxygen.py: Bug #637346: A
	  second step towards doxygen python-bindings docs; add file
	  missing in r19981

2010-12-29 13:54  micha

	* [r19990] util/gnc-svnversion: Add facility to force
	  BUILDING_FROM_SVN=no from outside the Gnucash build system
	  Needed by packagers that maintain the packaging code in svn, svk
	  or git too

2010-12-29 12:30  mikee

	* [r19989] src/report/standard-reports/account-piecharts.scm: Adds
	  percentages to piecharts. See bug #343449 for details. Patch is
	  derived from a patch submitted by Alexander Weiss

2010-12-29 03:03  plongstaff

	* [r19988] src/app-utils/guile-util.c,
	  src/gnome-utils/gnc-menu-extensions.c: Fix earlier checkins to
	  ensure that strings returned from routines or whose addresses
	  are kept have been allocated from g_malloc(.

2010-12-29 01:43  plongstaff

	* [r19987] src/engine/gnc-budget.c, src/engine/gncInvoice.c: When
	  a book is closed, all of the memory for the objects should be
	  freed. Free budgets and invoices.

2010-12-29 01:39  plongstaff

	* [r19986] src/gnome-utils/gnc-menu-extensions.c: Fix more memory
	  leaks. scm_to_locale_string() returns a string which must be
	  freed.

2010-12-29 01:36  plongstaff

	* [r19985] src/app-utils/guile-util.c: Patch some memory leaks.
	  scm_to_locale_string() returns a string which must be freed

2010-12-28 20:44  plongstaff

	* [r19984] src/backend/sql/gnc-account-sql.c,
	  src/backend/sql/gnc-bill-term-sql.c,
	  src/backend/sql/gnc-customer-sql.c,
	  src/backend/sql/gnc-employee-sql.c,
	  src/backend/sql/gnc-entry-sql.c,
	  src/backend/sql/gnc-invoice-sql.c,
	  src/backend/sql/gnc-job-sql.c, src/backend/sql/gnc-order-sql.c,
	  src/backend/sql/gnc-slots-sql.c,
	  src/backend/sql/gnc-vendor-sql.c: Plug some memory leaks

2010-12-27 21:07  cstim

	* [r19983] src/gnome-utils/gnc-entry-quickfill.c,
	  src/gnome-utils/gnc-entry-quickfill.h: Improve GncEntry
	  quickfill to create separate quickfills for invoices and bills

2010-12-27 15:36  cstim

	* [r19981] src/base-typemaps.i, src/doc/Makefile.am,
	  src/doc/doxygen_main_page.c,
	  src/optional/python-bindings/__init__.py,
	  src/optional/python-bindings/example_scripts/account_analysis.py,
	  src/optional/python-bindings/example_scripts/change_tax_code.py,
	  src/optional/python-bindings/example_scripts/new_book_with_opening_balances.py,
	  src/optional/python-bindings/example_scripts/priceDB_test.py,
	  src/optional/python-bindings/example_scripts/price_database_example.py,
	  src/optional/python-bindings/example_scripts/simple_book.py,
	  src/optional/python-bindings/example_scripts/simple_business_create.py,
	  src/optional/python-bindings/example_scripts/simple_invoice_insert.py,
	  src/optional/python-bindings/example_scripts/simple_session.py,
	  src/optional/python-bindings/example_scripts/simple_sqlite_create.py,
	  src/optional/python-bindings/example_scripts/simple_test.py,
	  src/optional/python-bindings/example_scripts/test_imbalance_transaction.py,
	  src/optional/python-bindings/function_class.py,
	  src/optional/python-bindings/glib.i,
	  src/optional/python-bindings/gnucash_business.py,
	  src/optional/python-bindings/gnucash_core.i,
	  src/optional/python-bindings/gnucash_core.py,
	  src/optional/python-bindings/timespec.i: Bug #637346: A second
	  step towards doxygen python-bindings docs Patch by Christoph
	  Holtermann

2010-12-21 20:05  jralls

	* [r19974] src/gnome-utils/gnc-main-window.c: Revert r19965: It
	  wasn't the problem after all.

2010-12-21 20:03  cmarchi

	* [r19973] po/it.po: Complete the translation of a string.

2010-12-21 19:41  cmarchi

	* [r19972] po/it.po: Updated Italian translation.

2010-12-20 17:59  plongstaff

	* [r19970] configure.ac, src/bin/gnucash-bin.c: Update
	  configure.ac to 2.4.0 Update gnucash-bin.c to indicate stable
	  version is 2.4.0, next stable version 2.6 Here we go...

2010-12-20 17:57  plongstaff

	* [r19969] po/POTFILES.in: Updated POTFILES.in

2010-12-20 17:54  plongstaff

	* [r19968] src/gnome-utils/gnc-main-window.c: Update copyright
	  notice dates to include 2010

2010-12-20 17:53  plongstaff

	* [r19967] src/backend/dbi/Makefile.am,
	  src/backend/dbi/gnc-backend-dbi-priv.h: Add
	  gnc-backend-dbi-priv.h to list of header files so that 'make
	  distcheck' passes

2010-12-20 00:48  jralls

	* [r19965] src/gnome-utils/gnc-main-window.c: Bug #637331:
	  Cancelling quit crashes on OSX Leopard. Turns off handling
	  shortcuts by OSX, everything goes through Gtk.

2010-12-20 00:26  jralls

	* [r19964] src/backend/dbi/gnc-backend-dbi.c: Fixed date problem
	  in MySql backend

2010-12-19 21:26  mikee

	* [r19963] optional: Removed accidentally created directory.

2010-12-17 23:50  jralls

	* [r19959] src/backend/dbi/gnc-backend-dbi-priv.h,
	  src/backend/dbi/gnc-backend-dbi.c,
	  src/backend/dbi/test/test-dbi-basic.c,
	  src/backend/dbi/test/test-dbi-stuff.c: Add enumeration of
	  indexes in sql backends. This is a first step to rewriting
	  databases in a safe way. Indexes are named entities in sql
	  databases and so need to be renamed along with the tables before
	  creating and populating a new set. This change also introduces a
	  unit test of the new enumeration, and that test has to be able
	  to see data structures which are private to gnc-backend-dbi.c,
	  so those data structures are moved to a new file,
	  gnc-backend-dbi-priv.h, which both gnc-backend-dbi.c and
	  tests/test-stuff.c can include.

2010-12-17 21:31  cstim

	* [r19958] src/gnome-utils/gnc-entry-quickfill.c,
	  src/gnome-utils/gnc-entry-quickfill.h: Improve the cached
	  quickfill for GncEntry description lines of r19941.
	* [r19957] src/engine/CMakeLists.txt, src/engine/Makefile.am,
	  src/engine/gnc-event.c, src/engine/gnc-event.h: Add debug helper
	  function qofeventid_to_string.

2010-12-17 20:36  cstim

	* [r19956] src/base-typemaps.i, src/doc/doxygen.cfg.in,
	  src/doc/doxygen_main_page.c,
	  src/optional/python-bindings/__init__.py,
	  src/optional/python-bindings/example_scripts/account_analysis.py,
	  src/optional/python-bindings/example_scripts/change_tax_code.py,
	  src/optional/python-bindings/example_scripts/new_book_with_opening_balances.py,
	  src/optional/python-bindings/example_scripts/priceDB_test.py,
	  src/optional/python-bindings/example_scripts/simple_book.py,
	  src/optional/python-bindings/example_scripts/simple_business_create.py,
	  src/optional/python-bindings/example_scripts/simple_invoice_insert.py,
	  src/optional/python-bindings/example_scripts/simple_session.py,
	  src/optional/python-bindings/example_scripts/simple_sqlite_create.py,
	  src/optional/python-bindings/example_scripts/simple_test.py,
	  src/optional/python-bindings/example_scripts/test_imbalance_transaction.py,
	  src/optional/python-bindings/function_class.py,
	  src/optional/python-bindings/glib.i,
	  src/optional/python-bindings/gnucash_business.py,
	  src/optional/python-bindings/gnucash_core.i,
	  src/optional/python-bindings/gnucash_core.py,
	  src/optional/python-bindings/timespec.i: Bug #637346: Adding
	  python-bindings to doxygen documentation Patch by Christoph
	  Holtermann.

2010-12-17 14:00  mikee

	* [r19955]
	  src/optional/python-bindings/example_scripts/priceDB_test.py,
	  src/optional/python-bindings/example_scripts/price_database_example.py,
	  src/optional/python-bindings/function_class.py,
	  src/optional/python-bindings/gnucash_core.py: Support for
	  GncCommodityNamespace, better support for GncCommodity, and
	  example enhancements. Patch supplied my Mark Jenkins.

2010-12-17 13:39  mikee

	* [r19954]
	  src/optional/python-bindings/example_scripts/price_database_example.py:
	  Changes to example Script to include added namespace
	  functionality This patch changes the example script to reflect
	  the capability of reading all namespaces. Patch provided by
	  Christoph Holtermann.

2010-12-16 22:01  cstim

	* [r19952] src/bin/Makefile.am, src/bin/gnucash-bin.c,
	  src/core-utils/Makefile.am, src/core-utils/gnc-main.c,
	  src/gnome-utils/Makefile.am, src/gnome-utils/gnc-main-window.c,
	  src/gnome-utils/gnc-splash.c: Follow-up to r19928: Include
	  gnc-version.h with directory path to avoid picking the wrong
	  file.

2010-12-16 21:43  cstim

	* [r19951] src/business/business-gnome/business-gnome-utils.c,
	  src/business/business-gnome/dialog-payment.c: Bug #637041:
	  Revert r19861 as the patch from bug#635439 causes a crash. The
	  patch can be re-applied after the 2.4.0 release is out, but for
	  now I prefer to defer it until after the release. To be precise,
	  this patch reverts all parts of bug#635439: r19861, r19860,
	  r19854, r19853.

2010-12-16 02:11  warlord

	* [r19945] src/engine/Transaction.c, src/engine/Transaction.h,
	  src/gnome-utils/dialog-book-close.c: Add APIs to get/set a flag
	  signifying that a transaction is a book-closing txn. This is
	  necessary for Bug #570042 but doesn't completely solve it until
	  the reports are updated to use the new API. This is
	  backwards-compatible with the slot data inserted by the book
	  closing since 2010-03-02.

2010-12-15 15:17  mikee

	* [r19944] src/base-typemaps.i: Adds checking of
	  gnc_commodity_namespace in glists In src/base-typemaps.i check
	  for return type gnc_commodity_namespace is added so that it is
	  returned instead of gnc_type_monetary. Thanks to Christoph
	  Holtermann for the patch.

2010-12-15 12:07  mikee

	* [r19943]
	  optional/python-bindings/example_scripts/price_database_example.py,
	  src/optional/python-bindings/example_scripts/price_database_example.py:
	  Move price_database_example.py to the correct place and remove
	  incorrect path/file
	* [r19942] src/optional/python-bindings/gnucash_core.py: Change
	  indent to 4 sp

2010-12-14 21:25  cstim

	* [r19941] src/gnome-utils/Makefile.am,
	  src/gnome-utils/gnc-entry-quickfill.c,
	  src/gnome-utils/gnc-entry-quickfill.h,
	  src/register/register-core/quickfillcell.c,
	  src/register/register-core/quickfillcell.h: Implement
	  prerequisites for full auto-completion in the entry ledger.
	  Added a cached quickfill for GncEntry description lines. Extend
	  QuickFillCell interface to be able to use a common cached
	  quickfill.

2010-12-14 20:32  cstim

	* [r19940] src/business/business-gnome/dialog-invoice.c,
	  src/engine/gncIDSearch.h, src/gnome-search/dialog-search.c,
	  src/gnome-search/gnc-general-search.c,
	  src/gnome-search/search-core-type.c,
	  src/gnome-search/search-core-type.h,
	  src/gnome-utils/QuickFill.h, src/gnome-utils/gnc-query-list.c,
	  src/gnome-utils/search-param.c,
	  src/gnome/dialog-find-transactions.c,
	  src/gnome/reconcile-list.c,
	  src/register/ledger-core/gnc-ledger-display.c: Remove doubled
	  include files. (Also, QuickFill.h doesn't depend on gdk.h)

2010-12-14 20:22  cstim

	* [r19939] src/backend/xml/io-gncxml-v1.c,
	  src/business/business-gnome/business-gnome-utils.c,
	  src/business/business-gnome/dialog-invoice.c,
	  src/business/business-gnome/search-owner.c,
	  src/engine/CMakeLists.txt, src/engine/Makefile.am,
	  src/engine/Query.c, src/engine/Query.h, src/engine/QueryCore.h,
	  src/engine/QueryObject.h, src/engine/QueryP.h,
	  src/engine/engine-helpers.c, src/engine/engine-helpers.h,
	  src/engine/gncIDSearch.c, src/engine/gncIDSearch.h,
	  src/engine/gncObject.h,
	  src/engine/test-core/test-engine-stuff.c,
	  src/engine/test-core/test-engine-stuff.h,
	  src/engine/test/test-query.c, src/engine/test/test-scm-query.c,
	  src/gnome-search/dialog-search.c,
	  src/gnome-search/gnc-general-search.c,
	  src/gnome-search/search-account.c,
	  src/gnome-search/search-boolean.c,
	  src/gnome-search/search-core-type.c,
	  src/gnome-search/search-core-type.h,
	  src/gnome-search/search-date.c,
	  src/gnome-search/search-double.c,
	  src/gnome-search/search-int64.c,
	  src/gnome-search/search-numeric.c,
	  src/gnome-search/search-reconciled.c,
	  src/gnome-search/search-string.c,
	  src/gnome-utils/gnc-query-list.c,
	  src/gnome-utils/search-param.c,
	  src/gnome/dialog-find-transactions.c,
	  src/gnome/reconcile-list.c,
	  src/register/ledger-core/gnc-ledger-display.c: Replace more
	  obsolete #define'd function names by their current names.

2010-12-14 19:50  cstim

	* [r19938] po/lt.po: Mark erroneous translation as fuzzy because
	  it doesn't have the correct c-format.

2010-12-13 21:00  cstim

	* [r19937] src/backend/xml/test/test-files/xml2/.gitignore: Add
	  gitignore for backup files from make check.
	* [r19936] src/app-utils/gnc-component-manager.c,
	  src/app-utils/gnc-component-manager.h,
	  src/app-utils/gnc-ui-util.c, src/backend/xml/io-gncxml-v1.c,
	  src/business/business-gnome/business-gnome-utils.c,
	  src/business/business-gnome/dialog-customer.c,
	  src/business/business-gnome/dialog-employee.c,
	  src/business/business-gnome/dialog-invoice.c,
	  src/business/business-gnome/dialog-job.c,
	  src/business/business-gnome/dialog-order.c,
	  src/business/business-gnome/dialog-vendor.c,
	  src/business/business-gnome/search-owner.c,
	  src/business/business-gnome/search-owner.h,
	  src/business/business-ledger/gncEntryLedger.c,
	  src/business/business-ledger/gncEntryLedgerControl.c,
	  src/business/business-ledger/gncEntryLedgerDisplay.c,
	  src/business/business-ledger/gncEntryLedgerLoad.c,
	  src/engine/Account.h, src/engine/GNCId.h,
	  src/engine/QueryCore.h, src/engine/QueryObject.h,
	  src/engine/Scrub.c, src/engine/Transaction.h,
	  src/engine/gnc-session.h, src/engine/gncIDSearch.c,
	  src/engine/gncObject.h,
	  src/engine/test-core/test-engine-stuff.c,
	  src/gnome-search/dialog-search.c,
	  src/gnome-search/dialog-search.h,
	  src/gnome-search/gnc-general-search.c,
	  src/gnome-search/gnc-general-search.h,
	  src/gnome-search/search-account.c,
	  src/gnome-search/search-account.h,
	  src/gnome-search/search-boolean.c,
	  src/gnome-search/search-boolean.h,
	  src/gnome-search/search-core-type.c,
	  src/gnome-search/search-date.c, src/gnome-search/search-date.h,
	  src/gnome-search/search-double.c,
	  src/gnome-search/search-double.h,
	  src/gnome-search/search-int64.c,
	  src/gnome-search/search-int64.h,
	  src/gnome-search/search-numeric.c,
	  src/gnome-search/search-numeric.h,
	  src/gnome-search/search-reconciled.c,
	  src/gnome-search/search-reconciled.h,
	  src/gnome-search/search-string.c,
	  src/gnome-utils/dialog-account.c,
	  src/gnome-utils/dialog-query-list.c,
	  src/gnome-utils/gnc-main-window.c,
	  src/gnome-utils/gnc-query-list.c,
	  src/gnome-utils/search-param.c, src/gnome-utils/search-param.h,
	  src/gnome/dialog-find-transactions.c, src/gnome/gnc-split-reg.c,
	  src/gnome/reconcile-list.c,
	  src/import-export/aqbanking/gnc-ab-utils.c,
	  src/import-export/hbci/gnc-hbci-gettrans.c,
	  src/import-export/ofx/gnc-ofx-import.c,
	  src/register/ledger-core/gnc-ledger-display.c,
	  src/register/ledger-core/split-register-load.c,
	  src/register/ledger-core/split-register.c: Replace more obsolete
	  #define'd function names by their current names.

2010-12-13 17:08  mta

	* [r19935] src/app-utils/test/Makefile.am,
	  src/backend/dbi/test/Makefile.am,
	  src/backend/sql/test/Makefile.am,
	  src/backend/xml/test/Makefile.am,
	  src/business/business-core/test/Makefile.am,
	  src/core-utils/test/Makefile.am, src/engine/test/Makefile.am,
	  src/gnc-module/test/Makefile.am,
	  src/gnome-utils/test/Makefile.am,
	  src/import-export/test/Makefile.am,
	  src/report/locale-specific/us/test/Makefile.am,
	  src/report/report-gnome/test/Makefile.am,
	  src/report/report-system/test/Makefile.am,
	  src/report/standard-reports/test/Makefile.am,
	  src/report/stylesheets/test/Makefile.am,
	  src/report/utility-reports/test/Makefile.am: Make "make check"
	  work when run from "make distcheck".

2010-12-13 16:05  gjanssens

	* [r19934] src/gnome-utils/gnc-amount-edit.c: Use proper decimal
	  separator for monetary amounts

2010-12-13 00:44  jralls

	* [r19933] src/backend/dbi/gnc-backend-dbi.c,
	  src/backend/xml/gnc-backend-xml.c: Add messages to backend
	  errors, ensuring that qof_session_backend_get_message() will
	  actually get a useful message, or that there will be a
	  descriptive warning immediately before in the trace file.

2010-12-12 21:30  cstim

	* [r19932] src/backend/xml/io-gncxml-v1.c,
	  src/business/business-gnome/dialog-customer.c,
	  src/business/business-gnome/dialog-employee.c,
	  src/business/business-gnome/dialog-invoice.c,
	  src/business/business-gnome/dialog-job.c,
	  src/business/business-gnome/dialog-order.c,
	  src/business/business-gnome/dialog-vendor.c,
	  src/business/business-gnome/search-owner.h,
	  src/business/business-ledger/gncEntryLedger.c,
	  src/business/business-ledger/gncEntryLedger.h,
	  src/business/business-ledger/gncEntryLedgerControl.c,
	  src/business/business-ledger/gncEntryLedgerDisplay.c,
	  src/business/business-ledger/gncEntryLedgerP.h,
	  src/engine/CMakeLists.txt, src/engine/Makefile.am,
	  src/engine/QueryNew.h, src/engine/gncIDSearch.c,
	  src/engine/gncIDSearch.h, src/experimental/cgi-bin/hello2.c,
	  src/gnome-search/dialog-search.c,
	  src/gnome-search/dialog-search.h,
	  src/gnome-search/gnc-general-search.c,
	  src/gnome-search/search-account.h,
	  src/gnome-search/search-boolean.h,
	  src/gnome-search/search-core-type.c,
	  src/gnome-search/search-core-type.h,
	  src/gnome-search/search-date.h,
	  src/gnome-search/search-double.h,
	  src/gnome-search/search-int64.h,
	  src/gnome-search/search-numeric.h,
	  src/gnome-utils/dialog-query-list.c,
	  src/gnome-utils/gnc-query-list.c,
	  src/gnome/dialog-find-transactions.c,
	  src/gnome/dialog-sx-since-last-run.c,
	  src/gnome/gnc-plugin-page-register.c, src/gnome/gnc-split-reg.c,
	  src/gnome/reconcile-list.c,
	  src/register/ledger-core/gnc-ledger-display.c: Replace obsolete
	  <QueryNew.h> #defines by the current <qof.h> function names.
	* [r19931] src/business/business-ledger/gncEntryLedgerControl.c:
	  Implement (but currently deactivated) auto-completion in the
	  invoice ledger using all entries from the current book.
	  Eventually, this will enable drawing the auto-completion from
	  all entries in the previous invoices (i.e. book-wide), but in
	  order to give the user a good enough feedback during typing we
	  additionally need a quick-fill object over those book-wide
	  entries. Currently, the user cannot see whether the current
	  description would result in an auto-completion from another
	  invoice, and that's not yet enough.

2010-12-12 12:04  cstim

	* [r19930] src/core-utils/CMakeLists.txt: Cutecash: Add generation
	  of dummy gnc-version.h file.

2010-12-12 11:58  cstim

	* [r19929] intl-scm/Makefile.am: Add missing newline at end of file

2010-12-12 06:48  mta

	* [r19928] configure.ac, packaging/win32/build_package.sh,
	  packaging/win32/dist-impl.sh, src/bin/Makefile.am,
	  src/core-utils/Makefile.am, src/core-utils/gnc-main.c,
	  src/gnome-utils/Makefile.am: Move gnc-version.h and
	  gnc-svninfo.h from gnome-utils to core-utils.

2010-12-12 06:45  mta

	* [r19927] intl-scm/Makefile.am: If the build directory is not the
	  source directory and the source directory is read only, the
	  build fails. Fix by only making guile-strings.c if building from
	  SVN.

2010-12-12 06:33  mta

	* [r19926] doc/Makefile.am: Get rid of the rest of the gnc-prices
	  man page, r19921 is incomplete

2010-12-12 04:26  mta

	* [r19925] src/register/ledger-core/split-register-util.c: If you
	  have a parent account with a subaccount whose commodity allows
	  more decimal places in the amount field than the parent account
	  does things don't work right if you open a register for the
	  parent account and all subaccounts. This situation can occur if
	  you have a broker account with subaccounts for the securities
	  held in that broker account. If you open a register for the top
	  account and all subaccounts, it is impossible to enter a
	  transaction to buy or sell a fractional share of the security
	  where there are more digits after the decimal point than the
	  parent account allows. This change fixes this if the subaccount
	  allows no more than six digits after the decimal point.

2010-12-10 13:09  mikee

	* [r19924] src/engine/Account.h, src/engine/gnc-commodity.h,
	  src/libqof/qof/gnc-numeric.h: Remove variable names that
	  conflict with Python keywords. Relevent when using SWIG autodoc
	  feature for python bindings.
	* [r19923] src/optional/python-bindings/gnucash_core.i: Add
	  %feature("autodoc", "1"); to gnucash_core.i to pass C
	  documentation through to python interface.

2010-12-10 12:53  mikee

	* [r19922] optional, optional/python-bindings,
	  optional/python-bindings/example_scripts,
	  optional/python-bindings/example_scripts/price_database_example.py:
	  New example script for prices dababase. Thanks to Christoph
	  Holtermann for contributing to this.

2010-12-10 10:25  cstim

	* [r19921] doc/Makefile.am, doc/gnc-prices.1.in: Remove obsolete
	  gnc-prices man page

2010-12-10 00:05  jralls

	* [r19920] src/backend/sql/gnc-backend-sql.c,
	  src/core-utils/gnc-main.c, src/core-utils/gnc-main.h: Add
	  Gnucash svn version to sql versions table.

2010-12-09 10:16  cstim

	* [r19919] src/engine/iso-4217-currencies.scm: Bug #629446: TRY is
	  now called plain Turkish Lira.

2010-12-09 08:16  mikee

	* [r19918] src/optional/python-bindings/Makefile.am: Insert
	  missing space

2010-12-08 14:56  mikee

	* [r19917] src/optional/python-bindings/Makefile.am,
	  src/optional/python-bindings/gnucash_core.i: Re-enable -Werror
	  in Makefile.am and remove %feature("autodoc", "1"); from
	  gnucash_core.i

2010-12-08 11:52  mikee

	* [r19916] src/optional/python-bindings/Makefile.am,
	  src/optional/python-bindings/example_scripts/priceDB_test.py,
	  src/optional/python-bindings/gnucash_core.i,
	  src/optional/python-bindings/gnucash_core.py: Add commodity
	  price functions to bindings. See Bug 636457 for more details.
	* [r19915] src/base-typemaps.i: Add PriceList to typemap for
	  Python bindings

2010-12-08 10:26  cstim

	* [r19914] src/import-export/aqbanking/gnc-plugin-aqbanking.c: Bug
	  #454109: Online banking: grey out online actions when there is
	  no online account Patch by Manfred Usselmann: Online actions are
	  disabled for accounts which have no bankcode and account id
	  assigned This fix does not require initialization of the
	  AB_BANKING object.

2010-12-08 00:33  jralls

	* [r19913] src/engine/business-core.i: Patch by Matthijs Kooijman.
	  In r19863, some qofquery bindings were added. For those to
	  compile, business-core.i now includes qofquery.h. However, this
	  causes the bindings for qofquery.h to be generated twice: Once
	  through engine.i and once through business-core.i. The latter
	  generated broken versions of the bindings, breaking (at least)
	  the receivable aging report. This commit changes the %include to
	  an %import, so the new bindings still compile but the query
	  bindings don't get generated twice.

2010-12-07 23:49  jralls

	* [r19912] src/backend/dbi/gnc-backend-dbi.c: Bug #635926:
	  Lower-case the name of the lock table to avoid confusing
	  Postgres. Also abstract it to a static variable instead of
	  repeating the string everywhere.

2010-12-07 21:41  jralls

	* [r19911] src/backend/sql/gnc-slots-sql.c: Bug #635967: Slots
	  didn't correctly read the path semantics stored by 2.3.15 and
	  earlier. Corrected, but note that 2.3.15 and earlier didn't
	  write lists to the database, so users should re-save from XML
	  using 2.3.17 or later.

2010-12-05 13:27  cstim

	* [r19909] src/import-export/aqbanking/gnc-ab-utils.c,
	  src/import-export/aqbanking/gnc-ab-utils.h,
	  src/import-export/import-backend.c,
	  src/import-export/import-backend.h,
	  src/import-export/import-main-matcher.c,
	  src/import-export/import-main-matcher.h: Bug #635355: Partly
	  implement the correct "DTAUS import and send" feature again.
	  Patch by Manfred Usselmann. The main part of the feature is
	  delayed until the string freeze is lifted. This part (without
	  adding strings) implements the infrastructure for sending only
	  the correctly imported transactions to the bank later.

2010-12-05 01:57  jralls

	* [r19908] src/backend/sql/gnc-slots-sql.c: Bug #636459:
	  Recursively delete slots contained in slots of type
	  KVP_TYPE_FRAME or KVP_TYPE_LIST.

2010-12-04 21:09  cstim

	* [r19907] src/app-utils/gnc-ui-util.c,
	  src/backend/dbi/gnc-backend-dbi.c,
	  src/backend/sql/gnc-backend-sql.c,
	  src/backend/sql/gnc-backend-sql.h,
	  src/backend/sql/gnc-slots-sql.c,
	  src/backend/sql/gnc-transaction-sql.c,
	  src/backend/xml/gnc-account-xml-v2.c,
	  src/backend/xml/gnc-backend-xml.c,
	  src/backend/xml/test/test-load-xml2.c,
	  src/backend/xml/test/test-xml-account.c,
	  src/backend/xml/test/test-xml-commodity.c,
	  src/backend/xml/test/test-xml-transaction.c,
	  src/business/business-core/test/test-employee.c,
	  src/business/business-gnome/dialog-payment.c,
	  src/engine/SchedXaction.c, src/engine/Scrub.c,
	  src/engine/gnc-pricedb.h,
	  src/engine/test-core/test-engine-stuff.c,
	  src/gnome-utils/gnc-file.c, src/gnome-utils/gnc-query-list.c,
	  src/html/gnc-html-webkit.c,
	  src/import-export/aqbanking/gnc-ab-utils.c,
	  src/libqof/qof/qofbackend-p.h, src/libqof/qof/qofsession.h,
	  src/report/report-gnome/dialog-style-sheet.c: Re-indentation of
	  source code. This re-indentation was done using astyle-1.24
	  using the following options: astyle --indent=spaces=4
	  --brackets=break --pad-oper --pad-header --suffix=none

2010-12-03 23:33  jralls

	* [r19905] po/POTFILES.in: Reverse inadvertent mods to
	  po/POTFILES.in in r19904

2010-12-03 23:24  jralls

	* [r19904] po/POTFILES.in, src/backend/dbi/gnc-backend-dbi.c,
	  src/backend/sql/gnc-slots-sql.c, src/bin/gnucash-bin.c,
	  src/gnome-utils/gnc-gnome-utils.c: Bug #635859: Strip all
	  trailing '/'es from kvp_slot paths when loading. This changes
	  round-tripping slightly (because the resulting slot key won't
	  have the trailing slash when it's re-saved as xml). It may also
	  change the behavior of the facility using the slot, because the
	  key is changed. So far, the only known instances which trip this
	  bug are import-map-bayes, because descriptions may have '/'es in
	  them (and why shouldn't they). Unfortunately, fixing this right
	  (so that key values can have embedded '/''es and be
	  saved/retrieved from sql databases will require changing the
	  slot architecture in ways that impact the engine. Since we don't
	  have adequate unit tests to be confident of not introducing a
	  regression, I'm applying this instead.

2010-12-03 21:14  cstim

	* [r19903] src/report/report-gnome/dialog-style-sheet.c: Bug
	  #609472: Fix translation of displayed style sheet names in the
	  style sheet editor.
	* [r19902] src/report/report-gnome/dialog-style-sheet.c: When
	  creating a new style sheet, make sure the name for it is
	  non-empty.

2010-12-01 17:07  gjanssens

	* [r19901] src/backend/dbi/gnc-backend-dbi.c: Bug #635911 GnuCash
	  crashes out when trying to save-as MySQL Disclaimer: This fix
	  attempt is purely based on the information given in the bug
	  report and code reading. I never could reproduce this bug but
	  the code suggests an unitialized pointer may be the the cause.

2010-11-29 18:46  cmarchi

	* [r19894] po/el.po: Updated Greek translation provided by Nikos
	  Charonitakis.

2010-11-28 12:53  cmarchi

	* [r19892] po/ja.po: Updated Japanese translation, copied from the
	  Translation Project.

2010-11-27 21:57  cstim

	* [r19890] src/engine/engine.i, src/libqof/qof/qofquery-p.h,
	  src/libqof/qof/qofquery.c, src/libqof/qof/qofquery.h,
	  src/libqof/qof/qofquerycore.c, src/libqof/qof/qofquerycore.h:
	  Bug #635469: Add a (typemap for a) QofQueryParamList typedef.
	  Patch by Matthijs Kooijman: This is a typedef for a GSList, that
	  is used to identify the path from an object to one of its
	  parameters in search queries and sorting. This typedef replaces
	  GSList everywhere where it's applicable. This relieves the need
	  to special case a few functions in the swig bindings and makes
	  the bindings for a bunch of other functions work as well. Note
	  this is (still) only an in typemap, since no useful functions
	  that return a QofQueryParamList are exposed in the bindings
	  right now anyway.

2010-11-27 21:54  cstim

	* [r19889] src/report/business-reports/taxinvoice.eguile.scm,
	  src/report/business-reports/taxinvoice.scm,
	  src/report/standard-reports/balsheet-eg.eguile.scm,
	  src/report/standard-reports/balsheet-eg.scm: Bug #635632: Update
	  existing eguile reports to use new for syntax. Patch by Matthijs
	  Kooijman <matthijs@stdin.nl>: This makes use of the new for
	  syntax introduced in the previous commit, making these reports
	  and templates a bit easier to read and modify.
	* [r19888] src/report/report-system/eguile-utilities.scm: Bug
	  #635632: Add custom for loop syntax for eguile templates Patch
	  by Matthijs Kooijman <matthijs@stdin.nl>: The built-in for-each
	  loop construct is a bit cumbersome: It always requires an
	  explicit lambda and the list to loop over is the last argument.
	  Especially the latter makes it very hard to read when the lambda
	  is big and multiple for-each'es are nested. For hashes, this
	  prevents the need of the cumbersome hash-fold and slightly
	  better hash-for-each (which still suffers from the same problems
	  as for-each and is not available in guile 1.6). This new syntax
	  allows for three distinct syntaxes: * Looping over a single
	  list: (for a in lst do (display a)) * Looping over multiple
	  lists: (for (a b) in (lsta lstb) do (display (+ a b))) * Looping
	  over a hash: (for key => value in hash do (display (* key
	  value)))

2010-11-27 21:01  cstim

	* [r19887] src/business/business-ledger/gncEntryLedgerControl.c:
	  Implement auto-completion in the invoice/bill entry ledger.

2010-11-25 21:34  cstim

	* [r19884] src/business/business-ledger/gncEntryLedgerControl.c:
	  Take a first shot at adding auto-completion in the business
	  ledger, but currently it doesn't do anything yet.
	* [r19883] src/business/business-ledger/gncEntryLedger.c,
	  src/business/business-ledger/gncEntryLedger.h: Make prototype
	  for gnc_entry_ledger_get_entry public. Add documentation.

2010-11-24 18:45  gjanssens

	* [r19881] src/gnome-utils/dialog-options.c: Fix GtkSpinButton
	  with page-size deprecated warning in gnucash.trace

2010-11-24 02:52  fell

	* [r19874] po/glossary/bg.po, po/glossary/ca.po,
	  po/glossary/da.po, po/glossary/de.po, po/glossary/de_CH.po,
	  po/glossary/el.po, po/glossary/es.po, po/glossary/fr.po,
	  po/glossary/gnc-glossary.txt, po/glossary/he.po,
	  po/glossary/hu.po, po/glossary/it.po, po/glossary/nb.po,
	  po/glossary/nl.po, po/glossary/pl.po, po/glossary/pt.po,
	  po/glossary/pt_BR.po, po/glossary/ru.po, po/glossary/rw.po,
	  po/glossary/sk.po, po/glossary/sv.po, po/glossary/vi.po,
	  po/glossary/zh_CN.po, po/glossary/zh_TW.po: Add "discount" to
	  all glossary files because some languages use different
	  translations in billing terms and invoices. Additional the
	  german translation is added to glossary/de.po. This change does
	  not break the string freeze as it is not user visible.

2010-11-22 20:17  cstim

	* [r19863] src/engine/business-core.i, src/engine/gncInvoice.h:
	  Bug #635469: Add bindings for running a qofquery on invoices.
	  This adds a new typedef "GncInvoiceList" with the corresponding
	  typemap, and adds two new functions
	  qof_query_create_for_invoices and qof_query_run_for_invoices,
	  which are trivial wrappers around qof_query_create_for and
	  qof_query_run respectively.

2010-11-22 19:42  cstim

	* [r19862] src/gnc-ui.h: Bug #635355: Add public declaration of
	  gnc_info_dialog. Patch by Manfred Usselmann.

2010-11-22 15:13  mikee

	* [r19861] src/business/business-gnome/business-gnome-utils.c,
	  src/business/business-gnome/dialog-payment.c: Bug #635439: Patch
	  to autoset owner in the payment dialog Patch by Matthijs
	  Kooijman <matthijs@stdin.nl>

2010-11-22 13:45  mikee

	* [r19860] src/business/business-gnome/business-gnome-utils.c,
	  src/business/business-gnome/dialog-payment.c: Revert "Bug
	  #635439: Patch to autoset owner in the payment dialog" This
	  reverts commit 232ae4064952cb65e9703d61778cb1531d2e4f56.

2010-11-21 20:44  cstim

	* [r19858] po/de.po: Update German translation. (This includes the
	  14 new strings which are already there but not yet being used.)
	* [r19857] po/de.po: Merge German translation with latest pot
	  template. This is merged using msgmerge --no-location de.po
	  gnucash.pot -o de.new.po and we use "--no-location" to make the
	  updates actually readable. (Unfortunately this doesn't prevent
	  the strings from changing ordering anyway. Oh well.)

2010-11-21 20:37  cstim

	* [r19856] src/business/business-gnome/glade/payment.glade: Remove
	  superfluous whitespace at end of string. Incidentally, this way
	  the string already exists and no broken translation results.
	* [r19855] intl-scm/Makefile.am: When extracting the translation
	  strings from the scheme files, sort the scheme files to obtain a
	  stable ordering of the output.

2010-11-21 20:17  cstim

	* [r19854] src/business/business-gnome/dialog-payment.c: Bug
	  #635439: Fix "Pay invoice" while the invoice dialog is open.
	  Patch by Matthijs Kooijman <matthijs@stdin.nl>: If you use "Pay
	  invoice", normally a new payment dialog is opened which is
	  completely filled in. However, when there was already a dialog
	  open, it was reused but only the owner would be filled in. This
	  patch makes sure that the invoice and amount are filled in as
	  well.
	* [r19853] src/business/business-gnome/business-gnome-utils.c,
	  src/business/business-gnome/dialog-payment.c: Bug #635439: Patch
	  to autoset owner in the payment dialog Patch by Matthijs
	  Kooijman <matthijs@stdin.nl>: In the payment dialog, set the
	  owner when an invoice is selected Before, you would always need
	  to select an owner manually. If you would just select an invoice
	  (which was possible, since the invoice selection is not disabled
	  when no owner has been selected yet), pressing OK would error
	  out because no owner was selected. This patch makes sure that
	  when an invoice is selected, but no owner is selected yet, the
	  right owner is filled into the owner selection box
	  automatically. This also happens when the wrong owner is
	  selected, which can happen because the invoice autocompletion is
	  not limited to invoices from the selected owner, but always
	  completes all invoices. This could cause weird behaviour: Select
	  an owner, then use completion to select an invoice by another
	  owner and press ok. This would cause the amount for the invoice
	  by the other owner to be charged against the first owner. This
	  patch prevents that by replacing the first owner by the other
	  owner in the dialog. This patch also changes
	  gnc_invoice_set_owner to no longer reset the invoice selection
	  to NULL. Instead, this is now handled by

2010-11-21 02:14  plongstaff

	* [r19851] configure.ac: Update release to 2.3.17

2010-11-20 18:28  jralls

	* [r19849] README: Correct patch submission instructions to direct
	  patches to bugzilla rather than the mailing list.

2010-11-20 13:56  cmarchi

	* [r19848] po/it.po: Updated Italian Translation.

2010-11-19 22:22  jralls

	* [r19847] src/register/ledger-core/split-register-control.c,
	  src/register/ledger-core/split-register-p.h,
	  src/register/ledger-core/split-register.c: Bug #589954: No blank
	  split after creating a new account "on the fly" while editing a
	  transaction. Cause was that
	  gnc_split_register_get_account_by_name() turned of
	  "full_refresh" if the account didn't already exist and turned it
	  back on only if the name of the account actually created in the
	  new account dialog box differed from the one originally entered
	  in the transaction. Since "full_refresh" isn't manipulated much,
	  that effectively shut down the ledger for further editing.
	  Probably not what the original author intended!

2010-11-18 21:21  jralls

	* [r19832] src/backend/dbi/gnc-backend-dbi.c: Fix error in r19822
	  which prevented creation of postgres databases.

2010-11-18 20:39  gjanssens

	* [r19831] src/gnome-utils/gnc-gnome-utils.c,
	  src/gnome-utils/gnc-gnome-utils.h, src/gnome-utils/gnc-splash.c,
	  src/gnome-utils/gnc-splash.h: Splash screen: minor code cleanup

2010-11-18 17:17  gjanssens

	* [r19828] src/gnome-utils/glade/preferences.glade,
	  src/gnome-utils/gnc-gnome-utils.c,
	  src/gnome/schemas/apps_gnucash_general.schemas.in: Bug #634906 -
	  Re-enable splash screen preference option

2010-11-18 15:33  gjanssens

	* [r19827] packaging/win32/defaults.sh,
	  packaging/win32/install-impl.sh: Bug #633550 - Help and concepts
	  guide are missing from the prebuilt binary (because xsltproc
	  chokes on undefined entities)

2010-11-17 21:38  gjanssens

	* [r19824] src/backend/dbi/gnc-backend-dbi.c: Bug #609581 -
	  Gnucash 2.3.8 offers to create db and then fails to do so

2010-11-17 02:14  jralls

	* [r19822] src/backend/dbi/gnc-backend-dbi.c: Bug 628409: SQL
	  coerces identifiers to lowercase, but postgres's C interface is
	  case sensitive.

2010-11-17 01:31  jralls

	* [r19821] src/backend/dbi/gnc-backend-dbi.c: Bug 592643: Set
	  standard_conforming_strings on postgresql databases.

2010-11-17 00:10  jralls

	* [r19820] src/backend/dbi/gnc-backend-dbi.c: Bug 634964: Crash in
	  pgsql_error_fn. The dbi_conn isn't set if the server refuses the
	  connection, so protect dereferences from null pointers.

2010-11-16 22:07  jralls

	* [r19819]
	  src/optional/python-bindings/example_scripts/new_book_with_opening_balances.py,
	  src/optional/python-bindings/example_scripts/simple_business_create.py,
	  src/optional/python-bindings/example_scripts/simple_invoice_insert.py,
	  src/optional/python-bindings/example_scripts/simple_session.py,
	  src/optional/python-bindings/example_scripts/simple_sqlite_create.py,
	  src/optional/python-bindings/example_scripts/simple_test.py: Fix
	  python samples to work with reordered Session.__init__() args

2010-11-16 20:55  cstim

	* [r19818] src/import-export/aqbanking/gnc-ab-utils.c: Fixed
	  aqbanking transaction type on importing DTAUS online transfers.
	  Patch by Manfred Usselmann.

2010-11-16 09:06  gjanssens

	* [r19817] packaging/win32/install-impl.sh: Disable Italian docs
	  generation I just accidentally enabled. It wasn't enabled before
	  the xsltproc issue popped up, so it shouldn't be enabled now.
	* [r19816] packaging/win32/install-impl.sh: Reactivate English
	  docs generation in Windows build

2010-11-15 22:53  gjanssens

	* [r19815] src/gnome-utils/gnc-main-window.c,
	  src/gnome-utils/ui/gnc-main-window-ui.xml,
	  src/gnome/ui/gnc-plugin-basic-commands-ui.xml: Bug #634357
	  followup: convert New and Open submenus into plain menus

2010-11-15 19:37  cstim

	* [r19814] src/import-export/aqbanking/gnc-ab-utils.c: When
	  preparing imported DTAUS jobs, check their availability as well.

2010-11-15 19:29  jralls

	* [r19813] src/gnome-utils/gnc-file.c: Fix misplaced comment in
	  gnome-utls/gnome-file.c from 19798

2010-11-15 19:10  jralls

	* [r19812] src/optional/python-bindings/Makefile.am,
	  src/optional/python-bindings/gnucash_core.i,
	  src/optional/python-bindings/gnucash_core.py: Make arguments to
	  Session.__init__() have the same order as to qof_session_begin()
	  to reduce potential confusion.

2010-11-15 13:02  cmarchi

	* [r19811] po/nl.po: Updated dutch translation, copied from
	  Translation Project

2010-11-14 21:14  cstim

	* [r19810] AUTHORS: Fix typo in AUTHORS, as pointed out by Mike
	  himself.

2010-11-14 19:29  cstim

	* [r19809] AUTHORS: Add Mike Evans to AUTHORS as he has been
	  providing patches regularly.

2010-11-14 13:30  cstim

	* [r19808] src/optional/python-bindings/gnucash_core.py: Bug
	  #634812: Improve backend error reporting for Session begin Patch
	  by Mike E: The current error feedback to a python scrpt/user
	  looks something like: call to begin resulted in the following
	  errors, (7,) This change in gnucash_core.py makes the feedback
	  similar to: call to begin resulted in the following errors,
	  ERR_BACKEND_LOCKED This is less cryptic and aid debugging of
	  user python scripts. My only issue though is whether this would
	  break existing user scripts where checking of this error code is
	  used for flow control. Although since the ERR_ codes are
	  imported with gnucash_core_c it *should* have no effect.

2010-11-14 13:16  cstim

	* [r19807] src/gnc/Session.hpp, src/gnc/mainwindow-file.cpp:
	  Cutecash: Adapt to changed session_begin in r19798.

2010-11-14 13:05  cstim

	* [r19806]
	  src/business/business-gnome/ui/gnc-plugin-page-invoice-ui.xml,
	  src/gnome/ui/gnc-plugin-page-account-tree-ui.xml,
	  src/gnome/ui/gnc-plugin-page-budget-ui.xml: Bug #634357: Further
	  menu ui cleanup: Reserve File New/Open menu only the
	  file-related items anymore. The menu items under "File" should
	  relate only to the file (database), not to anything within a
	  file. The open/new for all other things (budget, invoice,
	  account) have been moved somewhere else.

2010-11-13 21:32  cstim

	* [r19805] packaging/win32/defaults.sh,
	  packaging/win32/install-impl.sh: Win32 build: Update versions of
	  libktoblzcheck, gwenhywfar4.

2010-11-13 21:23  cstim

	* [r19804] src/import-export/aqbanking/gnc-ab-utils.c,
	  src/import-export/aqbanking/gnc-file-aqb-import.c: Fix crash
	  when using the function "Import DTAUS and send". The actual
	  function is still implemented, though.

2010-11-13 21:22  cstim

	* [r19803] src/optional/python-bindings/Makefile.am: Minor fix of
	  r19802, bug#634673: config.h is in builddir, not srcdir; add
	  last .i file dependency.

2010-11-12 19:02  jralls

	* [r19802] src/optional/python-bindings/Makefile.am: Bug 634673:
	  Add dependency information & fix typo in python-bindings
	  Makefile.

2010-11-12 18:37  jralls

	* [r19801] src/optional/python-bindings/gnucash_core.py: Add
	  force_new parameter to GnuCashCoreClass.__init__, reflecting
	  change to qof_session_begin() in r19798

2010-11-11 06:12  jralls

	* [r19798] src/backend/dbi/gnc-backend-dbi.c,
	  src/backend/dbi/test/test-dbi-business-stuff.c,
	  src/backend/dbi/test/test-dbi-stuff.c,
	  src/backend/dbi/test/test-dbi.c,
	  src/backend/xml/gnc-backend-xml.c,
	  src/backend/xml/test/test-load-xml2.c,
	  src/backend/xml/test/test-save-in-lang.c, src/bin/gnucash-bin.c,
	  src/business/business-core/test/test-customer.c,
	  src/business/business-core/test/test-employee.c,
	  src/business/business-core/test/test-job.c,
	  src/business/business-core/test/test-vendor.c,
	  src/engine/test/test-recursive.c,
	  src/gnome-utils/druid-gnc-xml-import.c,
	  src/gnome-utils/gnc-file.c, src/libqof/qof/qofbackend-p.h,
	  src/libqof/qof/qofbackend.h, src/libqof/qof/qofsession.c,
	  src/libqof/qof/qofsession.h: Bug 634392: New sql database raises
	  clobber warning A fairly extensive change, because I changed
	  may_clobber from a global qof function (which passed through
	  qofbackend and fetched up in the actual backends) to a local
	  static in the individual backends which raise a new
	  qof_backend_error, QOF_ABCKEND_STORE_EXISTS. This was necessary
	  to reorder the existence check before the lock, because with the
	  sql backends, locking creates the database... which then would
	  return may_clobber as true, even though it really wasn't. New
	  parameter "force" added to session_begin() functions, and
	  "create_if_nonexistant" is renamed to simply "create". The
	  reason for the latter is that the file/database is created
	  regardless of whether it already exists; that's what the clobber
	  check is about. The new "force" parameter is set to true the
	  second time through, after the user has responded to the clobber
	  dialog indicating that the data should be destroyed. Many of the
	  extraneous changes are just adding the new parameter to the
	  session_begin() calls. gnc-file changes to handle the error in
	  favor of calling the no-longer-existing
	  qof_check_may_clobber_data() call after session_begin(). Two
	  minor changes to gnc_file_do_save_as: gnc_add_history and
	  gnc_hook_run are now called on new_session instead of
	  old_session; this ensures that the new file/database is used at
	  the next startup of gnucash. Second, the filename/url is
	  filtered before displaying the "may_clobber" dialog box to
	  prevent displaying plaintext database passwords.

2010-11-10 19:49  cstim

	* [r19795] src/optional/python-bindings/gnucash_core.py: Bug
	  #634165: Better dealing with a locked database in python Patch
	  by Christoph Holtermann: For the second enhancement proposal i
	  have attached a simple patch which adds the argument ignore_lock
	  to Session.__init__() which is passed through to
	  qof_session_begin. This patch extends the function
	  Session.__init__() with ignore_lock
	* [r19794] src/gnome/gnc-plugin-basic-commands.c,
	  src/gnome/ui/gnc-plugin-budget-ui.xml: Bug #634357: Move the
	  Budget Open/New menu items to Actions -> Budget -> New Budget /
	  Open Budget because they have nothing to do with the file menu.

2010-11-10 07:12  cmarchi

	* [r19786] po/nl.po: Updated dutch translation, copied from
	  Translation Project

2010-11-09 18:50  jralls

	* [r19785] src/gnome-utils/gnc-gnome-utils.c: Bug 634334: Check
	  that subdir argument really is one of the two cases we can
	  handle. Wrap fileURLWithPath in @try/@catch so that we don't
	  crash when it throws. Free bonus fix: If "en" is the language
	  and doesn't have a translation, force the C locale.

2010-11-09 17:55  jralls

	* [r19784] src/gnome/Makefile.am: Bug 634334: Crash on selecting
	  New User Tutorial from new user dialog.

2010-11-08 20:46  cstim

	* [r19783] src/report/standard-reports/category-barchart.scm: Bug
	  #633942: Fix "nil" column header on single account report When I
	  open a report window (barchart in the example) and select only
	  one account, I get a column header saying "nil" near the only
	  data column. Someone accidentally wrote "nil" instead of the
	  empty list '().

2010-11-08 20:31  cstim

	* [r19782] po/de.po: Minor update of German translation. In the
	  "bills due" dialog we use Bill -> Rechnung, not
	  Lieferantenrechnung.

2010-11-08 19:45  cstim

	* [r19781] src/gnome-utils/gnc-file.c: Bug #634252: Re-enable the
	  splash screen if the user selects open anyway If during startup
	  a file or database turns out to beeing locked the user is
	  presented a dialog with the options to open anyway, create a new
	  file or abort. This dialog, however, closes the splash screen.
	  This may cause confusion, because file loading and report
	  generation may still take quite some time. Patch by Herbert
	  Thoma.

2010-11-08 19:40  cstim

	* [r19780] packaging/win32/defaults.sh,
	  packaging/win32/install-impl.sh: Increase gnutls version to
	  2.8.6 (might fix bug#632158)

2010-11-06 21:35  plongstaff

	* [r19766] configure.ac: Fix stupid mistake when I checked in the
	  configure.ac with new version#.

2010-11-06 20:33  plongstaff

	* [r19764] configure.ac: Update revision # to 2.3.16

2010-11-06 20:20  plongstaff

	* [r19763] src/backend/dbi/test: Add 'test-dbi-business' to
	  svn:ignore

2010-11-06 19:50  plongstaff

	* [r19762] src/backend/dbi/test/Makefile.am: Add
	  test-dbi-business-stuff.h to EXTRA_DIST so "make distcheck"
	  passes

2010-11-06 07:21  cmarchi

	* [r19759] po/lv.po: Updated Latvian translation by Valdis
	  Vītoliņš.

2010-11-05 21:49  cstim

	* [r19758] src/engine/SchedXaction.c: Really fix error in
	  sx_get_num_occur for SX which are limited by num_occur.
	  Follow-up to r19757 which was incomplete. Hopefully I now really
	  got everything.

2010-11-05 21:36  cstim

	* [r19757] src/engine/SchedXaction.c: Fix error in
	  sx_get_num_occur for SX which are limited by num_occur. The last
	  occurrence wasn't counted because it was still valid but turned
	  num_occur_rem to zero, hence the counting stopped one too early.
	* [r19756] src/gnome-utils/gnc-dense-cal-store.c: Fix error in
	  dense-cal widget where the last occurrence of a SX wasn't
	  displayed.

2010-11-04 18:37  jralls

	* [r19755] src/backend/dbi/gnc-backend-dbi.c,
	  src/backend/dbi/test/test-dbi-business-stuff.c,
	  src/backend/dbi/test/test-dbi-stuff.c,
	  src/backend/sql/gnc-backend-sql.c: Fix the errors, reduce the
	  noise when testing the dbi backend * Check for a null gdate
	  before attempting to make it a string. Fixes a bunch of CRIT
	  errors. * Comment out the log debug setting in dbi. It's stable
	  enough that it shouldn't be needed routinely. It can, of course,
	  be enabled from the command line. * Add a notice to ignore the
	  warnings about there being no lock on the database when session
	  3 is closed. Session 3 has to be run with ignore locking or it
	  won't run at all.

2010-11-04 17:31  jralls

	* [r19754] src/business/business-core/test/test-customer.c,
	  src/business/business-core/test/test-employee.c,
	  src/business/business-core/test/test-job.c,
	  src/business/business-core/test/test-vendor.c: Fix business-core
	  tests so that all pass

2010-11-03 00:28  jralls

	* [r19747] src/backend/dbi/test/test-dbi-business-stuff.c,
	  src/backend/dbi/test/test-dbi-stuff.c: Bug 632346: Fixed test
	  failures in dbi

2010-11-02 23:07  jralls

	* [r19746] src/backend/xml/test/test-load-xml2.c,
	  src/backend/xml/test/test-real-data.sh,
	  src/backend/xml/test/test-xml-account.c,
	  src/backend/xml/test/test-xml-commodity.c,
	  src/backend/xml/test/test-xml-transaction.c: Updated tests
	  matching the xml backend as of 2011-11-02

2010-11-02 23:06  jralls

	* [r19745]
	  src/backend/xml/test/test-files/xml2/Money95bank_fr.gml2,
	  src/backend/xml/test/test-files/xml2/Money95invst.gml2,
	  src/backend/xml/test/test-files/xml2/Money95mutual.gml2,
	  src/backend/xml/test/test-files/xml2/Money95stocks.gml2,
	  src/backend/xml/test/test-files/xml2/abc.gml2,
	  src/backend/xml/test/test-files/xml2/abcall.gml2,
	  src/backend/xml/test/test-files/xml2/carols-data-file.gml2,
	  src/backend/xml/test/test-files/xml2/cbb-export.gml2,
	  src/backend/xml/test/test-files/xml2/conrads-file.gml2,
	  src/backend/xml/test/test-files/xml2/every.gml2,
	  src/backend/xml/test/test-files/xml2/goonies-file.gml2,
	  src/backend/xml/test/test-files/xml2/hierachical-data-file.gml2,
	  src/backend/xml/test/test-files/xml2/ms-money.gml2,
	  src/backend/xml/test/test-files/xml2/pricedb1.gml2: Updated test
	  files complying with the xml schema as of 2011-11-02

2010-11-02 21:14  jralls

	* [r19744] src/engine/Scrub.c: Bugs 632346 & 632166: Fixup
	  transaction currency scrubbing. Biggest problem was that almost
	  well-formed transactions missing a currency element wouldn't
	  import correctly because the FindCommonCurrencies function only
	  used the old currency values, ignoring the commodity values in
	  the splits' accounts. A new function,
	  xaccFindCommonCurrencies(), looks at those first and then calls
	  xaccFindOldCommonCurrencies only if it fails. That addresses the
	  cause of the import failure reported in 632166 and a big chunk
	  of the warning messages complained about in 632346. A secondary
	  problem, also addressed in this change, was that the last block
	  in xaccTransScrubCurrencyFromSplits always replaced the "amount"
	  with the "value". This is the right thing to do if the commodity
	  for the split account is a currency, but if it isn't, the
	  replacement should be reversed.

2010-11-02 18:21  jralls

	* [r19743] src/backend/xml/gnc-account-xml-v2.c: Revised handling
	  of obsolete security elements, made log messages better.
	  Accounts with security elements would only use the security to
	  update the commodity if there wasn't a commodity; however, the
	  files in the tests had accounts which had a security and a
	  commodity, where the commodity was a currency. That's wrong. so
	  now if the commodity is a currency, the security will overwrite
	  it. Added the account name and element name to the log message
	  to assist in troubleshooting, should that be needed.

2010-11-01 16:43  jralls

	* [r19740] src/backend/dbi/gnc-backend-dbi.c: Minor fixups to dbi
	  backend: * dbi_conn_error_flag is deprecated, replace with
	  dbi_conn_error (Thanks, Christian). * Switch from OS-determined
	  HOST_NAME_MAX to locally defined GNC_HOSTNAME_MAX so that the
	  field is always 255 regardless of what OS creates it. * Use
	  G_OS_WIN32 instead of naked WIN32

2010-10-31 20:51  jralls

	* [r19739] src/backend/dbi/gnc-backend-dbi.c: Bug 629238: Part 2:
	  Extend locking table to SQLite3.

2010-10-31 20:31  jralls

	* [r19738] src/backend/dbi/gnc-backend-dbi.c: Bug 629238: Part 1:
	  Create a lock table for postgresql and mysql backends.

2010-10-30 19:01  cstim

	* [r19734] packaging/win32/defaults.sh: Win32 build: Update
	  ktoblzcheck version number.

2010-10-30 14:55  gjanssens

	* [r19733] src/business/business-gnome/dialog-invoice.c,
	  src/business/business-gnome/dialog-order.c,
	  src/business/business-gnome/glade/businessprefs.glade,
	  src/business/business-gnome/schemas/apps_gnucash_dialog_business_common.schemas.in,
	  src/core-utils/gnc-gconf-utils.h,
	  src/gnome-utils/glade/preferences.glade,
	  src/gnome-utils/gnc-gnome-utils.c, src/gnome/dialog-sx-editor.c,
	  src/gnome/gnc-plugin-page-register.c,
	  src/gnome/gnc-plugin-page-register.h, src/gnome/gnc-split-reg.c,
	  src/gnome/schemas/apps_gnucash_general.schemas.in,
	  src/register/register-gnome/gnucash-sheet.c,
	  src/register/register-gnome/gnucash-sheet.h: Preferences window
	  improvements: * Accounting Period: reorder options so the dates
	  are on top * Business: reorder options to clarify which options
	  are general and which apply to invoices or bills only *
	  Business: remove obscure "Number of lines" option * Register
	  defaults: remove obscure "Number of lines" option * General:
	  remove "Show splash screen" option While removing the "Number of
	  lines" options, I have also removed most of the code that used
	  this option. The number of lines was used to calculate the
	  default window size in various places in the code. The code now
	  simply uses sensible defaults for that.

2010-10-29 22:20  jralls

	* [r19729] src/backend/sql/gnc-slots-sql.c,
	  src/libqof/qof/kvp_frame.c, src/libqof/qof/kvp_frame.h: Bug
	  627831: Implements recursion into storing and retrieving nested
	  slot frames and lists.

2010-10-29 08:39  gjanssens

	* [r19728] src/backend/dbi/gnc-backend-dbi.c,
	  src/backend/sql/gnc-backend-sql.c, src/engine/Split.c: Bug
	  #630770 - Crash when connection lost using db

2010-10-29 08:32  gjanssens

	* [r19727] src/backend/sql/gnc-backend-sql.c: Some whitespace
	  cleanups

2010-10-28 18:54  cmarchi

	* [r19710] po/en_GB.po: Updated British English translation by
	  Mike Evans.

2010-10-25 18:50  cstim

	* [r19708] src/gnome-utils/gnc-tree-view.c: Fix gtk warnings when
	  erroneously setting the fixed-width property to zero.

2010-10-25 18:16  cstim

	* [r19707] src/business/business-gnome/glade/payment.glade: Bug
	  #629524: Fix redundant string.

2010-10-24 15:29  plongstaff

	* [r19699] src/backend/sql/gnc-bill-term-sql.c,
	  src/backend/sql/gnc-customer-sql.c,
	  src/backend/sql/gnc-employee-sql.c,
	  src/backend/sql/gnc-entry-sql.c,
	  src/backend/sql/gnc-invoice-sql.c,
	  src/backend/sql/gnc-lots-sql.c, src/backend/sql/gnc-price-sql.c,
	  src/backend/sql/gnc-slots-sql.c,
	  src/backend/sql/gnc-tax-table-sql.c,
	  src/backend/sql/gnc-transaction-sql.c: INFO message to trace log
	  if a table is automatically upgraded to newer version.

2010-10-24 09:36  cstim

	* [r19698] po/POTFILES.in: Update POTFILES.in with recent file
	  addition.

2010-10-24 09:17  cstim

	* [r19697] src/core-utils/CMakeLists.txt: Fix cmake declaration of
	  BINDIR variable, needed because of r19651.

2010-10-23 22:17  jralls

	* [r19696] src/html/gnc-html-webkit.c: Bug 611077: Removed
	  warnings, webkit handles jumps to anchors internally

2010-10-23 10:38  gjanssens

	* [r19695] src/app-utils/gnc-euro.c,
	  src/app-utils/gnc-exp-parser.c,
	  src/app-utils/gnc-sx-instance-model.c,
	  src/app-utils/test/test-print-parse-amount.c,
	  src/business/business-gnome/dialog-billterms.c,
	  src/business/business-gnome/dialog-invoice.c,
	  src/engine/Account.c, src/engine/Scrub.c, src/engine/Scrub2.c,
	  src/engine/Split.c, src/engine/Transaction.c,
	  src/engine/cap-gains.c, src/engine/engine-helpers.c,
	  src/engine/gnc-pricedb.c, src/engine/gncBusGuile.c,
	  src/engine/gncEntry.c, src/engine/gncInvoice.c,
	  src/engine/test-core/test-engine-stuff.c,
	  src/gnome-utils/dialog-transfer.c,
	  src/gnome-utils/gnc-amount-edit.c,
	  src/gnome-utils/window-main-summarybar.c,
	  src/gnome/dialog-fincalc.c, src/gnome/druid-hierarchy.c,
	  src/gnome/druid-loan.c, src/gnome/gnc-plugin-page-budget.c,
	  src/gnome/gnc-split-reg.c,
	  src/import-export/aqbanking/gnc-ab-transfer.c,
	  src/import-export/aqbanking/gnc-ab-utils.c,
	  src/import-export/csv/gnc-csv-model.c,
	  src/import-export/hbci/gnc-hbci-getbalance.c,
	  src/import-export/hbci/gnc-hbci-gettrans.c,
	  src/import-export/hbci/gnc-hbci-transfer.c,
	  src/import-export/ofx/gnc-ofx-import.c,
	  src/libqof/qof/qofquerycore.c,
	  src/register/ledger-core/split-register-model-save.c,
	  src/register/ledger-core/split-register-model.c,
	  src/register/ledger-core/split-register.c,
	  src/register/register-core/pricecell.c: Bug #502853 - Incorrent
	  tax rounding in invoice (rounding of .5) This patch changes the
	  default rounding behaviour in GnuCash from "Round to nearest
	  even" to "Round away to infinity". See the bugreport for more
	  details on these different rounding methods.

2010-10-23 10:00  gjanssens

	* [r19694] src/backend/xml/gnc-backend-xml.c: Bug #593479 -
	  Account file being deleted because of erroneous checking for
	  lock file. Replaces the pointer arithmetics with string
	  functions and regexes where possible to avoid typical pointer
	  pitfalls.

2010-10-20 22:19  mta

	* [r19690] src/import-export/log-replay/gnc-plugin-log-replay.c:
	  Suspend GUI refresh while replaying a log file to avoid flicker
	  and speed it up dramatically.

2010-10-20 21:31  mta

	* [r19689] src/import-export/log-replay/gnc-log-replay.c: Bug
	  3786338. Change r19243 deleted a call to xaccTransBeginEdit
	  which causes a crash replaying a log that deletes an existing
	  transaction. Log replay should now do exactly one
	  xaccTransBeginEdit/xaccTransCommitEdit call per logged
	  transaction.

2010-10-20 03:40  jralls

	* [r19688] src/backend/sql/gnc-book-sql.c: Remove
	  gnc_book_mark_saved from gnc_sql_save_book. It's a bit premature
	  to mark the book as saved when we haven't yet saved its contents.

2010-10-20 03:35  jralls

	* [r19687] src/gnome-utils/gnc-file.c: Bug 632166: Restore the old
	  session if "save as" fails. Save as would make a new session the
	  "current session" and attempt to save it. If it failed, the new
	  session (with an invalid database) would remain the current
	  session -- and would be marked clean. An XML-only file-save-as
	  dialog would be presented with no instructions about what was
	  going on. With this change, if the "save as" fails, the old
	  session is restored, still marked unsaved. This should be much
	  less confusing to users and more likely to avoid data loss. Yes,
	  there's some duplicated code now, because do_save_as doesn't
	  call save. That's because save did some extra things that
	  do_save_as doesn't need and it didn't allow do_save_as to
	  properly correct the session. This could be refactored into some
	  tiny functions, but that seems a bit excessive to me.

2010-10-19 22:42  jralls

	* [r19682] src/backend/sql/gnc-backend-sql.c: Bug 632166:
	  gnc_backend_sql_sync_all: Commit only if all operations were
	  successful; otherwise roll back.

2010-10-19 21:22  jralls

	* [r19681] src/backend/sql/gnc-transaction-sql.c: Fix minor typo
	  in error message.

2010-10-19 18:32  jralls

	* [r19680] src/backend/sql/Makefile.am,
	  src/backend/sql/gnc-transaction-sql.c: Bug 632166: A Better fix
	  that doesn't break string freeze or introduce a Gtk GUI
	  dependency into the backend.

2010-10-19 11:51  cmarchi

	* [r19675] po/glossary/bg.po: Updated Bulgarian glossary by Rosi
	  Dimova.
	* [r19674] po/bg.po: Updated Bulgarian translation by Rosi Dimova.

2010-10-18 21:56  jralls

	* [r19673] src/backend/sql/Makefile.am,
	  src/backend/sql/gnc-transaction-sql.c: Bug 632166: Notify user
	  when something goes wrong with a transaction save.

2010-10-18 21:54  jralls

	* [r19672] src/libqof/qof/qoflog.h: qoflog.h: No such macro as
	  G_LOG_LEVEL_FATAL

2010-10-18 19:16  cmarchi

	* [r19671] po/lv.po: Updated Latvian translation by Valdis
	  Vītoliņš.

2010-10-17 21:17  plongstaff

	* [r19670] src/backend/sql/gnc-account-sql.h,
	  src/backend/sql/gnc-address-sql.c,
	  src/backend/sql/gnc-address-sql.h,
	  src/backend/sql/gnc-backend-sql.c,
	  src/backend/sql/gnc-backend-sql.h,
	  src/backend/sql/gnc-bill-term-sql.h,
	  src/backend/sql/gnc-book-sql.h,
	  src/backend/sql/gnc-budget-sql.h,
	  src/backend/sql/gnc-commodity-sql.h,
	  src/backend/sql/gnc-lots-sql.h, src/backend/sql/gnc-owner-sql.h,
	  src/backend/sql/gnc-price-sql.h,
	  src/backend/sql/gnc-recurrence-sql.h,
	  src/backend/sql/gnc-schedxaction-sql.h,
	  src/backend/sql/gnc-slots-sql.h,
	  src/backend/sql/gnc-transaction-sql.h: Fix include files.
	  Include files now only include other include files if symbols
	  from the other files are needed by this one.

2010-10-17 20:21  jralls

	* [r19669] src/html/gnc-html-webkit.c: Bug 611077: Warn instead of
	  assert about gtk_html_jump_to_anchor not being implemented in
	  webkit. Note, however, that Webkit seems to take care of this on
	  its own, so even the warning may be unnecessary.

2010-10-17 19:48  jralls

	* [r19668] src/business/business-core/test/Makefile.am: Remove
	  lbgncmod-backend-xml as an additional library in
	  business/business-core/test/Makefile.am.
	  libgncmod-backend-xml.so is a loadable module, not a shared
	  library, and it shouldn't be dynamically linked. While this will
	  do no harm on Linux, it fails on OSX/Darwin.

2010-10-17 17:24  jralls

	* [r19667] src/backend/dbi/test/Makefile.am: Fix misplaced quote
	  in backend/dbi/test/Makefile.am, broke dbi testing.

2010-10-16 14:05  gjanssens

	* [r19666] src/app-utils/gnc-euro.c, src/app-utils/gnc-ui-util.c,
	  src/backend/sql/gnc-backend-sql.c,
	  src/backend/xml/gnc-book-xml-v2.c,
	  src/backend/xml/io-example-account.c,
	  src/backend/xml/io-gncxml-v1.c, src/backend/xml/io-gncxml-v2.c,
	  src/backend/xml/test/test-xml-account.c,
	  src/engine/gnc-commodity.h, src/gnome-utils/dialog-commodity.c,
	  src/gnome-utils/gnc-tree-view-commodity.c,
	  src/gnome/dialog-commodities.c,
	  src/import-export/hbci/druid-hbci-initial.c: Rename old
	  gnc_book_get_commodity_table into the newer
	  gnc_commodity_table_get_table.

2010-10-16 12:08  gjanssens

	* [r19665] src/engine/gnc-engine.h, src/quotes/gnc-fq-helper.in:
	  Spelling fixes in comments.

2010-10-16 10:23  gjanssens

	* [r19664] src/backend/sql/gnc-price-sql.c,
	  src/backend/xml/gnc-book-xml-v2.c,
	  src/backend/xml/gnc-pricedb-xml-v2.c,
	  src/backend/xml/io-gncxml-v1.c, src/backend/xml/io-gncxml-v2.c,
	  src/engine/Account.c, src/engine/gnc-pricedb.h,
	  src/gnome-utils/dialog-transfer.c,
	  src/gnome/druid-stock-split.c, src/gnome/gnc-split-reg.c,
	  src/import-export/binary-import/druid-commodity.c: Replace all
	  occurrences of the old gnc_book_get_pricedb with the newer
	  gnc_pricedb_get_db

2010-10-15 20:25  cstim

	* [r19659] src/engine/SX-ttinfo.c, src/engine/SX-ttinfo.h,
	  src/engine/SchedXaction.c, src/gnome/dialog-sx-from-trans.c:
	  Partly revert r19550, "Bug #370331: Store the numeric values of
	  SX..." This caused the numbers in the "SX from txn" to appear as
	  "220/100" ratios, which we do not want.

2010-10-15 11:58  gjanssens

	* [r19658] src/gnome-utils/glade/dialog-file-access.glade: File
	  dialog - make enter activate the default action for mysql/pgsql
	  selection. This was already the case in the standard file
	  selector. This change makes the two selection methods more
	  consistent.

2010-10-14 21:00  gjanssens

	* [r19657] src/app-utils/gnc-ui-util.c: Rework two nearly
	  identical fuctions into a common function with parameters. Keep
	  the old function names as convenience wrappers around the new
	  function.

2010-10-14 20:41  gjanssens

	* [r19656] doc/examples/Makefile.am: Remove obsolete example
	  files: also remove them from the makefile.

2010-10-14 13:20  gjanssens

	* [r19655] doc/examples/README, doc/examples/currency.gnucash,
	  doc/examples/reg_doc_example.gnucash,
	  doc/examples/splitdemo.gnucash, doc/examples/taxreport.gnucash,
	  doc/examples/test.gnucash, doc/examples/test2.gnucash,
	  doc/examples/test3.gnucash, doc/examples/test4.gnucash,
	  doc/examples/trading.gnucash, doc/examples/trading2.gnucash,
	  doc/examples/xfer.gnucash: Remove incompatible example files
	  (X-Account) and update the README file

2010-10-13 16:38  gjanssens

	* [r19654] src/core-utils/Makefile.am: Commit missed file for
	  gnc-fq-* location fix.

2010-10-13 16:16  cstim

	* [r19653] src/engine/engine.i, src/libqof/qof/gnc-numeric.h: Make
	  qof_query_run_subquery() available to scheme as well, and also
	  the gnc_numeric options. Needed to remove an unimplemented
	  function from <gnc-numeric.h> header.
	* [r19652] src/app-utils/test/test-print-queries.c,
	  src/app-utils/test/test-scm-query-string.c,
	  src/backend/xml/io-gncxml-v1.c, src/engine/Query.c,
	  src/engine/Query.h, src/engine/engine-helpers.c,
	  src/engine/test-core/test-engine-stuff.c,
	  src/engine/test/test-query.c, src/engine/test/test-scm-query.c,
	  src/experimental/cgi-bin/gnc-server.c,
	  src/experimental/cgi-bin/hello2.c,
	  src/experimental/cgi-bin/hello3.c,
	  src/gnome-utils/gnc-query-list.c,
	  src/gnome/dialog-sx-since-last-run.c,
	  src/gnome/gnc-plugin-page-register.c,
	  src/gnome/reconcile-list.c, src/import-export/import-backend.c,
	  src/register/ledger-core/gnc-ledger-display.c: Replace some
	  renamed functions by their real new names, removing the annoying
	  #defines.

2010-10-13 16:11  gjanssens

	* [r19651] src/core-utils/core-utils.i,
	  src/core-utils/core-utils.scm, src/core-utils/gnc-path.c,
	  src/core-utils/gnc-path.h, src/core-utils/gncla-dir.h.in,
	  src/scm/price-quotes.scm: Make sure the right gnc-fq-* scripts
	  are used. With the original configuration, whatever script was
	  found first on the path was used. When testing development
	  versions, this caused the also installed stable version to be
	  used as it happened to appear first on the path.

2010-10-11 20:46  gjanssens

	* [r19648] src/bin/environment.in,
	  src/bin/gnucash-setup-env-osx.in, src/gnc-module/gnc-module.c:
	  Separate load paths for shared libraries and gnucash loadable
	  modules. The former should be found on (DY)LD_LIBRARY_PATH, the
	  latter on GNC_MODULE_PATH. These paths shouldn't overlap as that
	  needlessly confuses things.

2010-10-10 22:21  plongstaff

	* [r19647] src/backend/dbi/gnc-backend-dbi.c,
	  src/backend/sql/gnc-backend-sql.c,
	  src/backend/sql/gnc-backend-sql.h,
	  src/backend/sql/gnc-slots-sql.c: Fix #630286 - Please add
	  handling code for GDate kvp values in SQL, too If slots table
	  does not include gdate field, it will be added and all current
	  slots will have a NULL value. Tested on sqlite3 and mysql.
	  Tested using the example gnucash file referenced from the bug
	  report. When saved from XML -> sqlite3 -> XML, some timestamps
	  changed their timezone because of a change of timezone (I'm in
	  North America). I guess this is OK.

2010-10-07 20:04  cstim

	* [r19644] src/engine/business-core.i: Make the INVOICE-BILLTO
	  query predicate available to scheme also.
	* [r19643] packaging/win32/dist-impl.sh: Fix erroneous extra
	  package that I forgot to remove in r19641. It doesn't have to be
	  reverted because libjpeg-7 shouldn't be needed with a clean
	  webkit rebuild anyway.

2010-10-05 19:54  cstim

	* [r19642] po/de.po, po/glossary/de.po: Minor update of German
	  translation. "xy anlegen" -> "Neue xy" bill ->
	  "Lieferantenrechnung" to distinguish from invoice -> "Rechnung".

2010-10-05 19:29  cstim

	* [r19641] packaging/win32/defaults.sh,
	  packaging/win32/install-impl.sh: Revert r19576, r19590, r19593,
	  r19601: "Update gtk versions..." It's been 3 weeks without a
	  working windows build. Apparently this has to wait until we have
	  an updated webkit again. Revert this back once we have a working
	  webkit with gtk-2.20.

2010-10-05 19:05  cmarchi

	* [r19640] po/tr.po: Updated Turkish translation by Seyfi Duyan.

2010-10-05 18:19  cstim

	* [r19639] src/app-utils/app-utils.scm,
	  src/app-utils/date-utilities.scm: Bug #631058: Add future date
	  period choices to be available in the date options Patch by
	  Chris Leach: This patch provides date utilities to calculate
	  future dates. This allows easy selection of common future
	  periods. cstim adds: This patch adds new strings, but they are
	  not used anywhere so far, i.e. they will not be user-visible.
	  Hence, I agree those scheme functions may be useful for external
	  report writers and for this reason they are already added. Note:
	  The original submission would have added those options to the
	  standard relative-date chooser report option, but I (cstim) do
	  not support adding those extra option for all reports as
	  standard setting. Hence, the usage of this additional choices
	  has to be added by the report writer explicitly.

2010-10-05 18:07  cstim

	* [r19638] src/backend/xml/gnc-backend-xml.c: Bug #593479: Ensure
	  not to accidentally delete our main account file. Original patch
	  by Tim Retout who writes: strptime is passed (name + pathlen +
	  1) as the string to search. However, when looking at the main
	  account file, strlen(name) == pathlen, so strptime is looking at
	  the point just past the end of name. Sometimes this will be
	  parseable by strptime, and this leads to the account file being
	  unlinked.

2010-10-04 15:40  gjanssens

	* [r19630] src/backend/xml/gnc-backend-xml.c: Fix typos in
	  comments.

2010-10-03 12:27  cstim

	* [r19627] src/app-utils/gnc-sx-instance-model.c,
	  src/app-utils/gnc-sx-instance-model.h,
	  src/app-utils/gnc-ui-util.c, src/backend/xml/io-gncxml-v2.c,
	  src/business/business-gnome/dialog-invoice.c,
	  src/core-utils/gnc-path.c, src/engine/SchedXaction.c,
	  src/engine/cap-gains.c, src/engine/gncBusiness.c,
	  src/engine/gncIDSearch.c, src/gnome-search/dialog-search.c,
	  src/gnome-utils/dialog-account.c, src/gnome-utils/gnc-file.c,
	  src/gnome-utils/gnc-tree-view.c, src/gnome/dialog-print-check.c,
	  src/gnome/dialog-sx-editor.c,
	  src/gnome/gnc-plugin-page-register.c,
	  src/import-export/aqbanking/gnc-ab-utils.c,
	  src/import-export/aqbanking/gnc-gwen-gui.c,
	  src/libqof/qof/gnc-date.c,
	  src/register/register-gnome/gnucash-header.c,
	  src/report/report-gnome/gnc-plugin-page-report.c: Re-indentation
	  of source code. This re-indentation was done using astyle-1.24
	  using the following options: astyle --indent=spaces=4
	  --brackets=break --pad-oper --pad-header --suffix=none

2010-10-03 12:23  cstim

	* [r19626] po/de.po: Minor update of German translation.
	  Kontenbaum (urgh) -> Kontenplan Kontenrahmen -> Kontenplan

2010-10-02 14:59  cstim

	* [r19625] src/engine/business-core.i, src/engine/gncBusiness.c,
	  src/engine/gncBusiness.h, src/engine/gncOwner.c,
	  src/engine/gncOwner.h: Add wrapper for obtaining a list of
	  business objects as list of owners, and add SWIG wrappers so
	  that scheme can use it.
	* [r19624] src/business/business-core/test/test-customer.c,
	  src/business/business-core/test/test-employee.c,
	  src/business/business-core/test/test-vendor.c,
	  src/engine/Makefile.am, src/engine/gncBusiness.c,
	  src/engine/gncBusiness.h: Add a function gncBusinessGetList()
	  that existed previously until r6680 so that a list of all
	  customers can be obtained.
	* [r19623] src/engine/test/test-guid.c,
	  src/engine/test/test-lots.c: Decrease number of test iterations
	  in old engine tests - they take just way too long otherwise.
	  Also, nobody can actually give any reason as for why a higher
	  number of iterations would really cover more of our test cases.
	  My suspicion is that 2-3 iterations would be sufficient anyway,
	  and only more clever test case construction would give a larger
	  test coverage.

2010-10-02 14:58  cstim

	* [r19622] po/de.po: Minor update of German translation

2010-10-01 12:28  cmarchi

	* [r19621] po/tr.po: Updated Turkish translation by Seyfi Duyan

2010-09-28 20:35  cstim

	* [r19620] src/gnome/dialog-tax-info.c: Add word wrapping to very
	  long label in dialog-tax-info

2010-09-27 16:30  cmarchi

	* [r19617] po/pl.po: Corrected a problem with c-format attribute.

2010-09-27 15:58  alex.aycinena

	* [r19616] src/app-utils/gnc-ui-util.c,
	  src/gnome/dialog-tax-info.c: Remove leading character N from tax
	  code, but only if it is there, and remove leading blank
	  character when no tax code.

2010-09-27 04:19  cmarchi

	* [r19614] po/nl.po: Updated Dutch translation, copied from the
	  Translation Project.

2010-09-26 18:56  plongstaff

	* [r19613] src/libqof/qof/kvp_frame.c, src/libqof/qof/kvp_frame.h:
	  Add kvp_frame_set_gdate() function

2010-09-25 17:14  cmarchi

	* [r19612] accounts/tr_TR/acctchrt_TEKDUZ.gnucash-xea,
	  accounts/tr_TR/acctchrt_brokerage.gnucash-xea,
	  accounts/tr_TR/acctchrt_carloan.gnucash-xea,
	  accounts/tr_TR/acctchrt_checkbook.gnucash-xea,
	  accounts/tr_TR/acctchrt_common.gnucash-xea,
	  accounts/tr_TR/acctchrt_fixedassets.gnucash-xea,
	  accounts/tr_TR/acctchrt_homeloan.gnucash-xea: Updated accounts
	  chart by Seyfi Duyan.

2010-09-24 19:48  cstim

	* [r19611] src/gnome/dialog-tax-info.c,
	  src/report/locale-specific/us/taxtxf.scm,
	  src/tax/us/txf-help.scm, src/tax/us/txf.scm: Bug #554396:
	  Implement a partial TXF output for capital gains

2010-09-24 19:38  cstim

	* [r19610] po/fr.po: Bug #620663: Fix French spelling mistake in
	  preferences window

2010-09-24 19:36  cstim

	* [r19609] po/de.po: Remove file locations from de.po file by
	  running msgcat --no-location de.po > tmp ; mv tmp de.po This
	  way, the text diff of translation updates suddenly becomes
	  readable.

2010-09-24 19:34  cstim

	* [r19608] po/de.po: Update German translation.

2010-09-24 19:28  cstim

	* [r19607] packaging/win32/defaults.sh,
	  packaging/win32/install-impl.sh: Win32 build: Temporarily
	  disable the english (C) help compiling because it crashes the
	  hhc.exe compiler.

2010-09-24 12:06  cmarchi

	* [r19605] po/it.po: Updated Italian translation.

2010-09-23 10:57  cmarchi

	* [r19604] src/import-export/qif-import/qif.glade: Fix use of
	  accelerator for a string.

2010-09-22 11:41  cmarchi

	* [r19603] src/import-export/qif-import/qif.glade: Fix use of
	  accelerators for some strings.

2010-09-21 19:51  cstim

	* [r19602] packaging/win32/dist-impl.sh: Win32 build: Needs
	  libjpeg-7 in dist as well.

2010-09-21 19:48  cstim

	* [r19601] packaging/win32/defaults.sh,
	  packaging/win32/install-impl.sh: Win32 build: The existing
	  webkit binary needs libjpeg-7, so we install that one, too.

2010-09-21 19:26  cstim

	* [r19600] src/import-export/aqbanking/gnc-ab-kvp.c: Enclose book
	  kvp manipulation in begin/commit_edit in aqbanking plugin.

2010-09-21 17:46  cstim

	* [r19599] packaging/win32/defaults.sh,
	  packaging/win32/install-impl.sh: Win32 build: Is running again.
	  Some debug output of r19595 can be removed again.

2010-09-21 17:31  cstim

	* [r19598] src/engine/gncIDSearch.c: Bug #629641: Fixes WARN
	  messages. Bug in gncIDSearch.c causes "WARN <qof.class>
	  [qof_class_get_parameter()] no object of type string" to be
	  emitted to error log. Currently only affects Python bindings;
	  InvoiceLookupByID(ID_STRING).
	* [r19597] README.dependencies: Bug #118391: Put isocodes in
	  README.dependencies to inform packet maintainers Additional
	  changes in that file: 1. Link to more up to date
	  http://wiki.gnucash.org/wiki/Dependencies 2. Introduce
	  Structure: required, alternatives, optional, at runtime
	  suggested 3. Add webkit

2010-09-21 17:09  cstim

	* [r19595] packaging/win32/defaults.sh,
	  packaging/win32/install-impl.sh, packaging/win32/install.sh:
	  Win32 build: Fix libxslt installation. Improve its calling
	  arguments. Download inno before processing the docs (if the
	  latter fails, we at least have inno).

2010-09-20 20:48  jralls

	* [r19594] src/gnome-utils/ui/osx_accel_map: Fix typo in
	  osx_accel_map, caused error in Accounts page Actions>Transfer
	  accelerator

2010-09-20 19:34  cstim

	* [r19593] packaging/win32/defaults.sh,
	  packaging/win32/install-impl.sh: Win32 build: Switch back
	  gettext to 0.17 because 0.18 require libc++ which we don't want
	  to have.
	* [r19592] packaging/win32/defaults.sh,
	  packaging/win32/install-impl.sh: Win32 build: xsltproc needs its
	  suitable iconv and zlib, so install it there.

2010-09-20 19:11  cstim

	* [r19591] packaging/win32/install-impl.sh: Win32 build: Fix typo

2010-09-20 19:08  cstim

	* [r19590] packaging/win32/defaults.sh,
	  packaging/win32/install-impl.sh: Win32: Fix missing
	  gettext-tools (is packaged in gettext-tools-dev)

2010-09-20 18:36  cmarchi

	* [r19589] src/report/business-reports/job-report.scm,
	  src/report/business-reports/owner-report.scm: Fixed a string not
	  translatable.

2010-09-20 18:08  cstim

	* [r19588] src/app-utils/gnc-sx-instance-model.c: Fix addition of
	  gnc_numeric that was wrong in r19511.

2010-09-20 11:01  cmarchi

	* [r19587] src/report/business-reports/job-report.scm,
	  src/report/business-reports/owner-report.scm: Revert to previous
	  version for erroneous commit.

2010-09-20 10:45  cmarchi

	* [r19586] po/it.po, src/report/business-reports/job-report.scm,
	  src/report/business-reports/owner-report.scm: Updated Italian
	  translation.po/it.po
	* [r19585] po/nl.po: Updated Dutch translation copied from
	  translation project

2010-09-19 23:21  warlord

	* [r19584] packaging/win32/reset.sh: add "isocodes" to reset
	  directory

2010-09-19 18:53  cstim

	* [r19583] accounts/de_DE/acctchrt_skr49.gnucash-xea: Fix 2
	  nonfatal syntax errors in german SKR49 1 missing Namespace 1
	  forgotten replacing of the last closing tag This is now also
	  updated in http://wiki.gnucash.org/wiki/AccountHierarchyTemplate

2010-09-16 16:13  cstim

	* [r19582] src/import-export/aqbanking/gnc-gwen-gui.c: Win32: Fix
	  function attributes when using gwenhywfar-4.
	* [r19581] packaging/win32/install-impl.sh: Win32 build: Remove
	  installation directory before installing the new version.
	  Require exact gwen/aqbanking version.

2010-09-15 20:18  cstim

	* [r19580] packaging/win32/dist-impl.sh: Win32: Try to fix the
	  nightly build errors. (Directory went away?)

2010-09-15 20:12  cstim

	* [r19579] po/ko.po, po/lt.po, po/ne.po, po/pt_BR.po, po/ro.po,
	  po/ru.po, po/sk.po: Fix erroneous translation of strings with
	  context prefix. The msgstr must not contain the prefix anymore.
	  http://lists.gnucash.org/pipermail/gnucash-devel/2010-September/029481.html

2010-09-15 19:56  cstim

	* [r19578] po/de.po: Minor update of German translation

2010-09-14 20:45  cstim

	* [r19577] packaging/win32/install-impl.sh: Win32: Fix checking
	  for goffice installation

2010-09-14 20:28  cstim

	* [r19576] packaging/win32/defaults.sh,
	  packaging/win32/install-impl.sh: Win32 build: Update gtk to
	  2.20; let pkg-config check for the versions, hence triggering
	  the update automatically.

2010-09-14 19:26  cstim

	* [r19575] packaging/win32/defaults.sh,
	  packaging/win32/install-impl.sh: Win32 build: Add version number
	  checks for gtk and gconf so that updating them should work more
	  easily.
	* [r19574] packaging/win32/defaults.sh,
	  packaging/win32/install-impl.sh: Win32 build: Remove
	  commented-out gtkhtml references.
	* [r19573] packaging/win32/defaults.sh,
	  packaging/win32/install-impl.sh: Win32 build: Set gwen/aqbanking
	  version numbers in defaults.sh.

2010-09-13 12:14  cmarchi

	* [r19572] accounts/pl/acctchrt_brokerage.gnucash-xea,
	  accounts/pl/acctchrt_business.gnucash-xea,
	  accounts/pl/acctchrt_carloan.gnucash-xea,
	  accounts/pl/acctchrt_cdmoneymkt.gnucash-xea,
	  accounts/pl/acctchrt_checkbook.gnucash-xea,
	  accounts/pl/acctchrt_childcare.gnucash-xea,
	  accounts/pl/acctchrt_common.gnucash-xea,
	  accounts/pl/acctchrt_eduloan.gnucash-xea,
	  accounts/pl/acctchrt_fixedassets.gnucash-xea,
	  accounts/pl/acctchrt_full.gnucash-xea,
	  accounts/pl/acctchrt_homeloan.gnucash-xea,
	  accounts/pl/acctchrt_homeown.gnucash-xea,
	  accounts/pl/acctchrt_otherloan.gnucash-xea,
	  accounts/pl/acctchrt_renter.gnucash-xea,
	  accounts/pl/acctchrt_retiremt.gnucash-xea,
	  accounts/pl/acctchrt_spouseinc.gnucash-xea,
	  accounts/pl/acctchrt_spouseretire.gnucash-xea: Updated Polish
	  translations by Radzisław Galler.

2010-09-13 12:13  cmarchi

	* [r19571] po/glossary/pl.po, po/pl.po: Updated Polish
	  translations by Radzisław Galler.

2010-09-11 20:10  cstim

	* [r19570] accounts/de_AT/acctchrt_auto.gnucash-xea,
	  accounts/de_AT/acctchrt_autoloan.gnucash-xea,
	  accounts/de_AT/acctchrt_brokerage.gnucash-xea,
	  accounts/de_AT/acctchrt_business.gnucash-xea,
	  accounts/de_AT/acctchrt_common.gnucash-xea,
	  accounts/de_AT/acctchrt_houseown.gnucash-xea,
	  accounts/de_AT/acctchrt_investment.gnucash-xea,
	  accounts/de_AT/acctchrt_kids.gnucash-xea,
	  accounts/de_CH/acctchrt_brokerage.gnucash-xea,
	  accounts/de_CH/acctchrt_chkmu.gnucash-xea,
	  accounts/de_CH/acctchrt_common.gnucash-xea,
	  accounts/de_CH/acctchrt_kids.gnucash-xea,
	  accounts/de_CH/acctchrt_otherasset.gnucash-xea,
	  accounts/de_CH/acctchrt_otherloan.gnucash-xea,
	  accounts/de_DE/acctchrt_brokerage.gnucash-xea,
	  accounts/de_DE/acctchrt_full.gnucash-xea: Updates for German
	  account templates, by Frank H. Ellenberger. He writes: Im
	  beiliegenden Patch habe ich ziemlich mechanisch (grep, recode,
	  sed) die folgenden Anpassungen vorgenommen: *
	  encoding="ISO-8859-1" -> utf-8 * <cmdty:id>USD -> EUR,
	  respektive CHF ** dies betraf auch de_DE/*[brokerage|full]* *:
	  interessanterweise wandelt der Druide die aber anscheinend in
	  die default currency um. * Passiva -> Fremdkapital

2010-09-11 10:36  gjanssens

	* [r19569] src/gnome-utils/gnc-tree-view.c: Bug #628960 - Column
	  width unchanged after shortening translation string

2010-09-11 09:55  gjanssens

	* [r19568] src/engine/gncEntry.c: Revert r19475. That revision
	  fixed one rounding error, but introduced another one.

2010-09-10 18:54  cmarchi

	* [r19567] po/ja.po: Updated Japanese translation, copied from TP.

2010-09-09 21:28  gjanssens

	* [r19566] src/engine/Makefile.am: Add missing header, issue
	  detected via failing make distcheck

2010-09-09 20:24  gjanssens

	* [r19565] po/fi.po: Fix invalid po file header
	* [r19564] po/lv.po: Fix disambiguation prefix translation errors,
	  by Valdis Vītoliņš

2010-09-08 07:14  gjanssens

	* [r19563] src/core-utils/core-utils.i,
	  src/core-utils/core-utils.scm,
	  src/core-utils/gnc-filepath-utils.c,
	  src/core-utils/gnc-filepath-utils.h, src/core-utils/gnc-path.c,
	  src/core-utils/gnc-path.h,
	  src/report/report-system/eguile-utilities.scm,
	  src/report/standard-reports/balsheet-eg.scm: Eliminate
	  *-vicinity functions from e-guile reports.

2010-09-07 22:14  gjanssens

	* [r19562] src/core-utils/gnc-uri-utils.c: Fix typo in comment

2010-09-07 16:54  cmarchi

	* [r19561] po/it.po: Updated Italian translation.

2010-09-07 10:50  gjanssens

	* [r19560] src/gnome-utils/gnc-file.c: Bug #628865 - Error dialog
	  displays password to MySql database when fails to connect

2010-09-07 01:14  mta

	* [r19559] src/backend/xml/io-gncxml-v2.c: Fix bug 573702. When
	  reading an old data file that doesn't have a template root
	  account for scheduled transactions invent one.

2010-09-06 19:50  cstim

	* [r19558] src/import-export/aqbanking/gnc-gwen-gui.c: Add some
	  disabled testing code that uses the stock gwenhywfar-gtk2 gui
	  for online banking.

2010-09-06 19:25  cstim

	* [r19557] packaging/win32/defaults.sh,
	  packaging/win32/gnucash.iss.in: De-activate aqbanking5 by
	  default again because it requires gtk-2.18 or higher, which we
	  don't have. Sigh.

2010-09-06 10:22  gjanssens

	* [r19556] src/gnome/glade/stocks.glade: Fix Stock Split Druid.

2010-09-05 20:21  cstim

	* [r19555] src/register/ledger-core/split-register-model-save.c:
	  Bug #137017: Save the transaction date as a GDate directly,
	  additionally. This way, the date that was entered by the user is
	  now at least saved in the kvp and can later be retrieved in case
	  we really fix the timezone dependence of our txn's dates.

2010-09-05 20:20  cstim

	* [r19554] src/register/register-core/datecell.h,
	  src/register/register-gnome/datecell-gnome.c: Add getter
	  function for the date in a datecell as a GDate.

2010-09-05 19:19  cstim

	* [r19553] packaging/win32/install-impl.sh: Win32: Add gtk's
	  cflags to gwenhywfar configure.

2010-09-05 19:15  cstim

	* [r19552] configure.ac: Relax configure test for svnversion of
	  BUILDING_FROM_SVN was set beforehand. Helpful when building from
	  git.

2010-09-05 19:14  cstim

	* [r19551] packaging/win32/gnucash.iss.in: I18n: Add German
	  translation for new installer texts. Suggested by Frank H.
	  Ellenberger and edited by myself.

2010-09-04 21:48  cstim

	* [r19550] src/app-utils/gnc-sx-instance-model.c,
	  src/engine/SX-ttinfo.c, src/engine/SX-ttinfo.h,
	  src/engine/SchedXaction.c, src/engine/SchedXaction.h,
	  src/gnome/dialog-sx-from-trans.c,
	  src/register/ledger-core/split-register-model-save.c: Bug
	  #370331: Store the numeric values of SX in their kvp as well, if
	  possible. For SX whose values do not depend on any variables, we
	  now store the numeric value as well. This way, we get rid of
	  locale-dependent parsing errors due to changing decimal
	  separators in changing locales - at least for SX which do not
	  use variables.

2010-09-04 21:06  cstim

	* [r19549] po/de.po: Update German translation.

2010-09-04 21:04  cstim

	* [r19548] po/POTFILES.in, po/bg.po, po/ca.po, po/cs.po, po/da.po,
	  po/de.po, po/el.po, po/en_GB.po, po/es.po, po/es_NI.po,
	  po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/he.po, po/hu.po,
	  po/it.po, po/ja.po, po/ko.po, po/lt.po, po/lv.po, po/nb.po,
	  po/ne.po, po/nl.po, po/pl.po, po/pt.po, po/pt_BR.po, po/ro.po,
	  po/ru.po, po/rw.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/vi.po, po/zh_CN.po, po/zh_TW.po: Merge most recent
	  pot template into all language po files.

2010-09-04 20:44  cstim

	* [r19547] src/engine/SchedXaction.c: Fix counting of occurrence
	  number w.r.t. the first valid date in the SX state.

2010-09-04 20:00  cstim

	* [r19546] LICENSE, src/business/business-gnome/search-owner.c,
	  src/business/business-gnome/search-owner.h,
	  src/gnome-search/gnc-general-search.c,
	  src/gnome-search/search-account.c,
	  src/gnome-search/search-account.h,
	  src/gnome-search/search-boolean.c,
	  src/gnome-search/search-boolean.h,
	  src/gnome-search/search-core-type.c,
	  src/gnome-search/search-core-type.h,
	  src/gnome-search/search-date.c, src/gnome-search/search-date.h,
	  src/gnome-search/search-double.c,
	  src/gnome-search/search-double.h,
	  src/gnome-search/search-int64.c,
	  src/gnome-search/search-int64.h,
	  src/gnome-search/search-numeric.c,
	  src/gnome-search/search-numeric.h,
	  src/gnome-search/search-reconciled.c,
	  src/gnome-search/search-reconciled.h,
	  src/gnome-search/search-string.c,
	  src/gnome-search/search-string.h: Clarify Derek's code to be
	  licensed "GPL v2 or later" as he has confirmed in private email.
	  All of his other code has been licensed this way all along
	  anyway. After this change, all source code files are licensed
	  under both GPL version 2 and GPL version 3, which gives us
	  enough flexibility in case any requirements might switch to GPL
	  v3-only. But currently we are for sure both.

2010-09-04 13:24  gjanssens

	* [r19545] src/engine/Transaction.c: Spelling fixes in comments

2010-09-04 11:41  cmarchi

	* [r19544] packaging/win32/gnucash.iss.in: Updated Japanese
	  translation for win32 installer wizard by Yasuaki Taniguchi.

2010-09-04 08:52  cstim

	* [r19543] packaging/win32/install-impl.sh: Win32: Add gtk include
	  path to gwenhywfar configure.

2010-09-04 06:02  cmarchi

	* [r19542] packaging/win32/gnucash.iss.in: Added Japanese
	  translation for win32 installer wizard by Yasuaki Taniguchi.

2010-09-03 18:01  cmarchi

	* [r19541] packaging/win32/gnucash.iss.in: Updated Latvian
	  translation for win32 installer wizard by Valdis Vītoliņš.

2010-09-03 16:18  cstim

	* [r19540] packaging/win32/defaults.sh,
	  packaging/win32/install-impl.sh: Win32: Add pkg-config version
	  check for aqbanking so that the new version is installed without
	  removing the old one manually.

2010-09-03 16:08  cstim

	* [r19539] packaging/win32/defaults.sh: Win32: Update aqbanking
	  packages. Enable building with aqbanking5. In r19532 I
	  accidentally already removed the Qt DLLs from the installer. Of
	  course those can only be removed if indeed aqbanking5 is used,
	  otherwise they must still be in the installer.

2010-09-03 14:36  gjanssens

	* [r19538] src/gnome/schemas/apps_gnucash_general.schemas.in: Add
	  newly introduced gconf parameter in the default schema.

2010-09-03 10:46  gjanssens

	* [r19537] src/report/business-reports/taxinvoice.scm: Bug #616697
	  - string "Payment rec'd..." should be more cleared.

2010-09-03 10:10  gjanssens

	* [r19536] packaging/win32/Latvian-1-5.1.11.isl: Updated Latvian
	  translation for the Windows installer, patch by Valdis Vītoliņš

2010-09-03 10:00  gjanssens

	* [r19535]
	  src/optional/python-bindings/example_scripts/change_tax_code.py,
	  src/optional/python-bindings/example_scripts/simple_book.py,
	  src/optional/python-bindings/example_scripts/simple_session.py,
	  src/optional/python-bindings/tests/test_book.py: some bitrot in
	  python bindings examples/tests, patch by Daniele Varrazzo

2010-09-02 14:08  cmarchi

	* [r19534] packaging/win32/gnucash.iss.in: Updated Italian
	  translation for win32 installer wizard.

2010-09-02 12:30  gjanssens

	* [r19533] src/gnome/dialog-sx-from-trans.c: Bug #626681 - date
	  fields missing in GUI, lost in change from 2.2.9 to 2.3.14

2010-09-01 16:24  cstim

	* [r19532] packaging/win32/defaults.sh,
	  packaging/win32/dist-impl.sh, packaging/win32/dist.sh,
	  packaging/win32/gnucash.iss.in, packaging/win32/install-impl.sh,
	  packaging/win32/install.sh: Remove aqbanking2 from windows build
	  scripts. Add optional aqbanking5 instead, which works without QT.

2010-09-01 16:23  cstim

	* [r19531] src/app-utils/app-utils.i,
	  src/app-utils/gnc-sx-instance-model.c,
	  src/app-utils/gnc-sx-instance-model.h: Add scheme wrapper for SX
	  cashflow calculation, including a typemap for the resulting
	  GHashTable.
	* [r19530] src/base-typemaps.i, src/engine/engine-helpers.c,
	  src/engine/engine-helpers.h: Add scheme/swig typemap for GDate.

2010-09-01 15:30  gjanssens

	* [r19529] src/core-utils/binreloc.c: Spelling correction in
	  comment.

2010-09-01 13:09  gjanssens

	* [r19528] packaging/win32/gnucash.iss.in: Bug #588414 - Got
	  "Entry Point Not Found" errors starting GnuCash, but ran OK The
	  problem is caused by leftover files from a previous install. The
	  solution is to uninstall GnuCash before installing a new version
	  in such cases. This commit adds a compatibility test and
	  uninstall step to the windows installer that will automatically
	  uninstall the previous gnucash release if it is considered
	  'incompatible' with the one to be installed. The user will be
	  warned of this, so he can decide to cancel the installation if
	  he doesn't like the idea of uninstalling his working GnuCash
	  installation. Currently, versions are considered 'incompatible'
	  if their major or minor version components are different, so
	  2.3.x is incompatible with 2.2.x and will trigger an uninstall.
	  Likewise, a 2.4.x install is incompatible with a 2.3.x and will
	  trigger an uninstall. This is a nice way to remove all testing
	  'cruft' from the system once the new release comes out. Note
	  that in the future installing 2.3.16+ over 2.4.x will also
	  trigger the uninstall, which is a good thing IMO. An older
	  release can't know about changes made in a newer one, so it's
	  safer to first uninstall the newer one to avoid leftover files.

2010-08-31 21:34  jralls

	* [r19527] src/bin/gnucash-bin.c,
	  src/gnome-utils/gnc-gnome-utils.c,
	  src/gnome-utils/ui/osx_accel_map: Consolidate accelerator map
	  loading for OSX with the others. Accelerator maps can't be
	  modified interactively in OSX so there's no point to reloading
	  the saved map.

2010-08-31 19:57  gjanssens

	* [r19526] packaging/win32/defaults.sh,
	  packaging/win32/dist-impl.sh, packaging/win32/install-impl.sh:
	  GnuCash on Windows is built with webkit, no need to install
	  gtkhtml

2010-08-31 19:55  gjanssens

	* [r19525] configure.ac: Cleanup whitespace

2010-08-31 17:16  cmarchi

	* [r19524] po/ja.po: Updated Japanese translation, copied from the
	  Translation Project.

2010-08-31 17:09  gjanssens

	* [r19523] po/lv.po: Updates for Latvian po file, patch by Valdis
	  Vītoliņš.

2010-08-31 17:06  gjanssens

	* [r19522] src/engine/gncIDSearch.c, src/engine/gncIDSearch.h,
	  src/optional/python-bindings/gnucash_core.py: Add vendor search
	  to python bindings and refactors files gncIDSearch.c/h with
	  vendor search. Patch by Mike Evans.

2010-08-31 14:35  gjanssens

	* [r19519] src/bin/Makefile.am: Remove obsolete file from
	  distribution list

2010-08-31 14:31  gjanssens

	* [r19518] configure.ac, packaging/win32/dist-impl.sh,
	  packaging/win32/gnucash.iss.in, src/bin/Makefile.am,
	  src/bin/environment-win32.in, src/bin/environment.in,
	  src/bin/gnucash-bin.c: Make GnuCash more runtime relocatable by
	  using dynamic paths in the environment file.

2010-08-31 14:00  jralls

	* [r19517] src/core-utils/binreloc.c: Restored changes of r19477
	  inadvertently reverted in r19515

2010-08-30 22:43  andi5

	* [r19516] src/app-utils/gnc-help-utils.c,
	  src/app-utils/gnc-help-utils.h, src/libqof/qof/gnc-date-p.h,
	  src/libqof/qof/qof-win32.c: Relicense code to GNU GPL v2 or
	  later.

2010-08-30 22:42  jralls

	* [r19515] src/core-utils/binreloc.c: Update binreloc to use the
	  free functions for bundle id and resource path

2010-08-30 18:38  gjanssens

	* [r19514] packaging/win32/dist-impl.sh: Windows build: strip the
	  .la files in their new location

2010-08-30 17:10  gjanssens

	* [r19513] packaging/win32/dist-impl.sh,
	  packaging/win32/gnucash.iss.in: Windows version: * reduce
	  footprint by not packaging unused files * move gnc-mod required
	  files to bin * remove libdir from the PATH

2010-08-30 17:08  gjanssens

	* [r19512] packaging/win32/gnucash.iss.in: Windows version: remove
	  obsolete and duplicate parameters from the environment file

2010-08-29 20:37  cstim

	* [r19511] src/app-utils/gnc-sx-instance-model.c: Implement the
	  evaluation of SX cashflow.
	* [r19510] src/app-utils/gnc-sx-instance-model.c: More const
	  correctness and refactoring in gnc-sx-instance-model.c.

2010-08-29 20:05  gjanssens

	* [r19509] src/bin/gnucash-setup-env-osx.in: Remove
	  GNC_STANDARD_REPORTS_DIR from gnucash launcher as well.

2010-08-29 19:58  gjanssens

	* [r19508] doc/gnucash.1.in: Update man page following the recent
	  removal of command line options.

2010-08-29 19:43  cstim

	* [r19507] LICENSE, src/app-utils/gnc-sx-instance-model.c,
	  src/app-utils/gnc-sx-instance-model.h,
	  src/gnome-utils/gnc-dense-cal-model.c,
	  src/gnome-utils/gnc-dense-cal-model.h,
	  src/gnome-utils/gnc-dense-cal-store.c,
	  src/gnome-utils/gnc-dense-cal-store.h,
	  src/gnome-utils/gnc-sx-instance-dense-cal-adapter.c,
	  src/gnome-utils/gnc-sx-instance-dense-cal-adapter.h,
	  src/gnome-utils/gnc-sx-list-tree-model-adapter.c,
	  src/gnome-utils/gnc-sx-list-tree-model-adapter.h,
	  src/gnome-utils/gnc-tree-view-sx-list.c,
	  src/gnome-utils/gnc-tree-view-sx-list.h,
	  src/gnome/dialog-sx-editor.c, src/gnome/dialog-sx-editor.h,
	  src/gnome/dialog-sx-since-last-run.c,
	  src/gnome/dialog-sx-since-last-run.h,
	  src/gnome/gnc-plugin-page-sx-list.c,
	  src/gnome/gnc-plugin-page-sx-list.h: Update license after Josh
	  Sled's relicensing of his code under GPL v2 and/or v3. He wrote
	  to gnucash-devel on 2010-08-28: Much of the last batch code I
	  contributed to gnucash was licensed without the "or any later
	  version" clause of the GPL boilerplate, and thus specifically
	  and only under version 2 of the GPL. I hereby extend that to
	  version 2 and/or version 3. Any contribution I've made to
	  gnucash which was under the GPLv2 only may be considered to be
	  under both v2 and v3.
	* [r19506] src/gnome/dialog-sx-editor.c: I18n: Fix last remaining
	  user-visible mention of the abbreviation "SX". This should have
	  never appeared in a user message. However, in order not to make
	  this single string untranslated, we add the correct form but
	  don't use it yet so that it can be translated, and we will be
	  using it once 2.4.0 is out and the string freeze lifted.

2010-08-29 19:02  gjanssens

	* [r19505] src/bin/Makefile.am, src/bin/environment.in,
	  src/core-utils/core-utils.i, src/core-utils/core-utils.scm,
	  src/core-utils/gnc-path.c, src/core-utils/gnc-path.h,
	  src/report/standard-reports/standard-reports.scm: Calculate
	  standard-reports dir internally instead of reading it from the
	  environment. This is a step to make gnucash more run-time
	  relocatable.

2010-08-29 18:57  gjanssens

	* [r19504] src/bin/environment.in: Readd LD_LIBRARY_PATH to
	  environment to make sure Guile loads the proper shared libraries
	  when multiple installations of GnuCash exist (like stable and
	  devel version on one system).

2010-08-28 14:16  gjanssens

	* [r19499] src/bin/gnucash-bin.c, src/core-utils/gnc-main.h:
	  Remove the config-path and share-path command line options. The
	  values set on the command line were never used.

2010-08-26 20:37  gjanssens

	* [r19478] src/bin/gnucash-bin.c: Some more uses of PACKAGE_NAME
	  instead of "GnuCash"

2010-08-26 20:13  gjanssens

	* [r19477] src/core-utils/binreloc.c: Fix some obsolete uses of
	  gnucash-bin.

2010-08-26 17:22  gjanssens

	* [r19476] src/app-utils/gnc-euro.c,
	  src/app-utils/gnc-exp-parser.c,
	  src/app-utils/gnc-sx-instance-model.c,
	  src/app-utils/gnc-ui-util.c,
	  src/app-utils/test/test-print-parse-amount.c,
	  src/business/business-gnome/dialog-billterms.c,
	  src/business/business-gnome/dialog-invoice.c,
	  src/engine/Scrub.c, src/engine/Split.c,
	  src/engine/Transaction.c, src/engine/gncBusGuile.c,
	  src/engine/gncEntry.c, src/engine/gncInvoice.c,
	  src/engine/gncTaxTable.c,
	  src/engine/test/test-transaction-reversal.c,
	  src/gnome-utils/dialog-transfer.c,
	  src/gnome-utils/gnc-amount-edit.c,
	  src/gnome-utils/window-main-summarybar.c,
	  src/gnome/dialog-fincalc.c, src/gnome/dialog-sx-editor.c,
	  src/gnome/dialog-sx-from-trans.c, src/gnome/druid-hierarchy.c,
	  src/gnome/druid-loan.c, src/gnome/gnc-split-reg.c,
	  src/gnome/lot-viewer.c, src/gnome/window-autoclear.c,
	  src/import-export/aqbanking/gnc-ab-transfer.c,
	  src/import-export/aqbanking/gnc-ab-utils.c,
	  src/import-export/csv/gnc-csv-model.c,
	  src/import-export/hbci/gnc-hbci-getbalance.c,
	  src/import-export/hbci/gnc-hbci-gettrans.c,
	  src/import-export/hbci/gnc-hbci-transfer.c,
	  src/import-export/ofx/gnc-ofx-import.c,
	  src/import-export/qif/qif-objects.c,
	  src/libqof/qof/gnc-numeric.c, src/libqof/qof/gnc-numeric.h,
	  src/register/ledger-core/split-register-control.c,
	  src/register/ledger-core/split-register-model-save.c,
	  src/register/ledger-core/split-register-model.c,
	  src/register/ledger-core/split-register.c,
	  src/register/register-core/pricecell.c: Refactoring: replace all
	  GNC_RND_* and GNC_DENOM_* occurences with their GNC_HOW_RND_*
	  and GNC_HOW_DENOM_* equivalents And then remove the deprecated
	  definitions.

2010-08-26 16:35  gjanssens

	* [r19475] src/engine/gncEntry.c: Bug #504954 - Wrong calculation
	  of TAX

2010-08-26 11:17  gjanssens

	* [r19474] src/business/dialog-tax-table/tax-tables.glade,
	  src/gnome/glade/account.glade, src/gnome/glade/price.glade:
	  Translatable string fixes by Yasuaki Taniguchi One is on the
	  price editor. Namespace: is not marked translatable. Another is
	  about a tip for account editor window. The label "Edit->Income
	  tax Options" was changed to "Edit->Tax Report Options" but an
	  old msgid remains on tip. The last is on the Tax Table. The
	  label "_Edit" is not marked translatable but it should be.

2010-08-25 12:24  cstim

	* [r19471] accounts/de_DE/acctchrt_autoloan.gnucash-xea,
	  accounts/de_DE/acctchrt_common.gnucash-xea,
	  accounts/de_DE/acctchrt_full.gnucash-xea,
	  accounts/de_DE/acctchrt_houseown.gnucash-xea,
	  accounts/de_DE/acctchrt_otherloan.gnucash-xea,
	  accounts/de_DE/acctchrt_studium.gnucash-xea: Replace misleading
	  "Passiva" in accounts/de_DE/* by "Fremdkapital" with description
	  "alle Verbindlichkeiten" Patch by Frank H. Ellenberger.

2010-08-24 20:23  cstim

	* [r19470] src/app-utils/gnc-sx-instance-model.c,
	  src/app-utils/gnc-sx-instance-model.h, src/libqof/qof/guid.c,
	  src/libqof/qof/guid.h: Add functions to calculate the cash-flow
	  numbers that will be generated by a Scheduled Transaction.
	  Unfinished, though.
	* [r19469] src/gnome-search/dialog-search.c: I18n: Replace
	  untranslatable sub-strings by the correct full strings. The
	  implementation is a hacky workaround, but at least better than
	  having weird translations as in the current state. Note: Even
	  though new strings are introduced, they are not yet used in
	  order not to break the string freeze here. The new strings need
	  to be activated once the 2.4.0 string freeze is lifted.

2010-08-24 12:42  cmarchi

	* [r19468] po/nl.po: Updated Dutch translation, copied from the
	  Translation Project.

2010-08-22 20:48  cstim

	* [r19465] src/import-export/aqbanking/gnc-ab-utils.c: Add
	  aqbanking5 extensions of GWEN_GUI object. We need to locally
	  store a reference to that particular GWEN_GUI object that was
	  used in Extend because we have more than one such object in use
	  inside gnucash (currently). If accidentally the wrong one would
	  be used in Unextend, a crash occurs.

2010-08-22 19:13  cstim

	* [r19464] accounts/de_DE/acctchrt_common.gnucash-xea: Fix
	  erroneous place of "Bildung" account in hierarchy: Was moved to
	  top-level due to double parent tag.

2010-08-22 11:10  cstim

	* [r19463] src/app-utils/test/test-sx.c,
	  src/engine/SchedXaction.c, src/engine/SchedXaction.h: Add new
	  function gnc_sx_get_num_occur_daterange and unittests for this
	  in test-sx.c.
	* [r19462] src/backend/xml/gnc-schedxaction-xml-v2.c,
	  src/engine/SchedXaction.c, src/engine/SchedXaction.h,
	  src/engine/test-core/test-engine-stuff.c,
	  src/engine/test-core/test-engine-stuff.h: And more
	  const-correctnes in SchedXaction.h

2010-08-21 23:52  jralls

	* [r19461] configure.ac: [Bug 560052] Force use of internal
	  strptime to work around bug in the Leopard libc.

2010-08-21 20:57  cstim

	* [r19459] src/app-utils/gnc-sx-instance-model.c,
	  src/app-utils/gnc-sx-instance-model.h: Make sx-instance-model
	  more const-correct. Improve documentation. Fix minor memory leak
	  in gnc_sx_get_current_instances(void) - was not free'ing the
	  GDate of now.
	* [r19458] src/app-utils/gnc-sx-instance-model.c,
	  src/backend/xml/gnc-schedxaction-xml-v2.c,
	  src/engine/SchedXaction.c, src/engine/SchedXaction.h,
	  src/gnome-utils/gnc-frequency.c,
	  src/gnome-utils/gnc-frequency.h,
	  src/gnome-utils/gnc-sx-list-tree-model-adapter.c,
	  src/gnome/dialog-sx-editor.c,
	  src/gnome/dialog-sx-since-last-run.c: Impove const-correctness
	  of SchedXaction.h functions; improve documentation. Also,
	  replace "void *" by pointers to the actual type.

2010-08-21 19:30  cstim

	* [r19456] src/gnome-utils/glade/preferences.glade: Unify label
	  with src/gnome/gnc-plugin-page-register.c:379.

2010-08-21 17:02  gjanssens

	* [r19454] configure.ac, src/business/Makefile.am,
	  src/business/business-reports, src/report/Makefile.am,
	  src/report/business-reports: Move business-reports to the
	  reports module.

2010-08-21 15:16  gjanssens

	* [r19451] src/app-utils/options.scm: Automatically map pre-2.3.15
	  report option names to their new 2.3.15 equivalents. This will
	  ensure that users won't lose the settings they stored in saved
	  reports and open report windows when switching from 2.2.x to
	  2.4. Note that this only works in one direction, from 2.2.x to
	  2.4. If a user switches back to 2.2.x, the open report windows
	  will lose many settings, almost resetting them to their default
	  state. Saved reports won't have this problem as they are copied
	  to a new file during the migration. In detail: For open reports:
	  pre-2.3.15 -> 2.3.15+ : options for open reports will be
	  migrated 2.3.15+ -> pre-2.3.15 : options for open reports will
	  be migrated For saved reports: 2.2.x -> 2.3.15+ : all options
	  will be migrated, if saved-reports-2.4 does not yet exist
	  pre-2.3.15 -> 2.3.15+ : options for saved reports won't be
	  migrated but reports continue to work. It would be best to save
	  the reports again, but my scheme-fu is not good enough to let
	  the code do that automatically. Alternatively users should
	  remove the file saved-reports-2.4 to recreate it on the next
	  run, based on saved-reports-2.0. 2.3.15+ -> 2.2.x : options are
	  unaffected, sine 2.2.x and 2.15 use different saved reports
	  files 2.3.15+ -> pre-2.3.15 : reports saved in 2.3.15 will lose
	  their options, older reports are unaffected. But returning to
	  2.3.15+, the options will continue to work.

2010-08-19 08:43  gjanssens

	* [r19448] packaging/win32/defaults.sh: Bug #627325 - Update
	  Subversion URL, patch by Yasuaki Taniguchi

2010-08-18 20:32  cstim

	* [r19447] src/import-export/aqbanking/druid-ab-initial.c,
	  src/import-export/aqbanking/gnc-gwen-gui.c: Aqbanking: Enable
	  gwengui-gtk2 implementation and fix setup wizard. Setup wizard
	  was missing OnlineInit/OnlineFini calls around it; with them and
	  the newest gwenhywfar, the setup wizard is now working again in
	  a gtk2 implementation.

2010-08-17 21:30  cstim

	* [r19446] configure.ac, src/import-export/aqbanking/Makefile.am,
	  src/import-export/aqbanking/gnc-gwen-gui.c: Add lookup of linker
	  flags of libgwenhyfar-gui-gtk2. It is still disabled until more
	  testing has been done, though.

2010-08-17 21:05  cstim

	* [r19445] src/import-export/aqbanking/gnc-ab-utils.h,
	  src/import-export/aqbanking/gnc-gwen-gui.c: Add instantiation of
	  gwengui-gtk2 object in gnucash, which enables the setup wizard
	  again, but it doesn't fully work yet. In particular, a quick
	  test runs into significant UI work which is still needed, and
	  also occasional crashes might occur. Hence, the gwengui-gtk2
	  parts have to be enabled manually by un-commenting
	  USING_GWENHYWFAR_GTK2_GUI.

2010-08-17 20:16  cstim

	* [r19444] src/import-export/aqbanking/druid-ab-initial.c,
	  src/import-export/aqbanking/gnc-ab-utils.h: Minor simplification
	  of aqbanking version number check.
	* [r19443] src/import-export/aqbanking/gnc-ab-utils.c: Check for
	  upgrading an older aqbanking configuration to its current
	  version. This way, an older configuration is now updated
	  automatically. Patch by Bill Nottingham, confirmed by Martin
	  Preuss, adapted to aqbanking5 by myself.

2010-08-17 19:52  cstim

	* [r19442] src/engine/Makefile.am, src/engine/gncIDSearch.c,
	  src/engine/gncIDSearch.h,
	  src/optional/python-bindings/Makefile.am,
	  src/optional/python-bindings/gnucash_core.i,
	  src/optional/python-bindings/utils.c,
	  src/optional/python-bindings/utils.h: Bug #625193: Move newly
	  introduced search-by-id functions into src/engine. Patch by Mike
	  Evans.

2010-08-17 19:50  cstim

	* [r19441] po/de.po: update po/de.po after r19435 msgmerge 1. 2
	  dirty and 2 new strings 2. partial spell verification entity ->
	  Entität small typos

2010-08-17 19:49  cstim

	* [r19440] po/glossary/de.po: correct syntax error in
	  po/glossary/de.po " must be quoted in strings.

2010-08-17 12:02  cmarchi

	* [r19439] accounts/lv/acctchrt_business.gnucash-xea: Updated
	  Latvian translation of business account chart by Valdis Vītoliņš.

2010-08-17 11:57  cmarchi

	* [r19438] po/lv.po: Updated Latvian translation by Valdis
	  Vītoliņš.

2010-08-15 18:27  plongstaff

	* [r19436] configure.ac: Update release number to 2.3.15

2010-08-15 09:20  cstim

	* [r19435] po/bg.po, po/ca.po, po/cs.po, po/da.po, po/de.po,
	  po/el.po, po/en_GB.po, po/es.po, po/es_NI.po, po/eu.po,
	  po/fa.po, po/fi.po, po/fr.po, po/he.po, po/hu.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/lv.po, po/nb.po, po/ne.po,
	  po/nl.po, po/pl.po, po/pt.po, po/pt_BR.po, po/ro.po, po/ru.po,
	  po/rw.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po,
	  po/vi.po, po/zh_CN.po, po/zh_TW.po: Update po files with
	  up-to-date pot template.

2010-08-15 09:05  cstim

	* [r19434] po/POTFILES.in, src/engine/gncBusPeriod.c: Remove
	  unused file from both SVN and POTFILES.in.

2010-08-15 00:03  plongstaff

	* [r19433] src/backend/dbi/test/test-dbi-business.c: Get library
	  from correct directory - fixes "make check"

2010-08-14 20:57  cstim

	* [r19432] src/report/standard-reports/transaction.scm: Bug
	  #626459: Change Transaction Report default account selection to
	  none I think in the specific case of the "Transaction Report"
	  this is the better choice. The error message will be clear
	  enough ("No accounts selected. Click here to Edit report
	  options"), and it will probably meet the user expectation that
	  some account needs to be selected anyway before something can be
	  seen.

2010-08-14 20:48  cstim

	* [r19431] src/optional/python-bindings/Makefile.am,
	  src/optional/python-bindings/example_scripts/simple_business_create.py,
	  src/optional/python-bindings/example_scripts/simple_invoice_insert.py,
	  src/optional/python-bindings/gnucash_core.i,
	  src/optional/python-bindings/gnucash_core.py,
	  src/optional/python-bindings/utils.c,
	  src/optional/python-bindings/utils.h: Bug #625193: Added 'search
	  by ID' in python binding for invoices, customers and bills.
	  Patch by Mike E and Mark Jenkins: When creating or appending to
	  invoices, customers and bills, searching by ID is likely more
	  useful than by GUID. I've added this functionality to the Python
	  bindings. Search by ID using the python code: tmp =
	  gnucash.gnucash_core_c.search_invoice_on_id(ID,book.instance) if
	  tmp: invoice = gnucash.gnucash_business.Invoice(instance=tmp)
	  Use the invoice object as in
	  sample_scripts/simple_invoice_insert.py I support this patch,
	  but I've made a few improvments of my own. I switched up the
	  arguments in search_customer_on_id, search_invoice_on_id,
	  search_bill_on_id to have Book first and ID second. The reason
	  for this was to make these functions more consistent with the
	  other functions where a search is done through a book on a
	  particular attribute. Also added some specific python bindings
	  support to allow this to be used as methods of Book:
	  Book.CustomerLookupByID, Book.InvoiceLookupByID,
	  Book.BillLoookupByID.
	* [r19430] src/report/report-system/eguile-gnc.scm: Bug #624721:
	  Show backtrace for errors in eguile templates Patch by Matthijs
	  Kooijman: The current eguile template implementation catches
	  errors that occur while evaluating an eguile template. However,
	  only the error is shown, not a backtrace (so no location of the
	  error either). The attached patch modifies the error handling to
	  also capture the stack backtrace, using a lazy exception handler
	  (e.g., capture the stack before unwinding the stack to the real
	  exception handler). To extract only the relevant part of the
	  stack (e.g., the part inside the eguile template, not the tens
	  of stack frames leading up to the report rendering), a stack
	  dump is made just before evaluating the eguile template (so a
	  sort of "diff" can be made). For more details, see the extensive
	  comments in the patch itself.

2010-08-14 20:47  cstim

	* [r19429] src/report/report-gnome/gnc-plugin-page-report.c: Bug
	  #616613: Automatically append the extension if user forgot
	  append them. Patch by "Bob": The enclosed patch simply tests for
	  a period in the file name, if one exists it leaves it alone, if
	  not, it adds one plus a default extension.

2010-08-14 20:14  cstim

	* [r19428] src/report/locale-specific/us/taxtxf.scm,
	  src/report/stylesheets/stylesheet-easy.scm,
	  src/report/stylesheets/stylesheet-fancy.scm,
	  src/report/stylesheets/stylesheet-footer.scm,
	  src/report/stylesheets/stylesheet-plain.scm: Bug #626403: Fix
	  inconsistent formatting between stylesheets (Webkit vs. gtkhtml)
	  Patch by Alex Aycinena: The 'default' stylesheet formats the
	  balance sheet, cash flow, income statement and transaction
	  reports properly under webkit but not under gtkhtml. The 'easy',
	  'footer', and 'technicolor' stylesheets are the reverse; that
	  is, they format the balance sheet, cash flow, income statement
	  and transaction reports properly under gtkhtml but not under
	  webkit, except that the 'footer' stylesheet also has some
	  formatting problems with gtkhtml as well. The attached patch
	  file corrects these problems. Specifically: - styles that are
	  missing in the 'footer' stylesheet (compared to 'easy') are
	  added - the function 'gnc-html-engine-supports-css' is used in
	  the 'default', 'easy', 'footer' and 'technicolor' stylesheets to
	  provide styles for either webkit or gtkhtml - the taxtxf.scm
	  report file is simplified to take advantage of these changes

2010-08-14 20:11  cstim

	* [r19427] po/de.po: de.po: correction of "Income Tax Identity"
	  This term is used in the first dialog of "Ta_x Report Options".

2010-08-14 16:02  gjanssens

	* [r19426] src/bin/gnucash-bin.c: Dummy commit to test mailing
	  list hooks.

2010-08-14 09:30  gjanssens

	* [r19425] src/libqof/qof/gnc-numeric.c: Fix typo in comment.

2010-08-14 09:29  gjanssens

	* [r19424] src/business/dialog-tax-table/dialog-tax-table.c: Allow
	  negative tax percentages. This allows to model some tax rules
	  for trade between European countries.

2010-08-13 14:37  gjanssens

	* [r19423] src/business/dialog-tax-table/tax-tables.glade,
	  src/gnome-search/search.glade, src/gnome/glade/lots.glade,
	  src/import-export/aqbanking/aqbanking.glade,
	  src/import-export/binary-import/binary-import.glade,
	  src/import-export/csv/gnc-csv-preview-dialog.glade,
	  src/import-export/generic-import.glade,
	  src/import-export/hbci/glade/hbci.glade,
	  src/import-export/hbci/glade/hbcipass.glade,
	  src/import-export/hbci/glade/hbciprefs.glade,
	  src/import-export/import-provider-format.glade,
	  src/import-export/qif-import/qif.glade,
	  src/report/report-gnome/custom-report-dialog.glade,
	  src/report/report-gnome/report.glade: Convert glade files to
	  gtk+2.10, last batch.

2010-08-12 20:20  cstim

	* [r19422] src/import-export/aqbanking/druid-ab-initial.c: Fix
	  stupid compiler error. (Should compile first, then commit, not
	  the other way round.)

2010-08-12 20:18  cstim

	* [r19421] src/import-export/aqbanking/druid-ab-initial.c: Add
	  error message if the unimplemented aqbanking setup button is
	  pressed. Please see
	  http://lists.gnucash.org/pipermail/gnucash-devel/2010-August/029188.html
	  and
	  http://lists.gnucash.org/pipermail/gnucash-devel/2010-August/029189.html

2010-08-12 19:59  cstim

	* [r19420] contrib/README, contrib/gnuc2ooo.py: Copy
	  OpenOffice.org python macro for import of the gnucash file to
	  here because its original download location is hard to reach.

2010-08-10 13:34  cmarchi

	* [r19416] po/it.po: Updated Italian translation by Cristian
	  Marchi.

2010-08-08 14:58  gjanssens

	* [r19415] src/base-typemaps.i: Fix compiler warning

2010-08-08 09:01  cmarchi

	* [r19414] po/ja.po: Updated Japanese translation by Yasuaki
	  Taniguchi, copied from the Translation Project.

2010-08-07 16:47  plongstaff

	* [r19413] src/report/locale-specific/us/taxtxf.scm,
	  src/report/report-system/html-fonts.scm,
	  src/report/stylesheets/stylesheet-plain.scm: Bug #625697: Prior
	  patch, Changeset 19376, broke reports for non-default
	  stylesheets Patch by Frank Ellenberger

2010-08-06 14:22  gjanssens

	* [r19410] src/gnome-utils/dialog-file-access.c: Fix compiler
	  error reported by Herbert Thoma

2010-08-06 08:28  gjanssens

	* [r19409] src/gnome-utils/dialog-utils.c: Replace a gkt+2.18
	  function to be gtk+2.10 compatible

2010-08-05 21:27  gjanssens

	* [r19408] src/app-utils/gnc-ui-util.h,
	  src/gnome-utils/dialog-file-access.c,
	  src/gnome-utils/gnc-file.c,
	  src/report/report-gnome/gnc-plugin-page-report.c: Bug 616612 -
	  Remember last location of File Open/Save dialog, partial
	  solution This commit remembers the last directory for * Open *
	  Save * Export chart of accounts * Save Report This only stores
	  file based paths, not db based paths.

2010-08-05 21:10  gjanssens

	* [r19407] src/backend/xml/gnc-backend-xml.c: Bug 623801 - gnucash
	  file is not saved

2010-08-05 19:39  gjanssens

	* [r19406] src/gnome-utils/dialog-utils.c: Fix gtk critical
	  warning, patch by Bob.

2010-08-05 19:22  gjanssens

	* [r19405] src/gnome-utils/dialog-file-access.c,
	  src/gnome-utils/dialog-file-access.h,
	  src/gnome-utils/gnc-file.c, src/gnome-utils/gnc-file.h,
	  src/gnome/gnc-plugin-basic-commands.c: Bug 625845 - Exporting
	  Accounts results in 0 byte file.

2010-08-05 05:52  cmarchi

	* [r19403] po/lv.po: Updated Latvian translation by Valdis
	  Vītoliņš.

2010-08-04 21:14  gjanssens

	* [r19402]
	  src/optional/python-bindings/example_scripts/new_book_with_opening_balances.py,
	  src/optional/python-bindings/example_scripts/simple_test.py: Bug
	  625977 - Python Bindings, enhanced examples showing the use of
	  Transaction.BeginEdit(), patch by Mark Jenkins

2010-08-04 21:11  gjanssens

	* [r19401] src/base-typemaps.i,
	  src/optional/python-bindings/Makefile.am,
	  src/optional/python-bindings/example_scripts/test_imbalance_transaction.py,
	  src/optional/python-bindings/gnucash_core.py: Bug 625976 -
	  Python Bindings Patch for Transaction.GetImbalance(), patch by
	  Mark Jenkins

2010-08-04 00:36  jralls

	* [r19394] accounts/lv/acctchrt_business.gnucash-xea: New Latvian
	  translation of the business account chart, thanks to Valdis
	  Vītoliņš <valdis.vitolins@odo.lv>

2010-08-04 00:33  jralls

	* [r19393] src/gnome-utils/ui/osx_accel_map: Modify the
	  osx_accel_map to reflect the different keybinding in Gtk+-2.20

2010-08-03 18:59  cmarchi

	* [r19392] po/lv.po: Updated Latvian translation by Valdis
	  Vītoliņš.

2010-08-02 19:54  plongstaff

	* [r19390] src/report/standard-reports/budget.scm: Fix problem
	  with "t" unbound in cond expression. Use "else" instead.

2010-07-31 05:54  cmarchi

	* [r19389] po/zh_CN.po: Updated simplified Chinese translation by
	  Tao Wang.

2010-07-30 17:09  cmarchi

	* [r19388] po/nl.po: Updated Dutch translation by Mark Haanen,
	  copied from the TP.

2010-07-29 20:42  cstim

	* [r19385] po/de.po: Updated German translation.

2010-07-29 20:24  cstim

	* [r19384] po/nl.po: Updated Dutch translation by Mark Haanen,
	  copied from the TP.

2010-07-29 20:16  cstim

	* [r19383] src/optional/python-bindings/gnucash_core.py: Add
	  missing return value specification of lookup_by_code() in python
	  bindings. Patch by Daniele Varrazzo.

2010-07-29 20:09  cstim

	* [r19382] Makefile.am, configure.ac, po/bg.po, po/glossary/bg.po:
	  Add initial Bulgarian translation, by Rosi Dimova, by Bulgarian
	  Gnome translation team.

2010-07-28 04:13  mta

	* [r19381] src/bin/gnucash-bin.c: Fix crash when run with the
	  --add-price-quotes parameter.

2010-07-28 03:48  mta

	* [r19380] src/engine/cap-gains.c: FIx bug 596124: don't crash if
	  someone adds a split to a capital gains transaction created by
	  the lot scrubber.

2010-07-27 22:46  mta

	* [r19379] src/register/register-gnome/gnucash-header.c: Double
	  clicking on the balance column in a register doesn't resize the
	  column because there is a zero width column to the right of it.
	  This may fix all or part of bugs 563588, 345711, or 506261.

2010-07-23 19:22  cstim

	* [r19378] src/gnome-utils/dialog-query-list.c: Fix missing
	  translation of buttons in invoice reminder dialog.

2010-07-20 20:37  cstim

	* [r19377] src/gnome/druid-hierarchy.c,
	  src/gnome/glade/account.glade: Bug 612337: Add file save to
	  hierarchy druid when the new file druid completes. Patch by
	  "Bob": I thought I would give this a try and come up with a
	  patch to use the file save as function after the after pressing
	  the apply button. Not sure if it is the best way but seems to
	  work on my linux box and on windows without any errors. I have
	  changed the text in the account.glade file to reflect the firing
	  of the save as and also increased the size of the window to give
	  more room for the 'Category Description' to stop scroll bars.

2010-07-18 14:29  gjanssens

	* [r19376] src/report/locale-specific/us/taxtxf.scm,
	  src/report/report-system/html-fonts.scm,
	  src/report/stylesheets/stylesheet-plain.scm: Bug #624623 -
	  Patch: US Tax Report for webkit and gtkhtml

2010-07-15 22:36  gjanssens

	* [r19375] src/gnome-utils/dialog-options.c: Fix spelling in
	  comment.

2010-07-15 22:27  gjanssens

	* [r19374] src/business/business-core/sql,
	  src/business/business-core/xml: Remove now empty business
	  directories

2010-07-15 20:05  cstim

	* [r19373] src/optional/python-bindings/Makefile.am: Fix r19364:
	  Remove last reference to removed business-backend-sql.

2010-07-15 18:43  gjanssens

	* [r19372] src/gnome-utils/dialog-options.c: Bug #556713 -
	  inconsistency in report options Use "Reset defaults" instead of
	  "Use defaults, as suggested by Derek.

2010-07-15 11:11  gjanssens

	* [r19371] src/gnome-utils/dialog-options.c,
	  src/gnome-utils/gnc-period-select.c: Bug #556713 - inconsistency
	  in report options Final additions to this bug.

2010-07-14 20:38  cstim

	* [r19370] src/gnome/dialog-print-check.c,
	  src/gnome/dialog-print-check.h, src/gnome/glade/print.glade,
	  src/gnome/gnc-plugin-page-register.c,
	  src/gnome/schemas/apps_gnucash_warnings.schemas.in: Bug #621016:
	  Print multiple checks at the same time The print checks
	  operation should be able to print more than one check with a
	  single invocation of the "Print Check..." command. The attached
	  patch does this. If the active register is an account register,
	  then the selected transaction is printed (as before). If it is a
	  search results register where all the splits are from the same
	  account, then it prints a check for each of them. Anything else
	  is an error. Patch by Mike Alexander.

2010-07-14 20:22  cstim

	* [r19369] packaging/win32/defaults.sh,
	  packaging/win32/dist-impl.sh, packaging/win32/dist.sh,
	  packaging/win32/install-impl.sh, packaging/win32/install.sh: Bug
	  #118391: This patch add isocodes support for Windows build. It
	  automatically download, build, install and packaging the
	  isocodes. Currently, the patch will not make Windows build show
	  the locale long currencies name. But it make the isocode
	  available on Windows. Since the long currencies names are
	  already shown on Linux, I think it should not far to make it
	  happen on Windows too, especially the isocode will be available
	  after this patch.
	* [r19368] src/report/standard-reports/balsheet-eg.eguile.scm: Bug
	  #620763: Fix permuted "Retained Earnings/Losses" in
	  balsheet-eg.eguile.scm

2010-07-14 20:21  cstim

	* [r19367] src/report/standard-reports/balsheet-eg.css,
	  src/report/standard-reports/balsheet-eg.eguile.scm,
	  src/report/standard-reports/balsheet-eg.scm: Bug #620763: remove
	  trailing whitespace from balsheet-eg*
	* [r19366] src/app-utils/date-utilities.scm,
	  src/business/business-reports/aging.scm,
	  src/report/standard-reports/average-balance.scm,
	  src/report/standard-reports/balsheet-eg.scm,
	  src/report/standard-reports/general-ledger.scm,
	  src/report/standard-reports/transaction.scm: Bug #556713: Fix
	  inconsistency in report options The attached patch should fix
	  the remaining outstanding issues of this bug. Applying this
	  patch now would break string freeze.

2010-07-14 19:54  cstim

	* [r19365] po/POTFILES.in: Update POTFILES.in after file moving.

2010-07-14 19:39  cstim

	* [r19364] configure.ac, src/CMakeLists.txt,
	  src/backend/dbi/test/Makefile.am,
	  src/backend/dbi/test/test-dbi-business-stuff.c,
	  src/backend/dbi/test/test-dbi-business-stuff.h,
	  src/backend/dbi/test/test-dbi-business.c,
	  src/backend/sql/CMakeLists.txt, src/backend/sql/Makefile.am,
	  src/backend/sql/gnc-address-sql.c,
	  src/backend/sql/gnc-address-sql.h,
	  src/backend/sql/gnc-backend-sql.c,
	  src/backend/sql/gnc-bill-term-sql.c,
	  src/backend/sql/gnc-bill-term-sql.h,
	  src/backend/sql/gnc-customer-sql.c,
	  src/backend/sql/gnc-customer-sql.h,
	  src/backend/sql/gnc-employee-sql.c,
	  src/backend/sql/gnc-employee-sql.h,
	  src/backend/sql/gnc-entry-sql.c,
	  src/backend/sql/gnc-entry-sql.h,
	  src/backend/sql/gnc-invoice-sql.c,
	  src/backend/sql/gnc-invoice-sql.h,
	  src/backend/sql/gnc-job-sql.c, src/backend/sql/gnc-job-sql.h,
	  src/backend/sql/gnc-order-sql.c,
	  src/backend/sql/gnc-order-sql.h,
	  src/backend/sql/gnc-owner-sql.c,
	  src/backend/sql/gnc-owner-sql.h,
	  src/backend/sql/gnc-tax-table-sql.c,
	  src/backend/sql/gnc-tax-table-sql.h,
	  src/backend/sql/gnc-vendor-sql.c,
	  src/backend/sql/gnc-vendor-sql.h,
	  src/backend/sql/test/Makefile.am,
	  src/business/business-core/Makefile.am,
	  src/business/business-core/sql/CMakeLists.txt,
	  src/business/business-core/sql/Makefile.am,
	  src/business/business-core/sql/gnc-address-sql.c,
	  src/business/business-core/sql/gnc-address-sql.h,
	  src/business/business-core/sql/gnc-bill-term-sql.c,
	  src/business/business-core/sql/gnc-bill-term-sql.h,
	  src/business/business-core/sql/gnc-customer-sql.c,
	  src/business/business-core/sql/gnc-customer-sql.h,
	  src/business/business-core/sql/gnc-employee-sql.c,
	  src/business/business-core/sql/gnc-employee-sql.h,
	  src/business/business-core/sql/gnc-entry-sql.c,
	  src/business/business-core/sql/gnc-entry-sql.h,
	  src/business/business-core/sql/gnc-invoice-sql.c,
	  src/business/business-core/sql/gnc-invoice-sql.h,
	  src/business/business-core/sql/gnc-job-sql.c,
	  src/business/business-core/sql/gnc-job-sql.h,
	  src/business/business-core/sql/gnc-order-sql.c,
	  src/business/business-core/sql/gnc-order-sql.h,
	  src/business/business-core/sql/gnc-owner-sql.c,
	  src/business/business-core/sql/gnc-owner-sql.h,
	  src/business/business-core/sql/gnc-tax-table-sql.c,
	  src/business/business-core/sql/gnc-tax-table-sql.h,
	  src/business/business-core/sql/gnc-vendor-sql.c,
	  src/business/business-core/sql/gnc-vendor-sql.h,
	  src/business/business-core/sql/gncmod-business-backend-sql.c,
	  src/business/business-core/sql/gncmod-business-backend-sql.h,
	  src/business/business-core/sql/test/Makefile.am,
	  src/business/business-core/sql/test/test-dbi-business-stuff.c,
	  src/business/business-core/sql/test/test-dbi-business-stuff.h,
	  src/business/business-core/sql/test/test-dbi-business.c,
	  src/business/business-gnome/business-gnome.scm,
	  src/gnc/CMakeLists.txt,
	  src/optional/python-bindings/gnucash_core.i: Merge the sql
	  parsers of the business objects into the main sql module. Also,
	  completely remove the business-core/sql module because it is no
	  longer needed. The tests of this module have been moved into
	  backend/dbi because they depend on sql+dbi, but not more than
	  that.

2010-07-13 09:56  cstim

	* [r19363] configure.ac, src/business/business-core/Makefile.am,
	  src/business/business-core/xml/Makefile.am,
	  src/business/business-core/xml/gncmod-business-backend-xml.c,
	  src/business/business-core/xml/gncmod-business-backend-xml.h,
	  src/business/business-gnome/business-gnome.scm: Completely
	  remove the business-core/xml module as it is no longer needed.
	* [r19362] src/CMakeLists.txt, src/gnc/CMakeLists.txt,
	  src/gnc/main.cpp, src/optional/python-bindings/Makefile.am,
	  src/optional/python-bindings/gnucash_core.i: Remove the separate
	  business xml backend from cutecash and python as well.

2010-07-13 09:55  cstim

	* [r19361] src/backend/xml/CMakeLists.txt,
	  src/backend/xml/Makefile.am,
	  src/backend/xml/gnc-address-xml-v2.c,
	  src/backend/xml/gnc-address-xml-v2.h,
	  src/backend/xml/gnc-backend-xml.c,
	  src/backend/xml/gnc-bill-term-xml-v2.c,
	  src/backend/xml/gnc-bill-term-xml-v2.h,
	  src/backend/xml/gnc-customer-xml-v2.c,
	  src/backend/xml/gnc-customer-xml-v2.h,
	  src/backend/xml/gnc-employee-xml-v2.c,
	  src/backend/xml/gnc-employee-xml-v2.h,
	  src/backend/xml/gnc-entry-xml-v2.c,
	  src/backend/xml/gnc-entry-xml-v2.h,
	  src/backend/xml/gnc-invoice-xml-v2.c,
	  src/backend/xml/gnc-invoice-xml-v2.h,
	  src/backend/xml/gnc-job-xml-v2.c,
	  src/backend/xml/gnc-job-xml-v2.h,
	  src/backend/xml/gnc-order-xml-v2.c,
	  src/backend/xml/gnc-order-xml-v2.h,
	  src/backend/xml/gnc-owner-xml-v2.c,
	  src/backend/xml/gnc-owner-xml-v2.h,
	  src/backend/xml/gnc-tax-table-xml-v2.c,
	  src/backend/xml/gnc-tax-table-xml-v2.h,
	  src/backend/xml/gnc-vendor-xml-v2.c,
	  src/backend/xml/gnc-vendor-xml-v2.h,
	  src/backend/xml/xml-helpers.h,
	  src/business/business-core/CMakeLists.txt,
	  src/business/business-core/xml/Makefile.am,
	  src/business/business-core/xml/gnc-address-xml-v2.c,
	  src/business/business-core/xml/gnc-address-xml-v2.h,
	  src/business/business-core/xml/gnc-bill-term-xml-v2.c,
	  src/business/business-core/xml/gnc-bill-term-xml-v2.h,
	  src/business/business-core/xml/gnc-customer-xml-v2.c,
	  src/business/business-core/xml/gnc-customer-xml-v2.h,
	  src/business/business-core/xml/gnc-employee-xml-v2.c,
	  src/business/business-core/xml/gnc-employee-xml-v2.h,
	  src/business/business-core/xml/gnc-entry-xml-v2.c,
	  src/business/business-core/xml/gnc-entry-xml-v2.h,
	  src/business/business-core/xml/gnc-invoice-xml-v2.c,
	  src/business/business-core/xml/gnc-invoice-xml-v2.h,
	  src/business/business-core/xml/gnc-job-xml-v2.c,
	  src/business/business-core/xml/gnc-job-xml-v2.h,
	  src/business/business-core/xml/gnc-order-xml-v2.c,
	  src/business/business-core/xml/gnc-order-xml-v2.h,
	  src/business/business-core/xml/gnc-owner-xml-v2.c,
	  src/business/business-core/xml/gnc-owner-xml-v2.h,
	  src/business/business-core/xml/gnc-tax-table-xml-v2.c,
	  src/business/business-core/xml/gnc-tax-table-xml-v2.h,
	  src/business/business-core/xml/gnc-vendor-xml-v2.c,
	  src/business/business-core/xml/gnc-vendor-xml-v2.h,
	  src/business/business-core/xml/xml-helpers.h: Merge the xml
	  parsers of business objects into the main xml backend module.

2010-07-12 20:12  cstim

	* [r19360] src/business/business-core/gncmod-business-core.c,
	  src/business/business-core/sql/test/test-dbi-business.c,
	  src/engine/CMakeLists.txt, src/engine/Makefile.am,
	  src/engine/cashobjects.c, src/engine/gncBusiness.c,
	  src/engine/gncBusiness.h, src/gnc/main.cpp,
	  src/optional/python-bindings/gnucash_core.i: Remove separate
	  object initialization in engine/gncBusiness.c and move this into
	  one common initialization function cashobjects_register in
	  <engine/cashobjects.h>.
	* [r19359] src/import-export/aqbanking/druid-ab-initial.c:
	  Follow-up of r19358: Need to use AB_SetupDialog_new instead as
	  replacement of the previous wizard.

2010-07-12 18:54  cstim

	* [r19358] src/import-export/aqbanking/druid-ab-initial.c: Adapt
	  to newest (unstable) aqbanking: No external application needed
	  anymore for user setup.

2010-07-11 18:33  plongstaff

	* [r19357] src/report/report-system/Makefile.am,
	  src/report/report-system/gnc-report.c: #616606 - Get default
	  report font from top level widget Patch by Tao Wang

2010-07-10 15:29  gjanssens

	* [r19356] src/business/business-gnome/glade/customer.glade,
	  src/business/business-gnome/glade/invoice.glade,
	  src/business/business-gnome/glade/vendor.glade: Convert glade
	  files to Gtk+2.10: remaining business dialogs

2010-07-09 13:16  gjanssens

	* [r19355] src/business/business-gnome/glade/billterms.glade,
	  src/business/business-gnome/glade/businessprefs.glade,
	  src/business/business-gnome/glade/choose-owner.glade,
	  src/business/business-gnome/glade/date-close.glade,
	  src/business/business-gnome/glade/employee.glade,
	  src/business/business-gnome/glade/job.glade,
	  src/business/business-gnome/glade/order.glade,
	  src/business/business-gnome/glade/payment.glade: Convert glade
	  files to Gtk+2.10: business dialogs except
	  customer/vendor/invoice

2010-07-09 12:29  gjanssens

	* [r19354] src/gnome-utils/glade/dialog-book-close.glade,
	  src/gnome-utils/glade/dialog-object-references.glade,
	  src/gnome-utils/glade/dialog-query-list.glade,
	  src/gnome-utils/glade/dialog-reset-warnings.glade,
	  src/gnome-utils/glade/druid-gconf-setup.glade,
	  src/gnome-utils/glade/druid-gnc-xml-import.glade,
	  src/gnome-utils/glade/druid-provider-multifile.glade,
	  src/gnome-utils/glade/exchange-dialog.glade,
	  src/gnome-utils/glade/gnc-date-format.glade,
	  src/gnome-utils/glade/gnc-gui-query.glade,
	  src/gnome-utils/glade/totd.glade,
	  src/gnome-utils/glade/transfer.glade: Convert glade files to
	  Gtk+2.10, next batch: gnome-utils

2010-07-09 10:37  gjanssens

	* [r19353] src/gnome/glade/sched-xact.glade: Convert dialogs to
	  Gtk+2.10 Removed one unused dialog as well, as it contained many
	  deprecated widgets causing trouble.

2010-07-09 10:08  gjanssens

	* [r19352] src/gnome/glade/account.glade: Remove unused dialog

2010-07-09 09:43  gjanssens

	* [r19351] src/business/business-gnome/glade/billterms.glade,
	  src/business/business-gnome/glade/businessprefs.glade,
	  src/gnome-utils/glade/commodity.glade,
	  src/gnome-utils/glade/preferences.glade,
	  src/gnome/glade/account.glade, src/gnome/glade/budget.glade,
	  src/gnome/glade/register.glade,
	  src/gnome/glade/sched-xact.glade,
	  src/import-export/generic-import.glade,
	  src/report/report-gnome/report.glade: Fix GtkSpinButton with
	  non-zero page_size warnings.

2010-07-08 19:18  gjanssens

	* [r19350] src/backend/xml/gnc-backend-xml.c: Bug #623844 -
	  CRITICAL gnc.backend Error message in trace file.

2010-07-08 19:16  gjanssens

	* [r19349] src/gnome-utils/dialog-account.c,
	  src/gnome-utils/gnc-main-window.c: Bug #623842 - Reseting of
	  Color Tabs to default color wrong.

2010-07-07 15:11  gjanssens

	* [r19348] src/app-utils/date-utilities.scm: Bug #556713 -
	  inconsistency in report options, partial fix This commit aligns
	  all occurences of "Current/Previous Year Start/End" to
	  "Start/End of this year"

2010-07-06 16:52  gjanssens

	* [r19339] src/report/standard-reports/account-summary.scm,
	  src/report/standard-reports/balance-sheet.scm,
	  src/report/standard-reports/budget-balance-sheet.scm,
	  src/report/standard-reports/budget-income-statement.scm,
	  src/report/standard-reports/equity-statement.scm,
	  src/report/standard-reports/income-statement.scm,
	  src/report/standard-reports/transaction.scm,
	  src/report/standard-reports/trial-balance.scm: Bug #556713 -
	  inconsistency in report options, partial fix This commit aligns
	  all occurences of "Report Accounts" and "Accounts to include" to
	  "Accounts"

2010-07-06 16:47  cmarchi

	* [r19338] po/lv.po: Updated Latvian translation, copied from the
	  Translation Project

2010-07-06 15:46  gjanssens

	* [r19337] src/gnome-utils/gnc-menu-extensions.c,
	  src/gnome-utils/gnc-menu-extensions.scm,
	  src/gnome-utils/gnome-utils.scm,
	  src/report/report-gnome/report-gnome.scm: Bug #447339 - custom
	  reports with similar names misbehaving

2010-07-06 06:11  cmarchi

	* [r19336] po/nl.po: Updated Dutch translation, copied from the
	  Translation Project

2010-07-05 18:05  cmarchi

	* [r19335] po/it.po: Update of Italian translation by Cristian
	  Marchi

2010-07-04 20:32  cstim

	* [r19334] po/ca.po, po/cs.po, po/da.po, po/de.po, po/el.po,
	  po/en_GB.po, po/es.po, po/es_NI.po, po/eu.po, po/fa.po,
	  po/fi.po, po/fr.po, po/he.po, po/hu.po, po/it.po, po/ko.po,
	  po/lt.po, po/nb.po, po/ne.po, po/pl.po, po/pt.po, po/pt_BR.po,
	  po/ro.po, po/ru.po, po/rw.po, po/sk.po, po/sv.po, po/ta.po,
	  po/tr.po, po/uk.po, po/vi.po, po/zh_TW.po: Merge most recent pot
	  template into all language po files.

2010-07-04 20:16  cstim

	* [r19333] po/de.po: Update German translation.
	* [r19332] po/de.po: Merge most recent translation template into
	  de.po.
	* [r19331] po/POTFILES.in: Update POTFILES.in after recent file
	  move.

2010-07-04 20:15  cstim

	* [r19330] src/business/business-reports/easy-invoice.scm,
	  src/business/business-reports/fancy-invoice.scm,
	  src/business/business-reports/invoice.scm: I18n improvements in
	  invoice reports: Mark last untranslated strings for translation.

2010-07-03 21:53  cstim

	* [r19329] src/business/business-core/CMakeLists.txt,
	  src/business/business-core/Makefile.am,
	  src/business/business-core/business-core.i,
	  src/business/business-core/gncAddress.c,
	  src/business/business-core/gncAddress.h,
	  src/business/business-core/gncAddressP.h,
	  src/business/business-core/gncBillTerm.c,
	  src/business/business-core/gncBillTerm.h,
	  src/business/business-core/gncBillTermP.h,
	  src/business/business-core/gncBusGuile.c,
	  src/business/business-core/gncBusGuile.h,
	  src/business/business-core/gncBusPeriod.c,
	  src/business/business-core/gncBusiness.c,
	  src/business/business-core/gncBusiness.h,
	  src/business/business-core/gncCustomer.c,
	  src/business/business-core/gncCustomer.h,
	  src/business/business-core/gncCustomerP.h,
	  src/business/business-core/gncEmployee.c,
	  src/business/business-core/gncEmployee.h,
	  src/business/business-core/gncEmployeeP.h,
	  src/business/business-core/gncEntry.c,
	  src/business/business-core/gncEntry.h,
	  src/business/business-core/gncEntryP.h,
	  src/business/business-core/gncInvoice.c,
	  src/business/business-core/gncInvoice.h,
	  src/business/business-core/gncInvoiceP.h,
	  src/business/business-core/gncJob.c,
	  src/business/business-core/gncJob.h,
	  src/business/business-core/gncJobP.h,
	  src/business/business-core/gncOrder.c,
	  src/business/business-core/gncOrder.h,
	  src/business/business-core/gncOrderP.h,
	  src/business/business-core/gncOwner.c,
	  src/business/business-core/gncOwner.h,
	  src/business/business-core/gncOwnerP.h,
	  src/business/business-core/gncTaxTable.c,
	  src/business/business-core/gncTaxTable.h,
	  src/business/business-core/gncTaxTableP.h,
	  src/business/business-core/gncVendor.c,
	  src/business/business-core/gncVendor.h,
	  src/business/business-core/gncVendorP.h,
	  src/engine/CMakeLists.txt, src/engine/Makefile.am,
	  src/engine/business-core.i, src/engine/gncAddress.c,
	  src/engine/gncAddress.h, src/engine/gncAddressP.h,
	  src/engine/gncBillTerm.c, src/engine/gncBillTerm.h,
	  src/engine/gncBillTermP.h, src/engine/gncBusGuile.c,
	  src/engine/gncBusGuile.h, src/engine/gncBusPeriod.c,
	  src/engine/gncBusiness.c, src/engine/gncBusiness.h,
	  src/engine/gncCustomer.c, src/engine/gncCustomer.h,
	  src/engine/gncCustomerP.h, src/engine/gncEmployee.c,
	  src/engine/gncEmployee.h, src/engine/gncEmployeeP.h,
	  src/engine/gncEntry.c, src/engine/gncEntry.h,
	  src/engine/gncEntryP.h, src/engine/gncInvoice.c,
	  src/engine/gncInvoice.h, src/engine/gncInvoiceP.h,
	  src/engine/gncJob.c, src/engine/gncJob.h, src/engine/gncJobP.h,
	  src/engine/gncOrder.c, src/engine/gncOrder.h,
	  src/engine/gncOrderP.h, src/engine/gncOwner.c,
	  src/engine/gncOwner.h, src/engine/gncOwnerP.h,
	  src/engine/gncTaxTable.c, src/engine/gncTaxTable.h,
	  src/engine/gncTaxTableP.h, src/engine/gncVendor.c,
	  src/engine/gncVendor.h, src/engine/gncVendorP.h,
	  src/gnc/main.cpp: Move the business object implementations from
	  separate module into the main gnucash engine.
	* [r19328] src/business/business-core/gncBusiness.c,
	  src/business/business-core/gncmod-business-core.c: Move
	  initialization of business objects into gncBusiness.c so that
	  this fits to the header where the function was declared.

2010-07-03 21:52  cstim

	* [r19327] src/business/business-core/CMakeLists.txt,
	  src/business/business-core/Makefile.am,
	  src/business/business-core/gncBusinessP.h: Remove header
	  gncBusinessP.h which is unused anyway.

2010-07-03 14:57  gjanssens

	* [r19326] src/report/standard-reports/account-piecharts.scm,
	  src/report/standard-reports/advanced-portfolio.scm,
	  src/report/standard-reports/average-balance.scm,
	  src/report/standard-reports/category-barchart.scm,
	  src/report/standard-reports/portfolio.scm,
	  src/report/standard-reports/transaction.scm: Bug #556713 -
	  inconsistency in report options, partial fix This commit aligns
	  all occurences of "Report Currency" and variants to "Report's
	  currency"

2010-07-03 14:36  gjanssens

	* [r19325] src/report/standard-reports/account-piecharts.scm,
	  src/report/standard-reports/average-balance.scm,
	  src/report/standard-reports/budget.scm,
	  src/report/standard-reports/cash-flow.scm,
	  src/report/standard-reports/category-barchart.scm,
	  src/report/standard-reports/daily-reports.scm,
	  src/report/standard-reports/net-barchart.scm,
	  src/report/standard-reports/price-scatter.scm,
	  src/report/standard-reports/transaction.scm: Bug #556713 -
	  inconsistency in report options, partial fix This commit
	  replaces "From/To" with "Start Date/End Date" in all standard
	  reports.

2010-07-02 05:51  cmarchi

	* [r19324] po/nl.po: Updated Dutch translation, copied from the
	  Translation Project

2010-07-01 16:57  cmarchi

	* [r19323] po/it.po: Bug #389841: Wrong translation of Tax Amount
	  and update of Italian translation by Cristian Marchi

2010-06-30 21:33  gjanssens

	* [r19322] src/gnome/glade/newuser.glade,
	  src/gnome/glade/price.glade, src/gnome/glade/print.glade,
	  src/gnome/glade/progress.glade, src/gnome/glade/reconcile.glade,
	  src/gnome/glade/register.glade, src/gnome/glade/stocks.glade,
	  src/gnome/glade/tax.glade, src/gnome/glade/userpass.glade:
	  Convert glade files to glade3/gtk+2.10, next batch.

2010-06-30 20:42  gjanssens

	* [r19321] src/bin/gnucash-bin.c: Remove obsolete code.
	* [r19320] HACKING, README, README.dependencies: Some changes to
	  align the README files with the current state of gnucash.

2010-06-30 20:17  gjanssens

	* [r19319] README, doc/examples/Makefile.am,
	  doc/examples/currency.gnucash, doc/examples/currency.xac,
	  doc/examples/currency_tree_xml.gnucash,
	  doc/examples/currency_tree_xml.xac,
	  doc/examples/reg_doc_example.gnucash,
	  doc/examples/reg_doc_example.xac,
	  doc/examples/splitdemo.gnucash, doc/examples/splitdemo.xac,
	  doc/examples/taxreport.gnucash, doc/examples/taxreport.xac,
	  doc/examples/test.gnucash, doc/examples/test.xac,
	  doc/examples/test2.gnucash, doc/examples/test2.xac,
	  doc/examples/test3.gnucash, doc/examples/test3.xac,
	  doc/examples/test4.gnucash, doc/examples/test4.xac,
	  doc/examples/trading.gnucash, doc/examples/trading.xac,
	  doc/examples/trading2.gnucash, doc/examples/trading2.xac,
	  doc/examples/xfer.gnucash, doc/examples/xfer.xac,
	  src/core-utils/test/test-gnc-uri-utils.c,
	  src/experimental/cgi-bin/gnc-server.c,
	  src/experimental/cgi-bin/hello2.c,
	  src/experimental/cgi-bin/hello3.c: Future default file extension
	  is .gnucash, so - rename example files to this extension -
	  replace references to the old extension where appropriate

2010-06-30 20:15  gjanssens

	* [r19318] src/bin/test/test-version: Fix binary test.

2010-06-30 20:14  gjanssens

	* [r19317] src/bin/overrides/gnucash-build-env.in: More path fixes.

2010-06-30 20:06  gjanssens

	* [r19316] src/bin/overrides/Makefile.am: Fix paths. On Mandriva
	  the original code resulted in two absolute path being appended,
	  resulting in file not found errors.

2010-06-30 19:29  gjanssens

	* [r19315] src/optional/python-bindings/gnucash_core.py: Python
	  bindings, gncnumeric and accounttype constants, patch by Mark
	  Jenkins.

2010-06-30 19:26  gjanssens

	* [r19314] src/optional/python-bindings/Makefile.am,
	  src/optional/python-bindings/example_scripts/account_analysis.py,
	  src/optional/python-bindings/example_scripts/new_book_with_opening_balances.py,
	  src/optional/python-bindings/example_scripts/simple_sqlite_create.py:
	  Nice example python scripts, patch by Mark Jenkins.

2010-06-30 18:20  cstim

	* [r19311] po/nl.po: Updated Dutch translation, copied from the
	  Translation Project

2010-06-28 14:56  cstim

	* [r19310] src/report/standard-reports/standard-reports.scm: Fix
	  erroneous quotation in scheme string of last commit

2010-06-27 18:56  cstim

	* [r19309] src/report/standard-reports/standard-reports.scm:
	  Improve the initial report loading code so that it loads only
	  files ending with .scm. This should avoid accidentally loading
	  .scm~ backup files etc. The code matches the filenames against
	  the regexp "\.scm$", so the previous hand- written comparison
	  against "." and ".." is no longer necessary as those don't match
	  that regexp anyway.

2010-06-27 18:39  cstim

	* [r19308] po/de.po: Update de.po after invoice review. There were
	  some equivocalnesses between invoice and balance. After using
	  the strings from tax-invoice in the other invoice forms, the de
	  translations should switch back. Patch by Frank H. Ellenberger.

2010-06-27 16:35  gjanssens

	* [r19306] src/libqof/qof/gnc-date.c: Bug #622953 - Enable comment
	  for date format string again in gnucash.pot, patch by Frank H.
	  Ellenberger.

2010-06-26 17:44  gjanssens

	* [r19305] src/gnome/glade/acctperiod.glade,
	  src/gnome/glade/autoclear.glade, src/gnome/glade/budget.glade,
	  src/gnome/glade/commodities.glade,
	  src/gnome/glade/fincalc.glade, src/gnome/glade/lots.glade:
	  Convert glade files to gtk+2.10, next batch.

2010-06-26 07:35  gjanssens

	* [r19304] src/gnome/glade/account.glade: Convert to glade-3
	  target gtk+2.10

2010-06-25 21:45  gjanssens

	* [r19303] src/gnome-utils/gnc-main-window.c: Re-enable colored
	  tabs on Windows. This works fine with gtk+2.16.

2010-06-25 18:44  cstim

	* [r19301] src/backend/sql/escape.c,
	  src/backend/sql/gnc-backend-sql.c,
	  src/backend/xml/gnc-backend-xml.c, src/bin/gnucash-bin.c,
	  src/business/business-core/gncEntry.c,
	  src/business/business-core/gncTaxTable.c,
	  src/business/business-core/sql/gnc-tax-table-sql.c,
	  src/business/business-core/sql/test/test-dbi-business.c,
	  src/core-utils/binreloc.c, src/core-utils/gnc-path.c,
	  src/engine/Account.c, src/engine/gnc-budget.c,
	  src/engine/gnc-commodity.c, src/engine/test/test-recursive.c,
	  src/gnc-module/gnc-module.c,
	  src/gnome-utils/dialog-preferences.c,
	  src/gnome-utils/gnc-file.c, src/gnome-utils/gnc-keyring.c,
	  src/gnome-utils/gnc-main-window.c, src/html/gnc-html-webkit.c,
	  src/import-export/aqbanking/dialog-ab-trans.c,
	  src/import-export/aqbanking/gnc-ab-getbalance.c,
	  src/import-export/aqbanking/gnc-ab-gettrans.c,
	  src/import-export/aqbanking/gnc-ab-transfer.c,
	  src/import-export/aqbanking/gnc-ab-utils.c,
	  src/import-export/aqbanking/gnc-file-aqb-import.c,
	  src/libqof/qof/qofquery.c,
	  src/register/register-core/basiccell.c,
	  src/register/register-core/table-allgui.h,
	  src/register/register-gnome/gnucash-sheet.c: Re-indentation of
	  source code. This re-indentation was done using astyle-1.24
	  using the following options: astyle --indent=spaces=4
	  --brackets=break --pad-oper --pad-header --suffix=none

2010-06-25 18:22  cstim

	* [r19300] src/app-utils/gnc-ui-util.c: Improve i18n comments:
	  Comment for gnucash.pot must appear immediately before the
	  marked string.

2010-06-25 13:20  gjanssens

	* [r19299] src/business/business-reports/easy-invoice.scm,
	  src/business/business-reports/fancy-invoice.scm,
	  src/business/business-reports/invoice.scm: Bug #622637 - The
	  classical invoices should use the more specific strings from
	  taxinvoice, part 2, by Frank H. Ellenberger

2010-06-25 13:01  gjanssens

	* [r19298] src/business/business-reports/easy-invoice.scm,
	  src/business/business-reports/fancy-invoice.scm,
	  src/business/business-reports/invoice.scm: Bug #622637 - The
	  classical invoices should use the more specific strings from
	  taxinvoice, part 1: whitespace cleanups, patch by Frank H.
	  Ellenberger.

2010-06-25 12:50  gjanssens

	* [r19297] packaging/win32/defaults.sh,
	  packaging/win32/dist-impl.sh, packaging/win32/gnucash.iss.in,
	  packaging/win32/install-impl.sh: Bug #617797 - Win32 need to
	  downgrade to gtk-2.16 (Default theme not working under Windows),
	  second patch adding custom themes, by Tao Wang

2010-06-25 11:43  cmarchi

	* [r19296] po/lv.po: Updated Latvian translation by Rihards
	  Priedītis, copied from the Translation Project.

2010-06-25 11:40  cmarchi

	* [r19295] po/it.po: Update of Italian translation by Cristian
	  Marchi

2010-06-25 11:06  gjanssens

	* [r19294] src/optional/python-bindings/Makefile.am,
	  src/optional/python-bindings/example_scripts/simple_business_create.py,
	  src/optional/python-bindings/example_scripts/simple_invoice_insert.py,
	  src/optional/python-bindings/gnucash_business.py,
	  src/optional/python-bindings/gnucash_core.i,
	  src/optional/python-bindings/gnucash_core.py: Bug #622523 -
	  Python bindings are crash prone when linked to guile

2010-06-25 09:53  gjanssens

	* [r19293] src/optional/python-bindings/Makefile.am,
	  src/optional/python-bindings/gnucash_core.i: Bug #622520 -
	  gnucash business objects disapear on save, patch by Mark Jenkins

2010-06-25 09:44  gjanssens

	* [r19292] accounts/en_GB/acctchrt_business.gnucash-xea,
	  accounts/en_GB/acctchrt_common.gnucash-xea,
	  accounts/en_GB/acctchrt_full.gnucash-xea: Bug #622271 - Category
	  'Gas' under 'Auto' should be translated to Petrol in en_GB and
	  en_AU

2010-06-24 09:43  gjanssens

	* [r19291] po/lv.po: Update lv translation, correct translation
	  prefixes

2010-06-24 08:56  gjanssens

	* [r19290] packaging/win32/defaults.sh: Bug #617797 - Win32 need
	  to downgrade to gtk-2.16 (Default theme not working under
	  Windows), patch by Tao Wang

2010-06-24 08:54  gjanssens

	* [r19289] src/report/report-system/report-system.i: Fix build
	  failure introduced by r19285 on systems with guile 1.6.

2010-06-23 07:24  gjanssens

	* [r19288] po/lv.po: Updated latvian translation, patch by Valdis
	  Vītoliņš

2010-06-23 07:05  mta

	* [r19287] macros/ac_pkg_swig.m4: Properly check for SWIG version
	  2.0.0 and later.

2010-06-23 07:04  mta

	* [r19286] src/bin/environment.in: Revert part of R19263.
	  DYLD_LIBRARY_PATH must be set on MacOSX (running under X11, not
	  Quartz) in order for GnuCash to find its dynamic libraries.

2010-06-22 22:02  plongstaff

	* [r19285] src/report/report-system/gnc-report.c,
	  src/report/report-system/gnc-report.h,
	  src/report/report-system/html-fonts.scm,
	  src/report/report-system/report-system.i: Bug #616606: Add
	  gnc-get-default-report-font-family function callable from scm.
	  Currently returns "Arial" but can be modified to get default
	  GtkWindow font.

2010-06-22 20:30  gjanssens

	* [r19284] src/bin/Makefile.am: Change gnucash-bin to gnucash on
	  OS X (the other platforms had been changed already)

2010-06-21 19:45  cstim

	* [r19283] src/app-utils/date-utilities.scm,
	  src/report/standard-reports/account-piecharts.scm: After
	  learning the scheme case syntax, implement it correctly this
	  time. Fixes r19281, r19280, r19253, r19252.

2010-06-21 15:55  gjanssens

	* [r19282] doc/README-zh_CN.win32-bin.txt: Add missing UTF-8 BOM

2010-06-20 18:42  cstim

	* [r19281] src/report/standard-reports/account-piecharts.scm: Some
	  more disabling of the new deactivated option in the piechart.
	  Forgotten in r19280, sorry for that.

2010-06-19 20:03  cstim

	* [r19280] src/report/standard-reports/account-piecharts.scm:
	  Disable new option of piechart report even more.

2010-06-19 15:42  gjanssens

	* [r19279] packaging/win32/gnucash.iss.in,
	  packaging/win32/install-impl.sh, src/bin/Makefile.am,
	  src/bin/gnucash-bin.c, src/gnome-utils/gnc-gnome-utils.c:
	  Improve name consistency. Use "GnuCash" (or more precisely
	  PACKAGE_NAME), wherever the name is visible to the user, and
	  "gnucash" (or more precisely PACKAGE) everywhere else.

2010-06-19 14:50  gjanssens

	* [r19278] src/backend/xml/gnc-backend-xml.c,
	  src/backend/xml/gnc-backend-xml.h,
	  src/gnome-utils/glade/preferences.glade: Bug #600574 - Would
	  like to disable creation of log files and backup files entirely

2010-06-19 13:28  gjanssens

	* [r19277] packaging/win32/build_tags.sh,
	  packaging/win32/daily_build.sh: Document what to do if svn isn't
	  found. This only applies to the scripts used to setup an
	  automated build system

2010-06-19 10:47  gjanssens

	* [r19276] src/backend/xml/gnc-backend-xml.c: Cleanup use of
	  constants

2010-06-19 08:17  gjanssens

	* [r19275] doc/README-lv.win32-bin.txt: Add utf-8 prefix, so the
	  Windows installer interprets the file properly

2010-06-18 12:03  gjanssens

	* [r19274] packaging/win32/gnucash.iss.in: Fix Latvian language
	  support for Windows installer (should have used lv instead of
	  lv_LV)

2010-06-17 19:09  gjanssens

	* [r19273] src/gnome-utils/glade/dialog-file-access.glade: Bug
	  #621744 - Prompt for password is not hidden

2010-06-17 18:58  gjanssens

	* [r19272] packaging/win32/Latvian-1-5.1.11.isl,
	  packaging/win32/Makefile.am, packaging/win32/gnucash.iss.in: Add
	  Latvian translation for the Windows Installer, patch by Valdis
	  Vītoliņš

2010-06-17 09:57  gjanssens

	* [r19271] doc/README-nl.win32-bin.txt: Fix encoding issues in
	  Windows README file and translate last sentence.

2010-06-17 09:34  gjanssens

	* [r19270] doc/Makefile.am, doc/README-lv.win32-bin.txt: Add
	  Latvian readme file for Windows

2010-06-16 19:10  cstim

	* [r19269] po/nl.po: Update Dutch translation from the TP
	* [r19268] po/zh_CN.po: Update Chinese (simplified) translation,
	  from the TP

2010-06-16 16:18  gjanssens

	* [r19267] doc/README-de.win32-bin.txt,
	  doc/README-fr.win32-bin.txt, doc/README-it.win32-bin.txt,
	  doc/README-nl.win32-bin.txt, doc/README-zh_CN.win32-bin.txt,
	  packaging/win32/defaults.sh, packaging/win32/gnucash.iss.in: Bug
	  #619709 - Upgrade Inno Setup to 5.3.x to use utf-8 in .iss
	  script, patch by Tao Wang

2010-06-16 16:02  gjanssens

	* [r19266] packaging/win32/install-impl.sh: Check properly for svn
	  availability

2010-06-16 13:21  gjanssens

	* [r19265] packaging/win32/defaults.sh,
	  packaging/win32/install-impl.sh: Bug #621602 - Upgrade svn on
	  Windows building environment to 1.6.x, patch by Tao Wang.

2010-06-16 13:19  gjanssens

	* [r19264] src/gnome-utils/gnc-gnome-utils.c,
	  src/gnome-utils/gnc-keyring.c: Set user visible application name
	  as part of the gui initialization. This defines which name is
	  used in the about dialog and is used by gnome-keyring to
	  determine where to store passwords.

2010-06-16 12:45  gjanssens

	* [r19263] packaging/win32/dist-impl.sh,
	  packaging/win32/gnucash.iss.in, packaging/win32/install-impl.sh,
	  src/bin/Makefile.am, src/bin/environment-osx.in,
	  src/bin/environment.in, src/bin/gnucash-gdb.in,
	  src/bin/gnucash-launcher.in, src/bin/gnucash-valgrind.in,
	  src/bin/gnucash.in: Finish direct binary execution on Windows
	  and linux and cleanup bin Makefile/targets - Windows * binary
	  name becomes GnuCash.exe * gnucash.cmd is renamed to
	  gnucash-launcer.cmd (consistent with OS X). This file is only
	  needed to run GnuCash straight from the source installation. It
	  is not used (or distributed) with the Windows Installer version.
	  * gnucash-valgrind, gnucash-gdb and the override extra's have
	  been removed as they are meant for a UNIX like environment -
	  Linux/others * binary name becomes gnucash * the gnucash launch
	  script has been removed together with gnucash-gdb. They no
	  longer add value on linux. * gnucash-valgrind has been retained
	  because it contains useful presets - OS X (Quartz) * binary name
	  remains gnucash-bin for now (requires synchronous changes in the
	  externally hosted OS X build system) * gnucash launcher script
	  has been renamed to gnucash-launcher. This file is only needed
	  to run GnuCash straight from the source installation. It is not
	  used (or distributed) in the OS X bundle version. * gnucash-gdb
	  and gnucash-valgrind remain and can be used for debugging the
	  source installation.

2010-06-16 08:48  gjanssens

	* [r19262] packaging/win32/functions.sh: Undo debug modification
	  introduced in r19100. It bypassed the Abort and was never
	  intended to be committed.

2010-06-16 08:46  gjanssens

	* [r19261] src/libqof/qof/qoflog.c: Use enum value QOF_LOG_MESSAGE
	  (newly defined in r19257) instead of the generic
	  G_LOG_LEVEL_MESSAGE

2010-06-15 22:47  jralls

	* [r19260] src/gnome-utils/gnc-gnome-utils.c: OSX: Use the
	  language list instead of the locale Language list is better than
	  locale: * Locale is only one choice, language list gives user
	  several chances before defaulting to english. * Locale is set on
	  the Formats page in System Preferences>Language & Text and
	  labelled "Region", which makes one think that it's separate from
	  language choices. * This new code looks at only the first two
	  letters, so any time (e.g.) German is selected as the language
	  it will use the de_DE localization. This will have to be
	  elaborated if we ever get regional language translations.

2010-06-15 21:41  jralls

	* [r19259] src/bin/gnucash-bin.c: OSX: Set locale and languages
	  from User Defaults. This was handled in the bundle launcher
	  script and completely ignored when gnucash is launched from the
	  command line. Should offer better performance than the scripted
	  version, which had some odd workarounds.

2010-06-14 18:23  cstim

	* [r19258] accounts/nl/Makefile.am,
	  accounts/nl/acctchrt_checkbook.gnucash-xea: Add simple checkbook
	  account chart in Dutch, by Mark Haanen.

2010-06-13 20:57  jralls

	* [r19257] src/libqof/qof/qoflog.h: Add missing enum value

2010-06-13 20:11  cstim

	* [r19256] src/report/standard-reports/account-piecharts.scm: Fix
	  report error in piechart due to the temporary deactivation of
	  the new option.

2010-06-12 16:11  cstim

	* [r19255] src/business/business-core/sql/CMakeLists.txt,
	  src/business/business-core/sql/Makefile.am,
	  src/business/business-core/sql/gncmod-business-backend-sql.c,
	  src/business/business-core/sql/gncmod-business-backend-sql.h:
	  Make business sql backend initialization functions accessible
	  when statically linking. Same change as what r18841 added in
	  business-core/xml.

2010-06-12 16:03  gjanssens

	* [r19254] src/backend/xml/gnc-backend-xml.c,
	  src/gnc/mainwindow-file.cpp,
	  src/gnome-utils/druid-gnc-xml-import.c,
	  src/gnome-utils/gnc-file.c: Delegate transaction log
	  enabling/disabling to the backends. Let only the xml backend
	  enable logging.

2010-06-12 15:51  cstim

	* [r19253] src/report/standard-reports/account-piecharts.scm: Add
	  averaging option (but currently deactivated) for monthly or
	  weekly average in account piechart. Will be activated once we're
	  out of string freeze in order not to have untranslated strings
	  show up for the user.
	* [r19252] src/app-utils/app-utils.scm,
	  src/app-utils/date-utilities.scm: Add getter function for
	  mapping a {year,month,day} symbol to the conversion function of
	  a date to a fractional number.

2010-06-12 13:00  gjanssens

	* [r19251] src/business/business-core/gncBillTerm.c: Explain
	  proximo concept.

2010-06-12 09:23  gjanssens

	* [r19250] src/backend/xml/gnc-backend-xml.c,
	  src/core-utils/gnc-uri-utils.c, src/core-utils/gnc-uri-utils.h,
	  src/gnome-utils/gnc-file.c: Bug #615347 - Use enforced,
	  consistent data file extension across supported platforms The
	  choice has fallen on ".gnucash". This extension will be added to
	  all filenames that don't have it already when a user chooses
	  "Save As...". Obviously this is only done for files, not for
	  database storage. The backup files will from now on also end in
	  ".gnucash" instead of the previous ".xac". The code that removes
	  old backup files scans for both extensions to ensure that backup
	  files still available with the ".xac" extension are rotated as
	  well.

2010-06-10 13:05  gjanssens

	* [r19249] src/core-utils/gnc-filepath-utils.c: Fix a comment to
	  reflect the actual code.

2010-06-09 16:40  gjanssens

	* [r19248] src/bin/Makefile.am, src/bin/gnucash-bin.c: Remove
	  command line parameter that is ignored anyway.

2010-06-09 08:12  gjanssens

	* [r19247] configure.ac: Move language dependent files lv_LV to lv

2010-06-09 07:31  gjanssens

	* [r19246] accounts/lv/Makefile.am: Move language dependent files
	  lv_LV to lv, one more change

2010-06-09 07:29  gjanssens

	* [r19245] accounts/Makefile.am, accounts/lv, accounts/lv_LV,
	  configure.ac, po/lv.po, po/lv_LV.po: Move language dependent
	  files lv_LV to lv

2010-06-08 20:33  gjanssens

	* [r19243] src/import-export/log-replay/gnc-log-replay.c: Bug
	  #378638 - log replay creates two transactions from a single
	  logged transaction

2010-06-08 18:58  cmarchi

	* [r19242] po/it.po: Updated Italian translation by Cristian
	  Marchi.

2010-06-08 16:21  gjanssens

	* [r19241] src/core-utils/gnc-uri-utils.c,
	  src/core-utils/gnc-uri-utils.h: Improve handling of unknown
	  access methods (protocols). Avoid mangling of such urls, so that
	  a clean error message can be displayed.

2010-06-08 03:54  jralls

	* [r19239] src/gnome-utils/glade/commodity.glade: Fix typo in
	  commodity.glade which broke creating new commodities

2010-06-07 21:45  jralls

	* [r19238] src/bin/gnucash-bin.c: Disable enviroment_overide()
	  when MAC_INTEGRATION is defined: It doesn't play well with App
	  Bundles.

2010-06-07 20:22  gjanssens

	* [r19237] src/backend/dbi/gnc-backend-dbi.c: Don't look for dbi
	  drivers if dbi_initialize failed.

2010-06-07 16:52  gjanssens

	* [r19234] src/bin/Makefile.am: Fix dbi drivers not found when
	  --with-dbi-dbd-dir is set at configure time.

2010-06-05 23:59  jralls

	* [r19233] src/bin/Makefile.am, src/bin/gnucash-bin.c,
	  src/gnome-utils/ui/Makefile.am,
	  src/gnome-utils/ui/osx_accel_map: Default key accelerator map
	  for OSX, using Command instead of Control

2010-06-05 18:51  plongstaff

	* [r19231] configure.ac: Update rev number to 2.3.14

2010-06-04 13:37  cstim

	* [r19230] src/business/business-gnome/dialog-invoice.c: Fix
	  r19227, r19228: Don't make the "Due Date" the primary search;
	  fix erroneous parameters when inserting into list.

2010-06-04 13:23  cstim

	* [r19229] po/de.po: Update German translation Patch by Frank H.
	  Ellenberger: update de.po 1. add missing translations 2. review
	  fuzzy translations 3. correct liabilities: Passiva ->
	  Fremdkapital/Verbindlichkeiten 4. correct discount: Skonto ->
	  Skonto, Rabatt & Nachlass 5. typos

2010-06-04 09:38  cstim

	* [r19228] src/business/business-gnome/dialog-invoice.c: Bug
	  #618954: Add a column "Due" to the invoice search results list.
	  Patch by "scar".
	* [r19227] src/business/business-gnome/dialog-invoice.c: Bug
	  #618951: Add ability to search for invoices by due date Patch by
	  "scar".

2010-06-03 20:18  cstim

	* [r19226] src/gnome-utils/glade/commodity.glade: File convert
	  commodity.glade in glade3-3.6.7 to ensure our gtk-2.10
	  requirement is sufficient.

2010-06-03 20:05  cstim

	* [r19225] src/gnome-utils/glade/commodity.glade: Bug #118391:
	  Resize currency dropdown list Patch by Frank H. Ellenberger. Now
	  in the tested (european) languages one can understand the
	  meaning without horizontal scrolling - search for MXV or UYI to
	  see long examples. I used glade 3, which created the file in a
	  somewhat different way - let me know, if that is a problem.

2010-06-03 20:02  cstim

	* [r19224] po/Makevars: Bug #619984: Remove "Gnumatic, Inc." from
	  po/Makevars Gnumatic Inc. does since a few years no longer
	  exist. So it makes no sense, to have it as copyright holder of
	  new GnuCash translations. I got Linas OK for this change on IRC:
	  http://lists.gnucash.org/logs/2010/05/2010-05-28.html#T13:37:53
	  - #T16:12:23

2010-06-03 19:58  cstim

	* [r19223] packaging/win32/ChineseSimp-12-5.1.11.isl,
	  packaging/win32/Greek-4-5.1.11.isl,
	  packaging/win32/gnucash.iss.in: Bug #617797: Set eol-style to
	  CRLF for win32 files.

2010-06-03 19:56  gjanssens

	* [r19222] src/register/register-gnome/gnucash-sheet.c,
	  src/register/register-gnome/gnucash-sheet.h: Bug #618434 -
	  Decimal separator is always '.' when using the keypad, patch by
	  Yasuaki Taniguchi

2010-06-03 19:56  cstim

	* [r19221] doc/README-zh_CN.win32-bin.txt: Set eol-style for
	  win32-bin.txt to CRLF because this file should view correctly on
	  win32 systems

2010-06-03 19:33  gjanssens

	* [r19220] accounts/lv_LV/Makefile.am: fix Latvian account trees,
	  patch by Bill Nottingham.

2010-06-02 20:50  cstim

	* [r19217] packaging/win32/build_package.sh,
	  packaging/win32/build_tags.sh,
	  packaging/win32/create_cross_mingw.sh,
	  packaging/win32/crossbuild_webkit.sh,
	  packaging/win32/daily_build.sh, packaging/win32/defaults.sh,
	  packaging/win32/dist-impl.sh, packaging/win32/dist.sh,
	  packaging/win32/functions.sh, packaging/win32/install-impl.sh,
	  packaging/win32/install.sh, packaging/win32/pi.sh,
	  packaging/win32/reset.sh: Set all shell scripts to svn:eol-style
	  LF because they should have the same line endings.

2010-06-01 14:22  gjanssens

	* [r19216] packaging/win32/build_tags.sh: Fix script that builds
	  the release tags. Awk works differently on windows than on linux
	  apparently.

2010-05-31 18:08  cmarchi

	* [r19215] po/nl.po: Updated Dutch translation by Mark Haanen,
	  copied from the Translation Project.

2010-05-31 18:04  cmarchi

	* [r19214] po/ja.po: Updated Japanese translation by Yasuaki
	  Taniguchi, copied from the Translation Project.

2010-05-30 19:02  plongstaff

	* [r19212] configure.ac: Update version to 2.3.13

2010-05-30 11:59  gjanssens

	* [r19211] src/gnc-module/test/misc-mods/Makefile.am,
	  src/gnc-module/test/misc-mods/agedver.c,
	  src/gnc-module/test/misc-mods/futuremodsys.c,
	  src/gnc-module/test/misc-mods/incompatdep.c: Fix gnc-module test
	  after patch from bug #618646.

2010-05-29 16:36  gjanssens

	* [r19210] packaging/win32/dist-impl.sh: Win32 - Fix installation
	  location of some files, reported by Tao Wang.

2010-05-27 17:54  cmarchi

	* [r19209] po/lv_LV.po: Update of Latvian translation by Valdis
	  Vitolins

2010-05-26 20:27  gjanssens

	* [r19208] src/gnome/dialog-print-check.c: Fix 64-bit compiler
	  error introduced in r19206

2010-05-25 21:35  gjanssens

	* [r19207] packaging/win32/gnucash.iss.in: Fix encoding issues
	  introduced in r19204

2010-05-25 21:16  gjanssens

	* [r19206] src/gnome/dialog-print-check.c: printf with %zd is not
	  known in mingw gcc 4.4.0 and prevents gnucash from being built
	  with that compiler. Since this is only a debug message, I chose
	  to replace it with %d which should also do the right thing.

2010-05-25 21:15  gjanssens

	* [r19205] src/html/gnc-html-webkit.c: Properly check for the
	  unavailability of windows webkit. The logic was accidentally
	  inverted when #ifndef got replaced with if HAVE(). As a side
	  effect, this fixes a mingw gcc-4.4 compiler warning.

2010-05-25 20:20  gjanssens

	* [r19204] packaging/win32/dist-impl.sh,
	  packaging/win32/gnucash.iss.in, packaging/win32/install-impl.sh,
	  src/bin/environment-win32.in, src/bin/gnucash-bin.c,
	  src/core-utils/gnc-path.c, src/gnc-module/gnc-module.c,
	  src/gnc-module/gnc-module.h: Bug #618646 - Should be able to run
	  gnucash-bin.exe directly, rather than gnucash.cmd Patch by Tao
	  Wang.

2010-05-25 19:26  gjanssens

	* [r19203] src/optional/python-bindings/Makefile.am: Fix warning
	  message of autogen.sh for python-binding. Patch by Tao Wang

2010-05-24 05:08  jralls

	* [r19202] configure.ac: Remove AC_PROG_OBJC from configure.ac

2010-05-22 23:40  jralls

	* [r19201] configure.ac, src/bin/Makefile.am, src/gnc-ui.h,
	  src/gnome-utils/gnc-gnome-utils.c: Implement help for OSX

2010-05-22 21:29  plongstaff

	* [r19200] src/backend/dbi/gnc-backend-dbi.c: Fix #616100 -
	  Incorrect character set used in MySQL backend Use "SET NAMES
	  'utf8'" so that mysql uses utf8 for communication and all char
	  sets.

2010-05-22 21:25  plongstaff

	* [r19199] src/report/report-system/html-fonts.scm: Split "Arial"
	  out from font names to make it easier to replace.

2010-05-21 22:45  jralls

	* [r19198] src/core-utils/binreloc.c: Update binreloc to use
	  Cocoa-based GtkOSXApplication instead of ige-mac-bundle.

2010-05-21 20:45  jralls

	* [r19197] src/bin/Makefile.am, src/bin/gnucash-setup-env-osx.in:
	  Fix gnc_dbd_dir foulup

2010-05-21 19:37  jralls

	* [r19196] src/gnome-utils/gnc-main-window.c: Change from
	  ige-mac-menu to GtkOSXApplication for OSX integration. Fixes
	  600590.

2010-05-20 20:16  gjanssens

	* [r19191] configure.ac, src/backend/dbi/gnc-backend-dbi.c,
	  src/backend/dbi/test/Makefile.am, src/bin/Makefile.am,
	  src/bin/environment-osx.in, src/bin/environment-win32.in,
	  src/bin/environment.in, src/bin/gnucash-setup-env-osx.in,
	  src/business/business-core/sql/test/Makefile.am: Fix libdbi
	  hardcoded driver directory usage Patch by Bill Nottingham, with
	  modifications to only set GNC_DBD_DIR if --with-dbi-dbd-path is
	  explicitly set.

2010-05-20 20:02  gjanssens

	* [r19190] packaging/win32/install-impl.sh: Win32 use up-to-date
	  configure parameters for aqbanking

2010-05-20 18:53  cstim

	* [r19189] po/lv_LV.po: Updated Latvian translation by Valdis
	  Vītoliņš.

2010-05-20 18:52  cstim

	* [r19188] accounts/lv_LV/acctchrt_business.gnucash-xea,
	  accounts/lv_LV/acctchrt_common.gnucash-xea,
	  accounts/lv_LV/acctchrt_full.gnucash-xea: Update Latvian account
	  templates by Valdis Vitoliņš.

2010-05-20 13:25  gjanssens

	* [r19186] configure.ac, src/bin/Makefile.am, src/bin/gnucash.rc:
	  Bug #618647 - Compile .ico as resource into gnucash-bin.exe,
	  patch by Tao Wang

2010-05-20 08:34  gjanssens

	* [r19185] accounts/lv_LV: Svn ignore built files

2010-05-20 08:08  gjanssens

	* [r19184] packaging/win32/custom.sh.sample,
	  packaging/win32/defaults.sh, packaging/win32/dist-impl.sh,
	  packaging/win32/dist.sh, packaging/win32/install-impl.sh,
	  packaging/win32/install.sh: Bug #618505 - Separate shell
	  functions files from variables and steps files, patch by Yasuaki
	  Taniguchi

2010-05-19 22:00  gjanssens

	* [r19183] packaging/win32/Makefile.am: Additional fix for
	  Simplified Chinese translation of windows installer

2010-05-19 20:27  mta

	* [r19182] src/core-utils/gnc-uri-utils.c,
	  src/gnome-utils/gnc-keyring.c: Make the keychain interface in
	  MacOSX compile and work.

2010-05-19 16:21  gjanssens

	* [r19181] packaging/win32/Makefile.am: Fix windows build

2010-05-17 23:02  plongstaff

	* [r19180] src/html/gnc-html-webkit.c: Set default webkit font
	  from system font.

2010-05-15 20:29  cstim

	* [r19177] accounts/Makefile.am, accounts/lv_LV,
	  accounts/lv_LV/Makefile.am,
	  accounts/lv_LV/acctchrt_brokerage.gnucash-xea,
	  accounts/lv_LV/acctchrt_business.gnucash-xea,
	  accounts/lv_LV/acctchrt_carloan.gnucash-xea,
	  accounts/lv_LV/acctchrt_cdmoneymkt.gnucash-xea,
	  accounts/lv_LV/acctchrt_checkbook.gnucash-xea,
	  accounts/lv_LV/acctchrt_childcare.gnucash-xea,
	  accounts/lv_LV/acctchrt_common.gnucash-xea,
	  accounts/lv_LV/acctchrt_eduloan.gnucash-xea,
	  accounts/lv_LV/acctchrt_fixedassets.gnucash-xea,
	  accounts/lv_LV/acctchrt_full.gnucash-xea,
	  accounts/lv_LV/acctchrt_homeloan.gnucash-xea,
	  accounts/lv_LV/acctchrt_homeown.gnucash-xea,
	  accounts/lv_LV/acctchrt_otherloan.gnucash-xea,
	  accounts/lv_LV/acctchrt_renter.gnucash-xea,
	  accounts/lv_LV/acctchrt_retiremt.gnucash-xea,
	  accounts/lv_LV/acctchrt_spouseinc.gnucash-xea,
	  accounts/lv_LV/acctchrt_spouseretire.gnucash-xea, configure.ac:
	  Add Latvian account templates by Valdis Vitoliņš.

2010-05-15 15:04  plongstaff

	* [r19173] src/report/report-system/report.scm,
	  src/report/stylesheets/Makefile.am,
	  src/report/stylesheets/stylesheet-css.scm,
	  src/report/stylesheets/stylesheet-plain.scm,
	  src/report/stylesheets/stylesheets.scm: Merge CSS and plain
	  stylesheets, leaving the plain and remove the CSS stylesheet.
	  Plain now has font specifications.

2010-05-15 14:50  plongstaff

	* [r19172] src/report/report-system/Makefile.am,
	  src/report/report-system/html-fonts.scm,
	  src/report/report-system/report-system.scm,
	  src/report/stylesheets/stylesheet-css.scm,
	  src/report/stylesheets/stylesheet-easy.scm,
	  src/report/stylesheets/stylesheet-fancy.scm,
	  src/report/stylesheets/stylesheet-footer.scm,
	  src/report/stylesheets/stylesheets.scm: Add font support to all
	  stylesheets

2010-05-15 14:34  gjanssens

	* [r19171] src/pixmaps/Makefile.am: Add rules to copy the
	  necessary icons during build.

2010-05-15 13:48  gjanssens

	* [r19169] art/tango/gnc-invoice-pay.svg,
	  src/business/business-gnome/gnc-plugin-page-invoice.c,
	  src/business/business-gnome/ui/gnc-plugin-page-invoice-ui.xml,
	  src/gnome-utils/gnc-icons.c, src/gnome-utils/gnc-icons.h,
	  src/pixmaps/Makefile.am, src/pixmaps/gnc-invoice-pay-16.png,
	  src/pixmaps/gnc-invoice-pay.png: Add "Pay invoice" toolbar
	  button when invoice is open.

2010-05-15 10:27  gjanssens

	* [r19168] doc/README-zh_CN.win32-bin.txt,
	  packaging/win32/ChineseSimp-12-5.1.11.isl: Reapply Simplified
	  Chinese patches

2010-05-15 07:31  gjanssens

	* [r19167] packaging/win32/gnucash.iss.in: Repatch Windows
	  installer for Simplified Chinese

2010-05-15 06:37  cmarchi

	* [r19166] po/lv_LV.po: Update of Latvian Translation by Valdis
	  Vitolins

2010-05-14 15:43  cstim

	* [r19165] packaging/win32/build_tags.sh: Fix windows tag build
	  script, by Geert Janssens

2010-05-14 09:00  cstim

	* [r19164] packaging/win32/build_tags.sh: Revert r19159, "Fix
	  windows tag build script, by Geert Janssens" I thought I would
	  get access to the build server immediately to perform the
	  cleanup of the old tag file, but apparently the server is
	  unreachable for me for now, so I cannot commit this change
	  today. Maybe later.
	* [r19163] po/de.po: Update German translation.
	* [r19162] po/POTFILES.in, src/app-utils/gnc-ui-util.c,
	  src/business/business-reports/taxinvoice.eguile.scm,
	  src/report/report-system/report.scm,
	  src/report/standard-reports/balsheet-eg.eguile.scm,
	  src/report/standard-reports/balsheet-eg.scm: I18n improvements:
	  Remove colons from translatable strings. Use correct
	  capitalization. In most cases, the changed strings already
	  appear somewhere else in the program, so only very few are
	  unfortunately now new strings even though we hoped we could
	  stick to the string freeze.

2010-05-14 08:36  gjanssens

	* [r19161] doc/Makefile.am, doc/README-zh_CN.win32-bin.txt,
	  packaging/win32/ChineseSimp-12-5.1.11.isl,
	  packaging/win32/gnucash.iss.in: zh_CN translation for Windows
	  Installer, patch by Tao Wang.

2010-05-14 08:33  gjanssens

	* [r19160] accounts/zh_CN/acctchrt_brokerage.gnucash-xea,
	  accounts/zh_CN/acctchrt_business.gnucash-xea,
	  accounts/zh_CN/acctchrt_carloan.gnucash-xea,
	  accounts/zh_CN/acctchrt_cdmoneymkt.gnucash-xea,
	  accounts/zh_CN/acctchrt_checkbook.gnucash-xea,
	  accounts/zh_CN/acctchrt_childcare.gnucash-xea,
	  accounts/zh_CN/acctchrt_common.gnucash-xea,
	  accounts/zh_CN/acctchrt_eduloan.gnucash-xea,
	  accounts/zh_CN/acctchrt_fixedassets.gnucash-xea,
	  accounts/zh_CN/acctchrt_full.gnucash-xea,
	  accounts/zh_CN/acctchrt_homeloan.gnucash-xea,
	  accounts/zh_CN/acctchrt_homeown.gnucash-xea,
	  accounts/zh_CN/acctchrt_otherloan.gnucash-xea,
	  accounts/zh_CN/acctchrt_renter.gnucash-xea,
	  accounts/zh_CN/acctchrt_retiremt.gnucash-xea,
	  accounts/zh_CN/acctchrt_spouseinc.gnucash-xea,
	  accounts/zh_CN/acctchrt_spouseretire.gnucash-xea: Update zh_CN
	  account charts, patch by Tao Wang.

2010-05-14 07:55  cstim

	* [r19159] packaging/win32/build_tags.sh: Fix windows tag build
	  script, by Geert Janssens

2010-05-14 07:52  cstim

	* [r19158] po/nl.po: Updated Dutch translation, copied from the
	  Translation Project.

2010-05-14 07:36  cstim

	* [r19157] packaging/win32/reset.sh: Bug #618341: Additional paths
	  to reset.sh Patch by Yasuaki Taniguchi.

2010-05-14 07:24  cstim

	* [r19156] src/report/standard-reports/standard-reports.scm: One
	  more revert of r19148, "Bug #615168: Remove instances of
	  (use-modules (ice-9 slib))..." Missed that one in r19154.

2010-05-14 07:09  cstim

	* [r19155] src/app-utils/c-interface.scm, src/app-utils/prefs.scm,
	  src/business/business-reports/aging.scm,
	  src/business/business-reports/easy-invoice.scm,
	  src/business/business-reports/fancy-invoice.scm,
	  src/business/business-reports/invoice.scm,
	  src/report/standard-reports/standard-reports.scm: Revert r19147,
	  "Bug #615168: Remove spurious (require 'hash-table)
	  instances..." Apparently guile-1.6 still needs all of those.
	* [r19154] src/app-utils/c-interface.scm,
	  src/business/business-reports/aging.scm,
	  src/business/business-reports/easy-invoice.scm,
	  src/business/business-reports/fancy-invoice.scm,
	  src/business/business-reports/invoice.scm: Partly revert r19148,
	  "Bug #615168: Remove instances of (use-modules (ice-9 slib))..."
	  Apparently guile-1.6 needs this in more places than I thought at
	  r19148.

2010-05-12 19:58  cstim

	* [r19153] po/zh_CN.po: Update Chinese (simplified) Translation,
	  copied from the Translation Project.

2010-05-12 14:21  gjanssens

	* [r19152] src/gnome/glade/account.glade: Fix help text,
	  discovered by Nikos Charonitakis

2010-05-12 06:13  cmarchi

	* [r19150] po/pt_BR.po: Update of Brazilian Portuguese translation
	  by Miguel A.Rozsas

2010-05-11 17:45  cmarchi

	* [r19149] po/el.po: Update of Greek translation by Nikos
	  Charonitakis

2010-05-09 19:24  cstim

	* [r19148] src/app-utils/c-interface.scm,
	  src/business/business-reports/aging.scm,
	  src/business/business-reports/easy-invoice.scm,
	  src/business/business-reports/fancy-invoice.scm,
	  src/business/business-reports/invoice.scm,
	  src/business/business-reports/job-report.scm,
	  src/business/business-reports/owner-report.scm,
	  src/business/business-reports/payables.scm,
	  src/business/business-reports/receivables.scm,
	  src/import-export/qif-import/qif-import.scm,
	  src/report/locale-specific/us/taxtxf-de_DE.scm,
	  src/report/locale-specific/us/taxtxf.scm,
	  src/report/report-system/eguile-utilities.scm,
	  src/report/standard-reports/account-piecharts.scm,
	  src/report/standard-reports/advanced-portfolio.scm,
	  src/report/standard-reports/average-balance.scm,
	  src/report/standard-reports/balance-sheet.scm,
	  src/report/standard-reports/budget-balance-sheet.scm,
	  src/report/standard-reports/budget-barchart.scm,
	  src/report/standard-reports/budget-flow.scm,
	  src/report/standard-reports/budget-income-statement.scm,
	  src/report/standard-reports/budget.scm,
	  src/report/standard-reports/cash-flow.scm,
	  src/report/standard-reports/category-barchart.scm,
	  src/report/standard-reports/daily-reports.scm,
	  src/report/standard-reports/equity-statement.scm,
	  src/report/standard-reports/general-journal.scm,
	  src/report/standard-reports/general-ledger.scm,
	  src/report/standard-reports/income-statement.scm,
	  src/report/standard-reports/net-barchart.scm,
	  src/report/standard-reports/portfolio.scm,
	  src/report/standard-reports/price-scatter.scm,
	  src/report/standard-reports/register.scm,
	  src/report/standard-reports/standard-reports.scm,
	  src/report/standard-reports/transaction.scm,
	  src/report/standard-reports/trial-balance.scm,
	  src/report/utility-reports/view-column.scm: Bug #615168: Remove
	  instances of (use-modules (ice-9 slib)) except report-system.scm
	  There are no more instances of (require ...), so Guile's slib
	  support is no longer needed. Patch by Andy Wingo, but except
	  report-system.scm because saved reports still use the
	  hash-for-each -- so we will need to continue to support the
	  symbol.
	* [r19147] src/app-utils/c-interface.scm, src/app-utils/prefs.scm,
	  src/business/business-reports/aging.scm,
	  src/business/business-reports/easy-invoice.scm,
	  src/business/business-reports/fancy-invoice.scm,
	  src/business/business-reports/invoice.scm,
	  src/report/standard-reports/standard-reports.scm: Bug #615168:
	  Remove spurious (require 'hash-table) instances except
	  report-system.scm Patch by Andy Wingo, but except
	  report-system.scm. There is nothing that the slib hash-table
	  module provides that was used in any of these files; they all
	  used Guile's stock hash tables.

2010-05-09 17:13  plongstaff

	* [r19146] packaging/win32/defaults.sh: Fix #616554 - New
	  stylesheets based on Fancy template cause BIN to crash An
	  interface issue between libjpeg and webkit (incorrect type used
	  in libjpeg) causes the crash. This patch replaces the normal
	  libjpeg with a patched one.

2010-05-08 19:10  cstim

	* [r19145] po/da.po: Updated Danish translation by Joe Hansen,
	  copied from the Translation Project.

2010-05-07 15:29  gjanssens

	* [r19135] src/business/business-gnome/dialog-invoice.c: When
	  posting an invoice, propose the invoice's opened date as post
	  date.

2010-05-07 14:38  gjanssens

	* [r19134] src/business/business-ledger/gncEntryLedger.c: Bug
	  #352058 - Invoice entries should default to opening date of
	  invoice.

2010-05-07 14:31  gjanssens

	* [r19133] src/business/business-gnome/dialog-job.c: Bug #615510 -
	  Gnucash crashes when creating new customer job

2010-05-07 10:32  gjanssens

	* [r19132] src/business/business-ledger/gncEntryLedger.c,
	  src/libqof/qof/qofquerycore.c: Bug #357696 - Billable items
	  appear in more than one invoice

2010-05-07 07:41  cstim

	* [r19131] src/engine/iso-4217-currencies.scm: Bug #118391:
	  Implement translation long currency names Adjust in
	  iso-4217-currencies.scm fullnames to conform with iso-codes-3.3
	  Patch by Frank H. Ellenberger.

2010-05-06 16:23  gjanssens

	* [r19130] src/libqof/qof/qofquery.c: A search with no search
	  terms set by the user should still honor the original search
	  constraints. For example: if a user does: - Find customer -
	  Click on Customer's invoices - Then explicitly removes the empty
	  search term - Click Find => the user should still see only the
	  invoices for this customer. Previously this scenario would
	  return all bills, invoices AND vouchers in the book. The cause
	  was an attempt to merge two queries with AND while one query had
	  no terms. The code already partially checked for this, but there
	  was still an unhandled case.

2010-05-06 15:15  gjanssens

	* [r19129] src/business/business-core/gncInvoice.c,
	  src/business/business-core/gncInvoice.h,
	  src/business/business-gnome/dialog-invoice.c: Return only bills
	  when searching for bills, return only invoices when searching
	  for invoices and return only vouchers when searching for vouchers

2010-05-06 11:40  cstim

	* [r19127] CMakeLists.txt, src/CMakeLists.txt,
	  src/config.h.cmake.in: Cutecash: Fix config.h creation by using
	  the #cmakedefine feature of CONFIGURE_FILE. Finally, config.h
	  will only be re-created if anything has changed, thus reducing
	  re-compiling to a minimum. This was done with instructions from
	  http://www.cmake.org/Wiki/CMake:How_To_Write_Platform_Checks ;
	  however, more of those checks (like CheckFunctionExists etc)
	  don't work as easily as CheckHeaderExists, so I left it at that.
	* [r19126] src/import-export/aqbanking/dialog-ab-trans.c,
	  src/import-export/aqbanking/druid-ab-initial.c,
	  src/import-export/aqbanking/gnc-ab-getbalance.c,
	  src/import-export/aqbanking/gnc-ab-gettrans.c,
	  src/import-export/aqbanking/gnc-ab-transfer.c,
	  src/import-export/aqbanking/gnc-ab-utils.c,
	  src/import-export/aqbanking/gnc-ab-utils.h,
	  src/import-export/aqbanking/gnc-file-aqb-import.c,
	  src/import-export/aqbanking/gnc-gwen-gui.c: Add support for
	  upcoming libaqbanking-5 version.

2010-05-06 09:02  cstim

	* [r19124] src/optional/python-bindings/Makefile.am: Bug #616524:
	  Fix missing re-generating of gnucash_core.c code. The .c file
	  gets outdated easily because the makefile doesn't contain enough
	  of its dependencies. I would need to be regenerated each time
	  any of the included files was changed, but currently it doesn't
	  contain these dependencies in the makefile rules. Having it
	  depending on config.h should at least trigger the generation at
	  each version number change (so that the tarball contains an
	  up-to-date version.)

2010-05-06 09:01  cstim

	* [r19123] make-gnucash-potfiles.in, po/POTFILES.in,
	  src/app-utils/app-utils.scm, src/app-utils/options.scm,
	  src/business/business-utils/business-prefs.scm,
	  src/business/business-utils/business-utils.scm,
	  src/engine/engine.i, src/engine/gnc-budget.c,
	  src/libqof/qof/qofbook.c, src/libqof/qof/qofbookslots.h: Bug
	  #612212: Provide a method to set the default budget Patch by
	  Jeff Kletsky. (Cstim: Accepted even though string freeze is in
	  effect because it was submitted before the freeze. Also, the
	  string additions are very minor.) Summary of Changes: * Initial
	  story related to providing default budget control * Add a
	  "Budgeting" tab to the book-level preferences dialog * Add a
	  "Default Budget" selector to the "Budgeting" tab * Modify
	  gnc_budget_get_default() to * Respect the new KVP, if present *
	  Fall back to 2.2.x behavior, if not present * Modify
	  gnc:make-budget-option * Reformatted for readability with
	  additional comments * Default is now "#f" so that selected value
	  is always saved Otherwise, if selection happened to be the
	  current default and the default was later changed, the report
	  would change * getter, setter, and generate-restore-form all now
	  consistent * setter now always takes a budget object *
	  generate-restore-form does not rely on "hack" in setter that
	  previously allowed either a budget object or a GUID string This
	  is a different fix for 603215 -- see Known Issues * Provide
	  translation support for "Trading Acccounts" (and "Budgeting") *
	  Refactor #define names for consistency and extensibility *
	  KVP_OPTION_PATH for consistency with Guile usage *
	  OPTION_SECTION_blahblah * OPTION_NAME_blahblah * Modify
	  qofbookslots.h to be "SWIG-aware" * Pick up qofbookslots.h in
	  make-gnucash-potfiles.in and po/POTFILES.in Known Issues: *
	  There is no selection (yet) for "Use default budget" so changing
	  the default budget and reloading a report does not change the
	  budget used * setter is no more robust to "bad" values than in
	  previous code * Budget reports created with 2.3.x after r18528
	  (between 2.3.8 and 2.3.9) may not load or re-render as they
	  relied on the setter taking either a budget object or a GUID as
	  a string This should not impact any 2.2.x users as nothing was
	  saved under 2.2.x related to the default budget. This can be
	  resolved through removing the option restore code in
	  ~/.gnucash/saved-reports-2.4 and, if affected reports were open,
	  in ~/.gnucash/books/<name_of_book> * Budget reports prior to
	  r18528 did not save budget selection (603215)

2010-05-06 08:36  cstim

	* [r19122] src/import-export/csv/gnc-csv-model.c: Bug #586805: Fix
	  errorneous abs() in csv import Changes abs function to fabs in
	  gnc-csv-model.c, to allow csv imports of values less than $1.00.
	  Patch by James Raehl.

2010-05-06 08:33  cstim

	* [r19120] src/engine/iso-4217-currencies.scm,
	  src/engine/iso-currencies-to-c: Bug #617660: Improving
	  iso-4217-currencies Patch by Frank H. Ellenberger 1. improve the
	  header of fieldnames with annotations 2. sort by ISO code,
	  because a. easier for non english people b. most tables in the
	  internet have this sort order. So maintainance becomes easier.
	  3. inserting a Column local_symbol, because some people like to
	  use it, e.g.
	  https://bugzilla.gnome.org/show_bug.cgi?id=492417#c3 But
	  probably there is a better way to get this informations. 4.
	  Review List: a. adding: CDF, GHS, ... b. outdated:
	  AON->AOR->AOA, GWP->XOF, ... c. Typos like "fening". d. Alway
	  use singular instead of a mixture. 5. add comments: a. outdated
	  currencies prepared as in the header shown. b. for
	  abbreviations. Background is the thread starting with
	  https://lists.gnucash.org/pipermail/gnucash-devel/2009-October/026558.html

2010-05-06 08:19  cstim

	* [r19118] src/libqof/CMakeLists.txt, src/libqof/qof/Makefile.am,
	  src/libqof/qof/qofla-dir.h.in, src/libqof/qof/qofsession.c:
	  Follow-up to r19099: Remove qof's backend loading because there
	  is no backend anymore. Remove generated file qofla-dir.h. This
	  is actually good progress because it gets rid of yet another
	  compiled-in path, which are a nuisance and need to be replaced
	  by runtime path lookup everywhere, if needed.

2010-05-06 07:44  gjanssens

	* [r19114] packaging/win32/dist.sh: Remove qsf related code from
	  windows installer script.

2010-05-05 18:40  cmarchi

	* [r19111] po/glossary/zh_CN.po: Update of Chinese glossary by Tao
	  Wang

2010-05-05 18:38  cmarchi

	* [r19110] po/zh_CN.po: Update of Chinese translation by Tao Wang

2010-05-05 12:25  gjanssens

	* [r19107] packaging/win32/functions.sh: Rewrite assert_one_dir
	  function to not crash on a native build machine

2010-05-04 23:40  gjanssens

	* [r19104] packaging/win32/README,
	  packaging/win32/create_cross_mingw.sh,
	  packaging/win32/defaults.sh, packaging/win32/install.sh: Improve
	  the cross-compilation process. - improve create_cross_mingw.sh's
	  integration in defaults.sh and install.sh - update README file

2010-05-04 23:03  gjanssens

	* [r19103] src/gnc/Session.cpp, src/gnc/mainwindow-file.cpp:
	  Remove QSF references from cutecash

2010-05-04 22:51  gjanssens

	* [r19102] make-gnucash-potfiles.in, po/POTFILES.in,
	  src/business/business-gnome/ui/gnc-plugin-business-ui.xml,
	  src/gnome/ui/gnc-plugin-basic-commands-ui.xml: Remove some
	  additional QSF references

2010-05-04 22:40  gjanssens

	* [r19101] packaging/win32/install.sh: Improve test_for_mingw -
	  change test so that both tested programs must work, not only the
	  exit code of the last one - make it cross-compile compatible

2010-05-04 16:44  gjanssens

	* [r19100] packaging/win32/functions.sh: Improve assert_one_dir It
	  now gives a different error message when no directory was found
	  or when multiple directories were found

2010-05-04 14:15  gjanssens

	* [r19099] configure.ac, src/backend/dbi/test/Makefile.am,
	  src/backend/xml/gnc-backend-xml.c,
	  src/backend/xml/test/Makefile.am,
	  src/business/business-core/sql/test/Makefile.am,
	  src/business/business-core/test/Makefile.am,
	  src/business/business-core/test/test-customer.c,
	  src/business/business-core/test/test-employee.c,
	  src/business/business-core/test/test-job.c,
	  src/business/business-core/test/test-vendor.c,
	  src/business/business-gnome/gnc-plugin-business.c,
	  src/engine/test/test-recursive.c, src/gnome-utils/gnc-file.c,
	  src/gnome/Makefile.am, src/gnome/dialog-chart-export.c,
	  src/gnome/dialog-chart-export.h, src/gnome/druid-hierarchy.c,
	  src/gnome/druid-merge.c, src/gnome/druid-merge.h,
	  src/gnome/glade/Makefile.am, src/gnome/glade/chart-export.glade,
	  src/gnome/glade/merge.glade,
	  src/gnome/gnc-plugin-basic-commands.c, src/libqof/Makefile.am,
	  src/libqof/backend, src/libqof/qof/qof.h,
	  src/libqof/qof/qofbackend.h, src/libqof/qof/qofchoice.h,
	  src/libqof/qof/qofsession.c, src/libqof/qof/qofsession.h,
	  src/libqof/qof/qofsql.c, src/libqof/qof/qofutil.c,
	  src/optional/Makefile.am, src/optional/xsl: Remove QSF

2010-05-04 09:45  gjanssens

	* [r19098] packaging/win32/crossbuild_webkit.sh,
	  packaging/win32/defaults.sh, packaging/win32/functions.sh,
	  packaging/win32/icu-crossmingw.patch: Bug #617435 - webkitgtk+
	  cross build script, created by Yasuaki Taniguchi

2010-05-04 09:24  gjanssens

	* [r19097] src/register/register-gnome/gnucash-header.c: Bug
	  #617558 - Header in register doesn't clear properly in
	  double-line mode when switching from transaction to split, patch
	  by Alex Aycinena

2010-05-03 20:15  gjanssens

	* [r19096] packaging/win32/install.sh: Remove forgotten debug
	  statement

2010-05-03 20:07  gjanssens

	* [r19095] packaging/win32/defaults.sh,
	  packaging/win32/install.sh: Add ./ to sourced files, so that
	  they are found when cross-compiling.

2010-05-03 19:50  gjanssens

	* [r19094] packaging/win32/functions.sh: Add (optional)
	  destination file name parameter to wget_unpacked and smart_wget
	  functions. This parameter can be used to override the filename
	  to be used for the downloaded package. If empty, the functions
	  continue to work as before. This new option will be used for
	  cross compilation.

2010-05-02 23:18  gjanssens

	* [r19093] packaging/win32/defaults.sh,
	  packaging/win32/install.sh: Windows build script improvements -
	  make sure pexports is available before guile is built - test for
	  pexports availability when compiling libdbi (to fix
	  crosscompilation)

2010-05-01 22:09  gjanssens

	* [r19088] po/zh_CN.po: Update zh_CN translation, patch by Tao Wang

2010-05-01 19:48  gjanssens

	* [r19087] src/business/business-core/test/README: Fix some typos

2010-04-30 19:16  cmarchi

	* [r19086] po/it.po: Update of Italian translation by Cristian
	  Marchi

2010-04-29 15:56  gjanssens

	* [r19085] po/glossary/zh_CN.po: zh_CN translation of gnucash
	  glossary file, patch by Tao Wang

2010-04-29 15:44  gjanssens

	* [r19084] accounts/zh_CN/acctchrt_brokerage.gnucash-xea,
	  accounts/zh_CN/acctchrt_business.gnucash-xea,
	  accounts/zh_CN/acctchrt_carloan.gnucash-xea,
	  accounts/zh_CN/acctchrt_cdmoneymkt.gnucash-xea,
	  accounts/zh_CN/acctchrt_checkbook.gnucash-xea,
	  accounts/zh_CN/acctchrt_childcare.gnucash-xea,
	  accounts/zh_CN/acctchrt_common.gnucash-xea,
	  accounts/zh_CN/acctchrt_eduloan.gnucash-xea,
	  accounts/zh_CN/acctchrt_fixedassets.gnucash-xea,
	  accounts/zh_CN/acctchrt_full.gnucash-xea,
	  accounts/zh_CN/acctchrt_homeloan.gnucash-xea,
	  accounts/zh_CN/acctchrt_homeown.gnucash-xea,
	  accounts/zh_CN/acctchrt_otherloan.gnucash-xea,
	  accounts/zh_CN/acctchrt_renter.gnucash-xea,
	  accounts/zh_CN/acctchrt_retiremt.gnucash-xea,
	  accounts/zh_CN/acctchrt_spouseinc.gnucash-xea,
	  accounts/zh_CN/acctchrt_spouseretire.gnucash-xea: Updated zh_CN
	  translation of accounts, patch by Tao Wang

2010-04-28 17:48  plongstaff

	* [r19083] src/report/report-system/report.scm: Change default
	  report stylesheet from "Default" to "Default CSS"

2010-04-28 13:54  gjanssens

	* [r19082] packaging/win32/create_cross_mingw.sh: Bug #617072 -
	  Update create_cross_mingw.sh, patch by Yasuaki Taniguchi

2010-04-28 13:43  gjanssens

	* [r19081] configure.ac, configure.in: Bug #554936 -
	  'configure.in' files should be renamed 'configure.ac'

2010-04-28 13:23  gjanssens

	* [r19080] configure.in, doc/Makefile.am,
	  doc/tip_of_the_day.list.in, src/gnome-utils/dialog-totd.c: Bug
	  #616696 - Development version warning string should not include
	  hardcode version. Third revision. - Stable Version changed into
	  Stable Series (easier to track automatically) - Modified motd
	  code to deal with replacement strings - Changed DEVELOPMENT
	  release tip to separate the Stable Series number from the
	  translatable string.

2010-04-27 20:46  cstim

	* [r19079] src/scm/main.scm: Bug #615168: Don't define hash-fold
	  for guile 2.x Patch by Andy Wingo. * src/scm/main.scm
	  (hash-fold): Only do the conditional hash-fold dance if we don't
	  have guile 2.0. (Definitions in expression context are actually
	  invalid Scheme, but older Guiles are more permissive.)
	* [r19078] src/engine/engine-helpers.c,
	  src/gnome-utils/dialog-options.c, src/guile-mappings.h: Bug
	  #615168: scm_c_string_length is the proper spelling now Patch by
	  Andy Wingo. Fix up a couple uses of scm_i_string_length, and add
	  a back-compat shim for earlier versions.

2010-04-27 19:41  gjanssens

	* [r19077] configure.in, doc/Makefile.am,
	  doc/tip_of_the_day.list.in: Bug #616696 - Development version
	  warning string should not include hardcode version. * Improve on
	  the previous fix: really display stable version in tooltip, not
	  current version. * Also revert change of "What's new in GnuCash
	  2.0" because that's the title actually found in the help manual.

2010-04-27 15:23  gjanssens

	* [r19076] src/libqof/qof/qoflog.c: Add .log extension to qof_log
	  filename while creating the temporary file. This will only be
	  visible on Windows. On all other platforms the logfile is
	  successfully renamed to the requested name.

2010-04-27 12:12  gjanssens

	* [r19075] packaging/win32/dist.sh: Bug #615317 - Windows
	  installer requires Qt libraries

2010-04-27 11:04  gjanssens

	* [r19074] packaging/win32/Makefile.am: Add missing libmysql.def
	  to tarball

2010-04-26 17:41  gjanssens

	* [r19073] doc/Makefile.am, doc/tip_of_the_day.list.in: Bug
	  #616696 - Development version warning string should not include
	  hardcode version.

2010-04-25 19:13  plongstaff

	* [r19072] src/report/report-system/html-document.scm,
	  src/report/standard-reports/balsheet-eg.eguile.scm: Fix #616606
	  - Add <meta> line indicating utf8 encoding so that non-latin
	  chars show correctly.

2010-04-24 16:26  gjanssens

	* [r19071] packaging/win32/install.sh,
	  src/bin/environment-win32.in: Enable environment file on Windows
	  (only direct install, not via ISS installer)

2010-04-23 22:32  gjanssens

	* [r19070] src/pixmaps/Makefile.am, src/pixmaps/gnucash-icon.ico:
	  Write makefile rule to create gnucash-icon.ico. This rule isn't
	  called by default though. It uses image-magick to add several
	  png images of different size and bitdepth together. Current ico
	  has: 16x16,8-bit 22x22,8-bit 24x24,8-bit 32x32,32-bit
	  48x48,32-bit 64x64,32-bit 96x96,32-bit 128x128,32-bit
	  256x256,32-bit

2010-04-23 21:19  cstim

	* [r19069] src/report/report-system/options-utilities.scm: I18n:
	  Fix erroneous message. This (tooltip) string is blatantly wrong,
	  so we need to fix it regardless of string freeze. Spotted by
	  Mark Haanen.
	* [r19068] src/business/business-gnome/gnc-plugin-page-invoice.c:
	  I18n fix: Mark forgotten strings for translation. These are
	  allowed regardless of string freeze because the strings are
	  already in the program and are untranslated so far. So marking
	  them for translation will only improve the situation but not
	  introduce new strings into the program in general. Spotted by
	  Mark Haanen.
	* [r19067] src/app-utils/date-utilities.scm,
	  src/business/business-reports/aging.scm,
	  src/business/business-reports/easy-invoice.scm,
	  src/business/business-reports/fancy-invoice.scm,
	  src/business/business-reports/invoice.scm,
	  src/business/business-reports/job-report.scm,
	  src/business/business-reports/owner-report.scm,
	  src/import-export/qif-import/qif-file.scm,
	  src/import-export/qif-import/qif-parse.scm,
	  src/import-export/qif-import/qif-to-gnc.scm,
	  src/report/report-system/eguile-gnc.scm,
	  src/report/report-system/html-document.scm,
	  src/report/report-system/html-table.scm,
	  src/report/report-system/html-text.scm,
	  src/report/report-system/html-utilities.scm,
	  src/report/report-system/report-utilities.scm,
	  src/report/report-system/report.scm,
	  src/report/standard-reports/budget-income-statement.scm,
	  src/report/standard-reports/income-statement.scm,
	  src/report/standard-reports/trial-balance.scm: Bug #615168: Make
	  sure that printf is available whereever it is used So, the right
	  thing is for each file to be in its own module. Barring that
	  it's tough to see what the environment is in a given module. So
	  to be safe, everywhere there's a printf, make sure the (gnucash
	  printf) module is duly included. Patch by Andy Wingo. Conflicts:
	  src/business/business-reports/easy-invoice.scm
	  src/business/business-reports/fancy-invoice.scm
	  src/business/business-reports/invoice.scm
	  src/business/business-reports/job-report.scm
	  src/report/standard-reports/budget-income-statement.scm
	  src/report/standard-reports/income-statement.scm
	  src/report/standard-reports/trial-balance.scm

2010-04-23 21:07  cstim

	* [r19066] src/app-utils/config-var.scm,
	  src/app-utils/options.scm,
	  src/report/report-system/html-table.scm,
	  src/report/standard-reports/balance-sheet.scm,
	  src/report/standard-reports/budget-balance-sheet.scm,
	  src/report/standard-reports/equity-statement.scm,
	  src/report/standard-reports/trial-balance.scm: Bug #615168: Fix
	  a number of scheme syntax errors This kind of error is detected
	  "eagerly" in Guile 2.0. Patch by Andy Wingo.

2010-04-23 21:02  cstim

	* [r19065] src/scm/main.scm: Bug #615168: Fix bogus
	  gnc:safe-strcmp definition Patch by Andy Wingo.
	* [r19064] src/engine/iso-currencies-to-c: Bug #615168: Fixup one
	  last simple-format bit src/engine/iso-currencies-to-c did the
	  same simple-format dance that is now unnecessary. Patch by Andy
	  Wingo.

2010-04-23 21:01  cstim

	* [r19063] src/import-export/qif-io-core/qif-file.scm,
	  src/import-export/qif-io-core/qif-io-core.scm,
	  src/import-export/qif-io-core/test/dump-qifobj.scm,
	  src/import-export/qif-io-core/test/test-file-formats.scm,
	  src/import-export/qif-io-core/test/test-import-phase-1.scm,
	  src/import-export/qif-io-core/test/test-parser.scm,
	  src/import-export/qif-io-core/test/test-reader.scm,
	  src/report/report-system/eguile-gnc.scm,
	  src/report/report-system/html-text.scm,
	  src/report/report-system/report.scm, src/scm/main.scm,
	  src/scm/price-quotes.scm: Bug #615168: Replace calls to
	  simple-format with calls to format Guile 1.6 and up always
	  provides simple-format, and defines it as a restricted subset of
	  the full format, so there's no harm in using the construct's
	  proper name. Patch by Andy Wingo.
	* [r19062] src/report/locale-specific/us/taxtxf-de_DE.scm,
	  src/report/locale-specific/us/taxtxf.scm,
	  src/report/report-gnome/report-gnome.scm,
	  src/report/standard-reports/account-piecharts.scm,
	  src/report/standard-reports/advanced-portfolio.scm,
	  src/report/standard-reports/budget-barchart.scm,
	  src/report/standard-reports/budget-flow.scm,
	  src/report/standard-reports/budget.scm,
	  src/report/standard-reports/cash-flow.scm,
	  src/report/standard-reports/category-barchart.scm,
	  src/report/standard-reports/daily-reports.scm,
	  src/report/standard-reports/equity-statement.scm,
	  src/report/standard-reports/net-barchart.scm,
	  src/report/standard-reports/portfolio.scm,
	  src/report/standard-reports/price-scatter.scm,
	  src/report/standard-reports/transaction.scm,
	  src/report/utility-reports/view-column.scm, src/scm/Makefile.am,
	  src/scm/main.scm, src/scm/printf.scm: Bug #615168: Pull in
	  printf from slib, change all code to use it. There is a new
	  module, (gnucash printf). Patch by Andy Wingo.

2010-04-23 21:00  cstim

	* [r19061] src/gnc/gnucash.qrc, src/gnc/mainwindow.cpp: Cutecash:
	  Adapt to removed icon file.

2010-04-23 20:10  cstim

	* [r19060] src/gnome/dialog-sx-editor.c: Bug #616093: Notes are
	  not editable in scheduled transaction edit window Patch by James
	  Raehl: The Notes field is not visible or editable. This appears
	  to be a deliberate choice, as can be seen in line 1308 of
	  gnome/dialog-sx-editor.c routine schedXact_editor_create_ledger.
	  I disagree. Since Notes are not copied to the newly-created
	  scheduled transaction, there is no way for the user to copy
	  Notes to the model, nor to modify the Notes. This makes the
	  partial fix in r16652 for bug 500427 kind of pointless. This
	  patch reverses that decision.
	* [r19059] src/engine/gnc-commodity.c: Bug #615912: Update
	  gnc_quote_source from FQ 1.11 to 1.17 and enhance user_name
	  Patch by Frank H. Ellenberger. Because many sources were listet
	  as unknown, I tried to sort them in. Because normal users don't
	  know all englisch abbreviations of far continents, I tried to
	  use better understandable descriptions and added country codes.
	  Caveeats: 1. The HU methods were not quite clear to me, so I
	  added only one. 2. The Currencies methods seems to fetch lists
	  of currencies, something what we don't need here; correct me, if
	  I am wrong.

2010-04-23 20:07  cstim

	* [r19058] src/engine/gnc-commodity.c,
	  src/engine/iso-currencies-to-c: Bug #118391: Mark currency names
	  for translation but using the "iso_4217" translation domain.
	  This will make approx. 50% of the currency names show up in
	  translated form. At least more than nothing. Eventually, we most
	  probably must change our long name definitions to match those of
	  iso_4217, and after this we will get 100% translations.
	* [r19057] src/engine/iso-4217-currencies.scm,
	  src/engine/iso-currencies-to-c: Revert r19051, "Bug #118391:
	  Mark the currency names for translation." We better don't mark
	  the currency names for translation inside gnucash.pot; instead,
	  we should use the "iso_4217" translation domain.

2010-04-23 15:26  gjanssens

	* [r19056] src/pixmaps/gnucash-icon.ico: Bug #616615 - Request for
	  larger size icon (96x96, 128x128, 256x256): Properly include
	  smaller icon sizes, remove duplicate size

2010-04-23 14:27  gjanssens

	* [r19055] src/backend/xml/gnc-backend-xml.c: Remove redundant
	  test for ENOSYS The error code was checked twice against ENOSYS,
	  once in all situations, and once if ENOSYS is defined. This
	  makes no sense. Since we never had bug reports for compilation
	  errors on ENOSYS undefined, we can assume ENOSYS is always
	  defined.

2010-04-23 13:01  gjanssens

	* [r19054] src/pixmaps/Makefile.am,
	  src/pixmaps/gnucash-icon-128x128.png,
	  src/pixmaps/gnucash-icon-16x16.png,
	  src/pixmaps/gnucash-icon-256x256.png,
	  src/pixmaps/gnucash-icon-32x32.png,
	  src/pixmaps/gnucash-icon-64x64.png,
	  src/pixmaps/gnucash-icon-96x96.png,
	  src/pixmaps/gnucash-icon.ico: Bug #616615 - Request for larger
	  size icon (96x96, 128x128, 256x256)

2010-04-23 12:13  gjanssens

	* [r19053] packaging/win32/install.sh: Replace directory mv's with
	  cp -r when the move potentially crosses filesystem borders.
	  Apparently, Msys' mv command fails to move directories across
	  filesystem borders (like from a directory on the c drive to a
	  mounted samba share). I hit this issue because my tmp dir is on
	  a different filesystem from my base dir.

2010-04-22 20:45  cstim

	* [r19052] make-gnucash-potfiles.in, po/POTFILES.in: Add
	  src/gnome/gnucash.desktop.in.in to the translation input files.

2010-04-22 20:32  cstim

	* [r19051] src/engine/iso-4217-currencies.scm,
	  src/engine/iso-currencies-to-c: Bug #118391: Mark the currency
	  names for translation.

2010-04-22 19:55  cstim

	* [r19050] src/gnome-utils/glade/preferences.glade: I18n: Fix typo
	  in user message. This breaks the string freeze, but 1. the typo
	  really hurts one's eyes, and 2. the message is only secondarily
	  important, so I would accept this single string freeze breakage.

2010-04-22 13:20  gjanssens

	* [r19049] src/gnome-utils/gnc-keyring.c: Enable keychain
	  functionality on OS X after fixing compiler bugs.

2010-04-22 09:25  gjanssens

	* [r19048] packaging/win32/functions.sh: * Make sure wget
	  downloads are stored with filenames not containing any html
	  garbage (& and = signs as a result of http_get parameters). *
	  Have wget_unpacked return the actual path where the files were
	  unpacked via the _EXTRACT_UDIR env variable. In most cases this
	  is simply the path that was requested, but sometimes, a tarball
	  or zip file adds its own relative path. The _EXTRACT_UDIR
	  variable will take this into account by analysing the contents
	  of the tarball/zip file. These changes will be used in the
	  revived cross-compile script.

2010-04-22 09:14  gjanssens

	* [r19047] src/bin/Makefile.am: Makefile fixes for
	  setup-gnucash-env on OS X

2010-04-20 17:13  gjanssens

	* [r19044] packaging/win32/install.sh: Move one more MSVC-only
	  line inside the MSVC test

2010-04-20 14:54  gjanssens

	* [r19042] packaging/win32/install.sh: pexports is only available
	  if MSVC is installed. Encapsulate it in a conditional.

2010-04-19 22:26  plongstaff

	* [r19040] configure.in: Change release number to 2.3.12

2010-04-19 17:41  gjanssens

	* [r19039] packaging/win32/dist.sh: Allow QTDIR to be defined
	  either in pure windows format (c:\xyz\def) or unix format
	  (/c/xyz/def) without ISS bailing out. Previously, only unix
	  format worked.

2010-04-19 16:56  plongstaff

	* [r19038] src/libqof/qof/qofbook.c, src/libqof/qof/qofbook.h:
	  When updating book counters for business objects (in book
	  slots), ensure they're saved.

2010-04-18 20:54  gjanssens

	* [r19037] accounts/ja/Makefile.am,
	  accounts/ja/acctchrt_brokerage.gnucash-xea,
	  accounts/ja/acctchrt_business.gnucash-xea,
	  accounts/ja/acctchrt_carloan.gnucash-xea,
	  accounts/ja/acctchrt_cdmoneymkt.gnucash-xea,
	  accounts/ja/acctchrt_checkbook.gnucash-xea,
	  accounts/ja/acctchrt_childcare.gnucash-xea,
	  accounts/ja/acctchrt_common.gnucash-xea,
	  accounts/ja/acctchrt_eduloan.gnucash-xea,
	  accounts/ja/acctchrt_fixedassets.gnucash-xea,
	  accounts/ja/acctchrt_full.gnucash-xea,
	  accounts/ja/acctchrt_homeloan.gnucash-xea,
	  accounts/ja/acctchrt_homeown.gnucash-xea,
	  accounts/ja/acctchrt_otherloan.gnucash-xea,
	  accounts/ja/acctchrt_renter.gnucash-xea,
	  accounts/ja/acctchrt_retiremt.gnucash-xea,
	  accounts/ja/acctchrt_spouseinc.gnucash-xea,
	  accounts/ja/acctchrt_spouseretire.gnucash-xea,
	  accounts/ja_JP.EUC: Update Japanese names of accounts. And
	  remove empty ja_JP.EUC directory. Patch by Yasuaki Taniguchi.

2010-04-18 20:33  gjanssens

	* [r19036] src/engine/gnc-commodity.h: Small corrections in the
	  comments of gnc-commodity.h 1 typo 1 moved file 1 complement
	  Patch by Frank H. Ellenberger

2010-04-18 20:20  plongstaff

	* [r19035] configure.in: Assume webkit functions exist on win32

2010-04-18 18:08  plongstaff

	* [r19034] configure.in: Change default from --disable-dbi to
	  --enable-dbi. This is needed so that 'make distcheck' will work
	  with the business sql backend tests.

2010-04-18 18:07  plongstaff

	* [r19033] src/backend/dbi/test/test-dbi-basic.c,
	  src/backend/dbi/test/test-dbi.c: Disable transaction log so that
	  there aren't log files left lying around to make 'distcheck'
	  fail.
	* [r19032] src/backend/dbi/test/Makefile.am: Add .h files to
	  EXTRA_DIST to ensure they are put into tarball

2010-04-18 17:48  plongstaff

	* [r19031] src/business/business-core/sql/test/Makefile.am: Fix
	  test dependencies

2010-04-17 19:44  plongstaff

	* [r19030] src/Makefile.am,
	  src/business/business-core/sql/test/Makefile.am: Ensure
	  necessary .h files are included in EXTRA_DIST

2010-04-17 19:01  plongstaff

	* [r19029] src/bin/overrides/gnucash-build-env.in: Remove
	  reference to GNC_TEST_SRFI_LOAD_CMD since we no longer support
	  local srfi's.

2010-04-17 17:00  plongstaff

	* [r19028] src/business/business-core/gncAddress.c,
	  src/business/business-core/gncBillTerm.c,
	  src/business/business-core/gncBillTerm.h,
	  src/business/business-core/gncCustomer.c,
	  src/business/business-core/gncEmployee.c,
	  src/business/business-core/gncEmployee.h,
	  src/business/business-core/gncEntry.c,
	  src/business/business-core/gncEntry.h,
	  src/business/business-core/gncInvoice.c,
	  src/business/business-core/gncInvoice.h,
	  src/business/business-core/gncJob.c,
	  src/business/business-core/gncJob.h,
	  src/business/business-core/gncOrder.c,
	  src/business/business-core/gncOrder.h,
	  src/business/business-core/gncTaxTable.c,
	  src/business/business-core/gncTaxTable.h,
	  src/business/business-core/gncVendor.c,
	  src/business/business-core/gncVendor.h,
	  src/business/business-core/sql/test/test-dbi-business-stuff.c,
	  src/business/business-core/sql/test/test-dbi-business.c: Add
	  functions to compare 2 business objects for equality, and use
	  them in 'make check' tests. Adds functions to compare 2 business
	  objects for equality. The 'make check' tests can then use these
	  functions to store and reload objects and compare them for
	  equality. This allows the sql backend to be tested.

2010-04-17 16:52  plongstaff

	* [r19027] configure.in, src/html/gnc-html-webkit.c: Check for
	  webkit_web_view_load_uri() function, and if not available, fall
	  back to webkit_web_view_load_html_string(). This change also
	  changes the config #define name from HAVE_WEBKIT_PRINT_FULL to
	  HAVE_WEBKIT_WEB_FRAME_PRINT_FULL to be a bit more descriptive.

2010-04-17 16:17  gjanssens

	* [r19026] src/gnome-utils/gnc-file.c,
	  src/gnome-utils/gnc-keyring.c, src/gnome-utils/gnc-keyring.h:
	  Enable the use of gnome-keyring during loading and saving of
	  data. - The database passwords will no longer be stored in
	  history - During save as, the user-entered password will be
	  stored in gnome-keyring - During open, the user-entered password
	  will be stored in gnome-keyring - When a file is opened from
	  history (no file specified at startup or user selects an entry
	  in the File menu's history) the password is fetched from the
	  gnome-keyring. This currently works on linux. On Mac OS X or
	  Windows no passwords are stored and the user is asked for a
	  password when a file is loaded from history. Adding
	  keyring/keychain capability on these systems is tbd.

2010-04-16 05:26  mta

	* [r19025] configure.in, src/html/gnc-html-webkit.c: When printing
	  WebKit based reports respect the Page Setup settings. If
	  webkit_web_frame_print_full exists in the version of WebKit
	  being used then use it with a GtkPrintOperation which has been
	  initialized from the Page Setup data.

2010-04-15 11:47  cmarchi

	* [r19024] po/pt_BR.po: Update of Brazilian Portuguese translation
	  by Miguel Rozsas

2010-04-15 07:04  cstim

	* [r19023] po/nl.po: Updated Dutch translation, copied from the
	  Translation Project.

2010-04-12 21:25  cstim

	* [r19021] po/nl.po: Updated Dutch translation, copied from the
	  Translation Project.

2010-04-12 19:21  cstim

	* [r19020] CMakeLists.txt, src/gnc/CMakeLists.txt: Cutecash: Add
	  install and packaging rules. Running "make package" will produce
	  a binary package. Running "make package_source" will produce a
	  source package.

2010-04-12 19:20  cstim

	* [r19019] src/app-utils/gfec.c, src/backend/xml/Makefile.am,
	  src/backend/xml/gnc-backend-xml.c,
	  src/backend/xml/io-example-account.c,
	  src/backend/xml/io-gncxml-v2.c, src/libqof/CMakeLists.txt,
	  src/libqof/qof/Makefile.am, src/libqof/qof/gnc-date.c: Win/MSVC
	  compatibility: Replace g_* file operations by the direct calls
	  into the MSVC runtime. This tries to avoid a collision between
	  glib's C runtime vs. the one that is used by MSVC (and hence
	  also Qt) by using file access only through MSVC's one.

2010-04-12 02:38  mta

	* [r19018] src/report/standard-reports/balsheet-eg.eguile.scm,
	  src/report/standard-reports/balsheet-eg.scm: Make the
	  calculations more nearly the same as the older balance sheet
	  report Calculate retained earnings or loss from income and
	  expense accounts and label the amount needed to balance the
	  books as the imbalance amount instead of retained earnings or
	  loss.

2010-04-11 19:12  mta

	* [r19017] src/report/standard-reports/Makefile.am,
	  src/report/standard-reports/balsheet-eg.css,
	  src/report/standard-reports/balsheet-eg.eguile.scm,
	  src/report/standard-reports/balsheet-eg.scm: Update eguile based
	  balance sheet report to work with current GnuCash.

2010-04-11 19:05  mta

	* [r19016] src/report/standard-reports/balsheet-eg.eguile.scm,
	  src/report/standard-reports/balsheet-eg.scm: Add the eguile
	  based balance sheet report. This version is directly from the
	  wiki at
	  <http://wiki.gnucash.org/wiki/Custom_Reports_Using_Eguile> and
	  won't work in the current version of GnuCash. It is included for
	  reference purposes.

2010-04-11 12:50  plongstaff

	* [r19015] src/bin/gnucash-gdb.in: Fix gnucash-gdb.in to use gdb
	  from the right place

2010-04-10 20:37  cstim

	* [r19014] po/nl.po: Updated Dutch translation, copied from the
	  Translation Project.

2010-04-10 19:44  cstim

	* [r19013] src/engine/CMakeLists.txt, src/engine/Makefile.am,
	  src/engine/iso-currencies-to-c: Change the iso-4217 generator
	  script to accept the srcdir as cmdline argument instead of an
	  env variable.

2010-04-10 19:33  cstim

	* [r19012] packaging/win32/defaults.sh,
	  packaging/win32/install.sh: Win32: Add mingw cutecash build to
	  the install.sh script, enabled by WITH_CUTECASH=yes.

2010-04-10 12:22  gjanssens

	* [r19011] util/gnc-svnversion: Insert missing "format:" -
	  otherwise it didn't build for me. Additional simplifying git
	  expressions. Patch by Frank H. Ellenberger

2010-04-10 09:06  gjanssens

	* [r19010] src/bin/Makefile.am: Remove unneeded path conversion on
	  Windows

2010-04-10 09:01  gjanssens

	* [r19009] packaging/win32/README: Add note about required Qt for
	  dist.sh + some typo fixes

2010-04-09 08:13  gjanssens

	* [r19008] src/bin/gnucash-bin.c: Fix crash when trying to unset a
	  parameter via the environment config file

2010-04-08 18:52  cmarchi

	* [r19007] po/pt_BR.po: Update of Brazilian Portuguese translation
	  by Miguel Rozsas

2010-04-08 07:23  cstim

	* [r19006] po/nl.po: Updated Dutch translation, copied from the
	  Translation Project.

2010-04-06 13:24  cstim

	* [r19004] po/de.po: Update German translation.

2010-04-06 13:22  cstim

	* [r19003] po/ca.po, po/cs.po, po/da.po, po/de.po, po/el.po,
	  po/en_GB.po, po/es.po, po/es_NI.po, po/eu.po, po/fa.po,
	  po/fi.po, po/fr.po, po/he.po, po/hu.po, po/it.po, po/ja.po,
	  po/ko.po, po/lt.po, po/lv_LV.po, po/nb.po, po/ne.po, po/nl.po,
	  po/pl.po, po/pt.po, po/pt_BR.po, po/ro.po, po/ru.po, po/rw.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/zh_CN.po, po/zh_TW.po: Merge po templates with latest string
	  changes (mostly the removal of taxtxf.scm from translation)

2010-04-06 12:59  cstim

	* [r19002] src/report/locale-specific/us/taxtxf.scm: I18n: Remove
	  strings of the US tax report from translation because this
	  report makes sense only in English.

2010-04-06 11:55  gjanssens

	* [r19001] packaging/win32/gnucash.iss.in,
	  packaging/win32/install.sh: Fix Windows build after introduction
	  of the environment config file.

2010-04-06 11:03  gjanssens

	* [r19000] src/bin/Makefile.am, src/bin/environment-osx.in,
	  src/bin/gnucash-setup-env-osx.in: Revive gnucash-setup-env on
	  OSX/Quartz. This fixes the OSX issues caused by the introduction
	  of the environment config file.

2010-04-06 02:19  mta

	* [r18999] configure.in, src/gnome-utils/gnc-keyring.c: Fix MacOSX
	  keyring test in configure to work and make gnc-keyring.c compile
	  if it does.

2010-04-06 02:17  mta

	* [r18998] src/bin/gnucash-bin.c: Initialize new_val in
	  environment_override to avoid a compiler warning.

2010-04-05 18:09  gjanssens

	* [r18997] src/bin/Makefile.am: G_PATH_SEPARATOR is not used in
	  the environment config file. Remove it from the make script.

2010-04-05 18:08  gjanssens

	* [r18996] configure.in, src/bin/Makefile.am: Make sure only the
	  quartz build uses environment-osx.in

2010-04-05 16:48  gjanssens

	* [r18995] configure.in, lib/Makefile.am, lib/srfi,
	  src/app-utils/test/Makefile.am, src/bin/overrides/Makefile.am,
	  src/engine/Makefile.am, src/gnome-utils/test/Makefile.am,
	  src/import-export/qif/test/Makefile.am,
	  src/import-export/test/Makefile.am,
	  src/report/locale-specific/us/test/Makefile.am,
	  src/report/report-gnome/test/Makefile.am,
	  src/report/report-system/test/Makefile.am,
	  src/report/standard-reports/test/Makefile.am,
	  src/report/stylesheets/test/Makefile.am,
	  src/report/utility-reports/test/Makefile.am: Remove local srfi's
	  and require guile 1.6.7 or better. All now supported versions of
	  guile come bundled with these srfi's, so there's no need to keep
	  our own copies.

2010-04-05 14:48  gjanssens

	* [r18994] configure.in, src/bin/Makefile.am,
	  src/bin/environment-osx.in, src/bin/environment-win32.in,
	  src/bin/environment.in, src/bin/gnucash-bin.c,
	  src/bin/gnucash-ddd.in, src/bin/gnucash-gdb.in,
	  src/bin/gnucash-setup-env-osx.in, src/bin/gnucash-setup-env.in,
	  src/bin/gnucash-valgrind.in, src/bin/gnucash.in: Have the
	  gnucash binary setup its required environment by itself - New
	  "environment" config file that holds the environment
	  modifications to make - Added a parser for this file that does
	  the actual modification of the environment (in gnucash-bin.c) -
	  Eliminate the old gnucash-setup-env script

2010-04-05 09:21  gjanssens

	* [r18993] configure.in: Configure: fix password store test

2010-04-04 23:55  plongstaff

	* [r18992] src/html/gnc-html-webkit.c: Fix #588816 - Heading
	  Banner Image does not display or print on invoice reports Along
	  with a new version of webkit which properly handles local image
	  files, a change was needed so that instead of creating an html
	  string and feeding it directly to webkit, it is exported to a
	  temp file which is then loaded as a file:// URI. On Linux, if
	  this is not done, any embedded images do not appear, and there
	  is a console message that local resources can't be loaded. On
	  Windows, the embedded images don't appear, possibly for the same
	  reason, but I'm not sure where the console messages go.

2010-04-04 21:22  plongstaff

	* [r18991] packaging/win32/defaults.sh,
	  packaging/win32/install.sh: Upgrade win32 version of webkit from
	  1.1.5 to 1.1.90. This version contains changes required to fix
	  #588816 (Heading Banner Image does not display or print on
	  invoice reports). Note that this bug won't be fixed until some
	  gnucash changes are checked in as well.

2010-04-04 20:11  gjanssens

	* [r18990] configure.in: Configure: group platform dependent tests

2010-04-03 08:13  gjanssens

	* [r18989] src/gnome/dialog-price-editor.c: Can't add or update
	  currencies in 2.3.11 Reported by Markus Scheffler on Apr 2 via
	  gnucash-user ML

2010-04-02 18:45  cstim

	* [r18988] po/da.po: Updated Danish translation, copied from the
	  Translation Project.

2010-04-01 16:20  cstim

	* [r18987] src/gnome-utils/gnc-file.c: Fix missing printf format
	  string

2010-04-01 07:43  gjanssens

	* [r18986] src/gnome-utils/dialog-preferences.c: Bug #525821 - new
	  or edited account names should be checked for reserved chars
	  like ":" Addendum: Fix compatibility with older Gtk versions.

2010-03-31 19:43  cstim

	* [r18985] src/gnc/SplitListModel.cpp: Cutecash: Slightly decrease
	  debug output verbosity.

2010-03-30 22:19  gjanssens

	* [r18984] src/engine/Account.c, src/engine/Account.h,
	  src/gnome-utils/dialog-preferences.c,
	  src/gnome-utils/glade/preferences.glade,
	  src/gnome-utils/gnc-file.c: Bug #525821 - new or edited account
	  names should be checked for reserved chars like ":" This patch
	  checks if the separator character is used in account names when
	  loading a data file, or when changing the separator character in
	  the preferences. If the separator character is incompatible with
	  some account names, a warning dialog box is popped up explaining
	  the situation. This dialog also lists the violating account
	  names. Additionally, the preferences dialog will show a warning
	  sign as long as the separator clashes with some account names.
	  The tooltip for this sign will also display the violating
	  account names.

2010-03-30 20:00  cstim

	* [r18983] packaging/win32/install.sh: MSVC: Add creation of MSVC
	  import library of libdbi.

2010-03-30 19:59  cstim

	* [r18982] src/backend/dbi/CMakeLists.txt,
	  src/backend/sql/CMakeLists.txt,
	  src/business/business-core/sql/CMakeLists.txt: Fix CMake for
	  building the dbi backend.

2010-03-30 15:32  gjanssens

	* [r18981] src/gnome-utils/gnc-main-window.c: Bug #613963 -
	  GnuCash opens empty window when no state file is found

2010-03-30 14:41  gjanssens

	* [r18980] src/gnome/top-level.c: Fix indentation with astyle The
	  indentation was mixed up due to the unusual IF_TYPE macro, now
	  removed.

2010-03-30 14:29  gjanssens

	* [r18979] src/gnome/top-level.c: Replace IF_TYPE macro with a
	  validation function The macro is quite ugly: it's not a complete
	  if condition (missing closing bracket) which makes the code
	  using it difficult to read and error-prone. Even astyle got
	  confused by it. The replacement code is slightly longer (two
	  lines per replaced IF_TYPE invocation) but clean and readable.

2010-03-30 10:58  gjanssens

	* [r18978] configure.in: Bug #612566 - Build failure with glib
	  2.10 - undefined gdk_color_to_string - part 2 Create the
	  necessary HAVE_GTK_2_12 check in configure.in

2010-03-30 10:56  gjanssens

	* [r18977] src/gnome-utils/dialog-account.c: Bug #612566 - Build
	  failure with glib 2.10 - undefined gdk_color_to_string From
	  modified patch by Bob

2010-03-30 10:20  gjanssens

	* [r18976] src/gnome-utils/gnc-main-window.c: Remove redundant
	  page tab setting code. The tab is set again some time later in
	  the gnc_main_window_connect function.

2010-03-28 22:14  gjanssens

	* [r18975] src/business/business-core/sql/test: Add svn:ignore
	  properties

2010-03-28 21:09  gjanssens

	* [r18974] src/business/business-ledger/gncEntryLedgerLayout.c,
	  src/register/ledger-core/split-register-layout.c,
	  src/register/register-core/basiccell.c,
	  src/register/register-core/basiccell.h,
	  src/register/register-core/table-allgui.c,
	  src/register/register-core/table-allgui.h,
	  src/register/register-gnome/gnucash-sheet.c: Bug #605802 - Can't
	  input Japanese characters at an account register window on
	  windows with SCIM, IIIMF and XIM This patch by Yasuaki Taniguchi
	  fixes the business register.

2010-03-28 10:46  cstim

	* [r18973] src/gnc/main.cpp: Cutecash: Fix missing #ifdefs for dbi
	  calls.

2010-03-27 22:08  cstim

	* [r18972] src/core-utils/binreloc.c, src/core-utils/binreloc.h,
	  src/gnc/main.cpp: Code cleanup in binreloc: Remove unused
	  init_lib function. Add possibility to set the looked-up exe path
	  from somewhere else. Remove symbol mangling because r18940
	  already added the gnc_* prefix, hence the symbol names are
	  unique to gnucash anyway.

2010-03-27 21:02  cstim

	* [r18971] src/backend/dbi/gnc-backend-dbi.c,
	  src/backend/dbi/test/test-dbi-basic.c, src/backend/sql/escape.c,
	  src/backend/sql/gnc-account-sql.c,
	  src/backend/sql/gnc-backend-sql.c,
	  src/backend/sql/gnc-book-sql.c,
	  src/backend/sql/gnc-budget-sql.c,
	  src/backend/sql/gnc-commodity-sql.c,
	  src/backend/sql/gnc-lots-sql.c, src/backend/sql/gnc-price-sql.c,
	  src/backend/sql/gnc-recurrence-sql.c,
	  src/backend/sql/gnc-schedxaction-sql.c,
	  src/backend/sql/gnc-slots-sql.c,
	  src/backend/sql/gnc-transaction-sql.c,
	  src/business/business-core/sql/gnc-bill-term-sql.c,
	  src/business/business-core/sql/gnc-tax-table-sql.c,
	  src/business/business-core/sql/test/test-dbi-business.c:
	  Re-indentation of source code (sql parts). This also strips
	  trailing whitespaces from lines where they existed. This
	  re-indentation was done using astyle-1.24 using the following
	  options: astyle --indent=spaces=4 --brackets=break --pad-oper
	  --pad-header --suffix

2010-03-27 21:01  cstim

	* [r18970] src/app-utils/gnc-ui-util.c,
	  src/app-utils/option-util.c,
	  src/business/business-core/gncAddress.c,
	  src/business/business-core/gncBillTerm.c,
	  src/business/business-core/gncBillTerm.h,
	  src/business/business-core/gncCustomer.c,
	  src/business/business-core/gncEmployee.c,
	  src/business/business-core/gncEntry.c,
	  src/business/business-core/gncInvoice.c,
	  src/business/business-core/gncJob.c,
	  src/business/business-core/gncOrder.c,
	  src/business/business-core/gncTaxTable.c,
	  src/business/business-core/gncVendor.c,
	  src/core-utils/gnc-filepath-utils.c,
	  src/core-utils/gnc-uri-utils.c, src/debug/splint-defs.h,
	  src/engine/SchedXaction.c, src/engine/TransLog.c,
	  src/engine/Transaction.c, src/engine/kvp-scm.c,
	  src/engine/test/test-date.c,
	  src/experimental/cgi-bin/fastcgi-hello.c,
	  src/experimental/cgi-bin/gnc-server.c,
	  src/experimental/cgi-bin/hello.c,
	  src/experimental/cgi-bin/hello2.c,
	  src/experimental/cgi-bin/hello3.c,
	  src/gnome-search/gnc-general-search.c,
	  src/gnome-utils/dialog-file-access.c,
	  src/gnome-utils/dialog-object-references.c,
	  src/gnome-utils/gnc-keyring.c,
	  src/gnome/gnc-plugin-page-account-tree.c, src/gnome/top-level.c,
	  src/gnome/window-autoclear.c,
	  src/import-export/csv/gnc-csv-import.c,
	  src/libqof/qof/qofinstance.c: Re-indentation of source code.
	  This also strips trailing whitespaces from lines where they
	  existed. This re-indentation was done using astyle-1.24 using
	  the following options: astyle --indent=spaces=4 --brackets=break
	  --pad-oper --pad-header --suffix=none
	* [r18969] src/app-utils/file-utils.c,
	  src/app-utils/gnc-component-manager.c,
	  src/app-utils/gnc-component-manager.h,
	  src/app-utils/gnc-sx-instance-model.c,
	  src/app-utils/guile-util.c, src/app-utils/guile-util.h,
	  src/backend/sql/gnc-account-sql.c,
	  src/backend/sql/gnc-backend-sql.c,
	  src/backend/sql/gnc-backend-sql.h,
	  src/backend/sql/gnc-book-sql.c,
	  src/backend/sql/gnc-budget-sql.c,
	  src/backend/sql/gnc-commodity-sql.c,
	  src/backend/sql/gnc-lots-sql.c,
	  src/backend/sql/gnc-recurrence-sql.c,
	  src/backend/sql/gnc-recurrence-sql.h,
	  src/backend/sql/gnc-schedxaction-sql.c,
	  src/backend/sql/gnc-slots-sql.c,
	  src/backend/sql/gnc-slots-sql.h,
	  src/backend/sql/gnc-transaction-sql.c,
	  src/backend/xml/gnc-account-xml-v2.c,
	  src/backend/xml/gnc-backend-xml.c,
	  src/backend/xml/gnc-book-xml-v2.c,
	  src/backend/xml/gnc-budget-xml-v2.c,
	  src/backend/xml/gnc-freqspec-xml-v2.c,
	  src/backend/xml/gnc-lot-xml-v2.c,
	  src/backend/xml/gnc-pricedb-xml-v2.c,
	  src/backend/xml/gnc-schedxaction-xml-v2.c,
	  src/backend/xml/gnc-transaction-xml-v2.c,
	  src/backend/xml/io-gncxml-v1.c,
	  src/backend/xml/sixtp-dom-generators.c,
	  src/backend/xml/sixtp-dom-generators.h,
	  src/backend/xml/sixtp-dom-parsers.c,
	  src/backend/xml/sixtp-dom-parsers.h,
	  src/backend/xml/sixtp-utils.c,
	  src/backend/xml/test/test-dom-converters1.c,
	  src/backend/xml/test/test-file-stuff.c,
	  src/backend/xml/test/test-file-stuff.h,
	  src/backend/xml/test/test-xml-transaction.c,
	  src/base-typemaps.i, src/business/business-core/business-core.i,
	  src/business/business-core/gncBillTerm.h,
	  src/business/business-core/gncCustomer.h,
	  src/business/business-core/gncEmployee.h,
	  src/business/business-core/gncEntry.h,
	  src/business/business-core/gncEntryP.h,
	  src/business/business-core/gncInvoice.c,
	  src/business/business-core/gncInvoice.h,
	  src/business/business-core/gncJob.h,
	  src/business/business-core/gncOrder.h,
	  src/business/business-core/gncOwner.c,
	  src/business/business-core/gncOwner.h,
	  src/business/business-core/gncTaxTable.h,
	  src/business/business-core/gncVendor.h,
	  src/business/business-core/sql/gnc-bill-term-sql.c,
	  src/business/business-core/sql/gnc-customer-sql.c,
	  src/business/business-core/sql/gnc-employee-sql.c,
	  src/business/business-core/sql/gnc-entry-sql.c,
	  src/business/business-core/sql/gnc-invoice-sql.c,
	  src/business/business-core/sql/gnc-job-sql.c,
	  src/business/business-core/sql/gnc-order-sql.c,
	  src/business/business-core/sql/gnc-owner-sql.c,
	  src/business/business-core/sql/gnc-tax-table-sql.c,
	  src/business/business-core/sql/gnc-vendor-sql.c,
	  src/business/business-core/test/test-customer.c,
	  src/business/business-core/test/test-employee.c,
	  src/business/business-core/test/test-job.c,
	  src/business/business-core/test/test-vendor.c,
	  src/business/business-core/xml/gnc-bill-term-xml-v2.c,
	  src/business/business-core/xml/gnc-bill-term-xml-v2.h,
	  src/business/business-core/xml/gnc-customer-xml-v2.c,
	  src/business/business-core/xml/gnc-employee-xml-v2.c,
	  src/business/business-core/xml/gnc-entry-xml-v2.c,
	  src/business/business-core/xml/gnc-invoice-xml-v2.c,
	  src/business/business-core/xml/gnc-job-xml-v2.c,
	  src/business/business-core/xml/gnc-order-xml-v2.c,
	  src/business/business-core/xml/gnc-owner-xml-v2.c,
	  src/business/business-core/xml/gnc-tax-table-xml-v2.c,
	  src/business/business-core/xml/gnc-vendor-xml-v2.c,
	  src/business/business-gnome/business-urls.c,
	  src/business/business-gnome/dialog-customer.c,
	  src/business/business-gnome/dialog-employee.c,
	  src/business/business-gnome/dialog-invoice.c,
	  src/business/business-gnome/dialog-job.c,
	  src/business/business-gnome/dialog-order.c,
	  src/business/business-gnome/dialog-payment.c,
	  src/business/business-gnome/dialog-vendor.c,
	  src/business/business-gnome/search-owner.c,
	  src/business/business-ledger/gncEntryLedger.c,
	  src/business/business-ledger/gncEntryLedgerP.h,
	  src/engine/Account.c, src/engine/Account.h,
	  src/engine/AccountP.h, src/engine/GNCId.h, src/engine/Period.c,
	  src/engine/Period.h, src/engine/Query.c, src/engine/Query.h,
	  src/engine/QueryP.h, src/engine/SX-book.c,
	  src/engine/SchedXaction.c, src/engine/Scrub2.c,
	  src/engine/Split.c, src/engine/Split.h, src/engine/SplitP.h,
	  src/engine/Transaction.c, src/engine/Transaction.h,
	  src/engine/TransactionP.h, src/engine/cap-gains.c,
	  src/engine/engine-common.i, src/engine/engine-helpers.c,
	  src/engine/engine-helpers.h, src/engine/engine.i,
	  src/engine/gnc-associate-account.c, src/engine/gnc-budget.c,
	  src/engine/gnc-budget.h, src/engine/gnc-commodity.c,
	  src/engine/gnc-commodity.h, src/engine/gnc-engine.h,
	  src/engine/gnc-lot.c, src/engine/gnc-lot.h,
	  src/engine/gnc-pricedb.c, src/engine/gnc-pricedb.h,
	  src/engine/kvp-scm.c, src/engine/test-core/test-engine-stuff.c,
	  src/engine/test-core/test-engine-stuff.h,
	  src/engine/test/test-book-merge.c, src/engine/test/test-guid.c,
	  src/experimental/cgi-bin/gnc-server.c, src/gnc-ui.h,
	  src/gnc/GncInstance.hpp, src/gnome-search/dialog-search.c,
	  src/gnome-search/dialog-search.h,
	  src/gnome-search/gnc-general-search.c,
	  src/gnome-search/search-account.c,
	  src/gnome-utils/dialog-account.c,
	  src/gnome-utils/dialog-query-list.c,
	  src/gnome-utils/gnc-query-list.c,
	  src/gnome-utils/gnc-tree-model-budget.c,
	  src/gnome/dialog-chart-export.c,
	  src/gnome/dialog-price-editor.c, src/gnome/dialog-print-check.c,
	  src/gnome/dialog-sx-editor.c,
	  src/gnome/dialog-sx-since-last-run.c, src/gnome/druid-merge.h,
	  src/gnome/gnc-plugin-page-budget.c,
	  src/gnome/gnc-plugin-page-register.c, src/gnome/gnc-split-reg.c,
	  src/gnome/top-level.c, src/gnome/window-reconcile.c,
	  src/import-export/import-account-matcher.h,
	  src/import-export/import-match-map.c,
	  src/import-export/log-replay/gnc-log-replay.c,
	  src/import-export/ofx/gnc-ofx-import.c,
	  src/libqof/backend/file/qsf-backend.c,
	  src/libqof/backend/file/qsf-xml-map.c,
	  src/libqof/backend/file/qsf-xml.c,
	  src/libqof/backend/file/qsf-xml.h, src/libqof/qof/guid.c,
	  src/libqof/qof/guid.h, src/libqof/qof/kvp-util-p.h,
	  src/libqof/qof/kvp-util.c, src/libqof/qof/kvp_frame.c,
	  src/libqof/qof/kvp_frame.h, src/libqof/qof/qofbook-p.h,
	  src/libqof/qof/qofbook.h, src/libqof/qof/qofbookmerge.c,
	  src/libqof/qof/qofbookmerge.h, src/libqof/qof/qofclass.h,
	  src/libqof/qof/qofevent.h, src/libqof/qof/qofid.c,
	  src/libqof/qof/qofid.h, src/libqof/qof/qofinstance.c,
	  src/libqof/qof/qofinstance.h,
	  src/libqof/qof/qofquery-deserial.c,
	  src/libqof/qof/qofquery-serialize.c, src/libqof/qof/qofquery.c,
	  src/libqof/qof/qofquery.h, src/libqof/qof/qofquerycore-p.h,
	  src/libqof/qof/qofquerycore.c, src/libqof/qof/qofquerycore.h,
	  src/libqof/qof/qofreference.c, src/libqof/qof/qofreference.h,
	  src/libqof/qof/qofsession.c, src/libqof/qof/qofsession.h,
	  src/libqof/qof/qofsql.c, src/libqof/qof/qofutil.c,
	  src/register/ledger-core/gnc-ledger-display.c,
	  src/register/ledger-core/split-register-load.c,
	  src/register/ledger-core/split-register-model-save.c,
	  src/register/ledger-core/split-register-model.c,
	  src/register/ledger-core/split-register-p.h,
	  src/register/ledger-core/split-register-util.c,
	  src/register/ledger-core/split-register.c: Rename the type GUID
	  into GncGUID because on Windows, the system headers have a type
	  GUID which clashes with ours. Note that only the type was
	  renamed, but not any enums or function names. Hence, the scheme
	  wrappers should be unchanged completely (hopefully). Discussed
	  at
	  http://lists.gnucash.org/pipermail/gnucash-devel/2010-March/027679.html

2010-03-27 20:27  cstim

	* [r18968] CMakeLists.txt, src/CMakeLists.txt,
	  src/backend/dbi/CMakeLists.txt,
	  src/backend/dbi/gnc-backend-dbi.c,
	  src/backend/dbi/gnc-backend-dbi.h,
	  src/backend/sql/CMakeLists.txt,
	  src/backend/xml/gnc-backend-xml.c,
	  src/backend/xml/gnc-backend-xml.h,
	  src/business/business-core/sql/CMakeLists.txt,
	  src/gnc/CMakeLists.txt, src/gnc/main.cpp: Cutecash: Compile &
	  link SQL backend as well (but there is no GUI for this yet)

2010-03-27 10:24  cstim

	* [r18967] src/gnc/mainwindow.cpp, src/gnc/mainwindow.hpp:
	  Cutecash: Fix memory leak of missing cleanup of RecentFileMenu
	  object.

2010-03-26 19:15  plongstaff

	* [r18966] configure.in,
	  src/business/business-core/sql/Makefile.am,
	  src/business/business-core/sql/test,
	  src/business/business-core/sql/test/Makefile.am,
	  src/business/business-core/sql/test/test-dbi-business-stuff.c,
	  src/business/business-core/sql/test/test-dbi-business-stuff.h,
	  src/business/business-core/sql/test/test-dbi-business.c: Add
	  business backend sql test infrastructure. At this point, the
	  test creates a customer, saves it to an sqlite3 db, loads it and
	  compares the original and the loaded customer. Will be expanded
	  to test other business objects.

2010-03-26 19:13  plongstaff

	* [r18965] src/business/business-core/gncAddress.c,
	  src/business/business-core/gncAddress.h,
	  src/business/business-core/gncCustomer.c,
	  src/business/business-core/gncCustomer.h: Add deep comparison
	  routines for test purposes 1) Add routine gncCustomerEqual()
	  which will do a deep comparison between two customers 2) Add
	  routine gncAddressEqual() which will do a deep comparison
	  between two addresses 3) Add more GncAddress gobject parameters
	  for the remaining data items

2010-03-25 22:08  gjanssens

	* [r18964] src/app-utils/file-utils.c: Bug #613655 - Cannot load
	  MYsql data, fix invalid state file name

2010-03-25 20:45  plongstaff

	* [r18963] src/backend/dbi/test/Makefile.am,
	  src/backend/dbi/test/test-dbi-stuff.c,
	  src/backend/dbi/test/test-dbi-stuff.h: Changes in dbi test
	  infrastructure 1) Now that the various objects .c files can
	  compare objects in different books, remove the duplicate copies.
	  2) Create a .la so that the business sql test code can use some
	  common test infrastructure.

2010-03-25 18:32  plongstaff

	* [r18962] src/engine/Split.c, src/engine/Transaction.c,
	  src/engine/gnc-commodity.c: Extend xaccXXXXXEqual() routines so
	  that they can compare objects in different books to see if they
	  have the same contents.

2010-03-24 19:28  cstim

	* [r18961] lib/libc/gmtime_r.c, lib/libc/gmtime_r.h,
	  lib/libc/libc-missing-noop.c, lib/libc/localtime_r.c,
	  lib/libc/localtime_r.h, lib/libc/pow.h, lib/libc/scm_strptime.c,
	  lib/libc/setenv.c, lib/libc/setenv.h, lib/libc/strptime.c,
	  lib/libc/strptime.h, packaging/win32/README,
	  packaging/win32/install-fq-mods.cmd,
	  packaging/win32/make_install.sh: Set some more line-ending style
	  properties.

2010-03-24 19:23  cstim

	* [r18960] Makefile.am, accounts/C/Makefile.am,
	  accounts/Makefile.am, accounts/cs/Makefile.am,
	  accounts/da/Makefile.am, accounts/de_AT/Makefile.am,
	  accounts/de_CH/Makefile.am, accounts/de_DE/Makefile.am,
	  accounts/el_GR/Makefile.am, accounts/en_GB/Makefile.am,
	  accounts/es_ES/Makefile.am, accounts/es_MX/Makefile.am,
	  accounts/fi_FI/Makefile.am, accounts/fr_CA/Makefile.am,
	  accounts/fr_CH/Makefile.am, accounts/fr_FR/Makefile.am,
	  accounts/hu_HU/Makefile.am, accounts/it/Makefile.am,
	  accounts/ja/Makefile.am, accounts/ko/Makefile.am,
	  accounts/nb/Makefile.am, accounts/nl/Makefile.am,
	  accounts/pl/Makefile.am, accounts/pt_BR/Makefile.am,
	  accounts/pt_PT/Makefile.am, accounts/ru/Makefile.am,
	  accounts/sk/Makefile.am, accounts/tr_TR/Makefile.am,
	  accounts/zh_CN/Makefile.am, checks/Makefile.am, configure.in,
	  doc/Makefile.am, doc/examples/Makefile.am, intl-scm/Makefile.am,
	  lib/Makefile.am, lib/guile-www/Makefile.am,
	  lib/libc/Makefile.am, lib/srfi/Makefile.am, lib/stf/Makefile.am,
	  macros/ac_pkg_swig.m4, macros/ac_python_devel.m4,
	  macros/aqbanking.m4, macros/as-scrub-include.m4,
	  macros/binreloc.m4, macros/compiler-flags.m4,
	  macros/gnome-guile-checks.m4, macros/legacy_macros.m4,
	  macros/pkg.m4, macros/svn2cl.xsl, packaging/Makefile.am,
	  packaging/win32/Makefile.am, src/Makefile.am,
	  src/app-utils/Makefile.am, src/app-utils/test/Makefile.am,
	  src/backend/Makefile.am, src/backend/dbi/Makefile.am,
	  src/backend/dbi/test/Makefile.am, src/backend/sql/Makefile.am,
	  src/backend/sql/test/Makefile.am, src/backend/xml/Makefile.am,
	  src/backend/xml/test/Makefile.am,
	  src/backend/xml/test/test-files/Makefile.am,
	  src/backend/xml/test/test-files/xml2/Makefile.am,
	  src/bin/Makefile.am, src/bin/overrides/Makefile.am,
	  src/bin/test/Makefile.am, src/business/Makefile.am,
	  src/business/business-core/Makefile.am,
	  src/business/business-core/sql/Makefile.am,
	  src/business/business-core/test/Makefile.am,
	  src/business/business-core/xml/Makefile.am,
	  src/business/business-gnome/Makefile.am,
